commit c2c4a2cd1947e559718acdba19ef6e7db731dbeb
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue May 3 15:09:54 2022 -0700

    libxcb 1.15
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit ddafdba11f6919e6fcf977c09c78b06f94de47aa
Author: Hodong <hodong@yozmos.com>
Date:   Sat Jan 15 02:32:04 2022 +0900

    Fix a memory leak
    
    Signed-off-by: Hodong <hodong@yozmos.com>

commit 43fbf03e549bf6da8d1d8522e0ceddc4d49c37c6
Author: Demi Marie Obenour <demiobenour@gmail.com>
Date:   Thu Sep 23 16:46:32 2021 -0400

    Fix integer overflows in xcb_in.c
    
    This fixes an integer overflow security vulnerability in xcb_in.c, which
    may allow for memory corruption.

commit 233d7b7f1f03ef18bf3955eb1f20421e745d22f0
Author: Thomas Anderson <thomasanderson@google.com>
Date:   Wed Dec 2 00:25:42 2020 +0000

    Fix hang in xcb_request_check()
    
    This fixes https://gitlab.freedesktop.org/xorg/lib/libxcb/-/issues/53
    
    The issue was that libxcb expected to get a reply based on the request_expected
    variable, but a reply would never arrive because the request was never actually
    written.  To resolve this, a separate request_expected_written variable is
    added.

commit dc2811874729ee83fa2aef110f60808c450f9a5a
Author: Ran Benita <ran@unusedvar.com>
Date:   Tue Nov 17 23:18:53 2020 +0200

    Avoid request counter truncation in replies map after 2**32 requests
    
    The c->in request counters are uint64_t, and can realistically go over
    2**32 over a lifetime of a client. The c->in->replies map however uses
    unsigned int keys and the passed request numbers are silently truncated.
    
    I haven't analyzed in depth what happens what it wraps around but it's
    probably nothing good.
    
    The only user of the xcb_list.c map code is c->in->replies, so just
    change it to use uint64_t keys.
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Ran Benita <ran@unusedvar.com>

commit 26396bf156cfa00ecd655ec6a5f2f46626d674c0
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Feb 2 12:15:10 2021 +0100

    Add newline when printing auth/connection failure string to stderr
    
    The reason strings returned by the server don't all include a newline,
    so make sure we add one to avoid confusing clients.  Xlib used to do
    this before it delegated that work to libxcb.
    
    Fixes #34
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit a503167f751ba77e6819df568b7f5042d2baa9c9
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat May 22 21:43:22 2021 +0200

    Improve/fix docs for reply fds functions
    
    Fixes: https://gitlab.freedesktop.org/xorg/lib/libxcb/-/issues/56
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 3c76c0579ffa521af41f78ee937b1337581da985
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   Fri Jul 30 22:58:47 2021 +0300

    c_client.py: Implement handling of <length> element
    
    Signed-off-by: Povilas Kanapickas <povilas@radix.lt>

commit bdc3f21a5205293852bbaa173f43389cbf66f52b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   Fri Jul 30 22:58:46 2021 +0300

    c_client: Extract _c_get_field_mapping_for_expr()

commit 068af21cb376eb824fa1dee29a6539feadb93587
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   Fri Jul 30 22:58:45 2021 +0300

    c_client.py: Use get_expr_field_names directly to resolve list fields
    
    Using get_expr_fields() is only needed in case we are doing things that
    can span multiple types easily, e.g. when deciding what data to pass via
    function parameters and so on.
    
    In _c_serialize_helper_list_field() we are building function body, so
    acquiring field names via get_expr_field_names() is enough.
    
    Signed-off-by: Povilas Kanapickas <povilas@radix.lt>

commit 4d678b162bf8a3b10e5bdf76df2be63d33c23381
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   Fri Jul 30 22:58:44 2021 +0300

    c_client.py: Extract get_expr_field_names()
    
    Signed-off-by: Povilas Kanapickas <povilas@radix.lt>

commit 21414e7c447f18224c577ed5e32bd5d6e45c44f9
Author: Peter Harris <pharris@opentext.com>
Date:   Mon Feb 1 19:45:28 2021 -0500

    Fix writev emulation on Windows
    
    There are at least two bugs in the previous implementation:
    
    - If an early iovec is partially written, there can be a gap of missing
      data (as a later iovec will be started before the early iovec is
      completed).
    - If a late iovec returns WSAEWOULDBLOCK, *vector and *count are not
      updated, leading to a re-send of the entire request.
    
    Move the *vector update into the send() loop to update piecemeal as
    individual iovecs are sent.
    
    Example program that demonstrates the issue (this program should run
    forever after these bugs have been fixed):
    
    #include <stdio.h>
    #include <stdlib.h>
    #include "xcb.h"
    
    // Non-cryptographic random number generator from http://burtleburtle.net/bob/rand/smallprng.html
    // because Microsoft's random number generators either have a too small RAND_MAX or are too slow
    typedef struct ranctx { uint32_t a; uint32_t b; uint32_t c; uint32_t d; } ranctx;
    
    static uint32_t ranval(ranctx *x);
    static void raninit(ranctx *x, uint32_t seed);
    
    
    #define MAX_PROP_LEN (128 * 1024)
    
    int main(int argc, char *argv[]) {
        uint32_t seed = 0x12345678;
        if (argc > 1) {
            seed = strtoul(argv[1], NULL, 0);
        }
        ranctx ran;
        raninit(&ran, seed);
    
        xcb_connection_t *c = xcb_connect(NULL, NULL);
        if (!c || xcb_connection_has_error(c)) {
            printf("Cannot connect to $DISPLAY\n");
            return 1;
        }
        const xcb_setup_t *setup = xcb_get_setup(c);
        char *buf = malloc(MAX_PROP_LEN + 8); // plus a bit of slack so we can run random values off the end
        if (!buf) {
            printf("oom\n");
            return 1;
        }
        for (uint32_t i=0; i < (MAX_PROP_LEN + 3) / 4; i++) {
            ((uint32_t *)buf)[i] = ranval(&ran);
        }
    
        xcb_window_t win = xcb_generate_id(c);
        xcb_create_window(c, 0, win, xcb_setup_roots_iterator(setup).data[0].root, 0, 0, 1, 1, 0,
                XCB_WINDOW_CLASS_INPUT_ONLY, 0, 0, NULL);
        printf("Created window 0x%X\n", win);
    
        for (;;) {
            xcb_flush(c);
            xcb_generic_event_t *ev = xcb_poll_for_event(c);
            if (ev) {
                if (ev->response_type == 0) {
                    xcb_generic_error_t *err = (xcb_generic_error_t *)ev;
                    printf("Unexpected X Error %d\n", err->error_code);
                    printf("   Sequence %d\n", err->sequence);
                    printf("   Resource ID 0x%X\n", err->resource_id);
                    printf("   Opcode: %d.%d\n", err->major_code, err->minor_code);
                    return 1;
                }
                printf("Unexpected X Event %d\n", ev->response_type);
                return 1;
            }
    
            uint32_t siz = ranval(&ran) % MAX_PROP_LEN + 1;
            xcb_change_property(c, XCB_PROP_MODE_REPLACE, win, XCB_ATOM_STRING, XCB_ATOM_STRING, 8, siz, buf);
        }
    
        return 0;
    }
    
    
    #define rot(x,k) (((x)<<(k))|((x)>>(32-(k))))
    static uint32_t ranval(ranctx *x) {
        uint32_t e = x->a - rot(x->b, 27);
        x->a = x->b ^ rot(x->c, 17);
        x->b = x->c + x->d;
        x->c = x->d + e;
        x->d = e + x->a;
        return x->d;
    }
    
    static void raninit(ranctx *x, uint32_t seed) {
        uint32_t i;
        x->a = 0xf1ea5eed, x->b = x->c = x->d = seed;
        for (i = 0; i<20; ++i) {
            (void)ranval(x);
        }
    }
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 4b0d9d3868aad8d5f4266821e9eda586e6c2bfa7
Author: Peter Harris <pharris@opentext.com>
Date:   Mon Feb 1 17:43:52 2021 -0500

    Fix build on Windows
    
    Notable changes: Protect include of unistd.h (and other POSIX headers).
    Use SOCKET (which is larger than int) and closesocket (because close is
    not compatible) for sockets. Use <stdint.h>'s intptr_t instead of the
    non-portable ssize_t.
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit cd0fba98a2d0867d505ff1a7ca8d7a7c757acfa2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 1 18:36:17 2021 -0700

    xcb_auth: Quiet -Wimplicit-fallthrough warning in get_authptr()
    
    xcb_auth.c:135:14: warning: this statement may fall through [-Wimplicit-fallthrough=]
             addr += 12;
             ~~~~~^~~~~
    xcb_auth.c:138:5: note: here
         case AF_INET:
         ^~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ef8655987b9862cdddb72223c9f259a860d5777
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Feb 1 19:23:02 2021 +0100

    Increment libtool version info for libxcb-dri3
    
    Somewhat belatedly given the last update was in xcb-proto 1.13 in 2017...
    
    Quoting @smcv from https://bugs.debian.org/921069:
    >>>
    libxcb-dri3 version 1.13 appears to have added new symbols without increasing
    the minor ABI version in its -version-info. This will break anything that
    compares libraries by their version info to decide which one is newer.
    
    The Steam Runtime uses libraries' major/minor/micro ABI version info (in this
    case 0.0.0) to decide whether to use the system copy of a library or the copy
    in the Steam Runtime, depending on which one is newer (#921026). We can
    work around this by adding a versioned dependency on libxcb-dri3-0 and
    deleting the copy from the Steam Runtime, but this isn't a particularly
    scalable solution.
    >>>

commit 4cbcac4eca967abfbff7cf1ea473777c5e8c375c
Author: Ran Benita <ran@unusedvar.com>
Date:   Tue Nov 17 23:45:14 2020 +0200

    gitignore: add files generated by make check
    
    Signed-off-by: Ran Benita <ran@unusedvar.com>

commit f01f3c378eb0168fbb055c7be1c2d08a7acd3752
Author: Ran Benita <ran@unusedvar.com>
Date:   Tue Nov 17 23:43:06 2020 +0200

    tests: don't use deprecated fail_unless check API
    
    It causes errors like this when running make check:
    
    check_public.c:40:24: error: too many arguments for format [-Werror=format-extra-args]
       40 |   fail_unless(success, "unexpected parse failure %sfor '%s'", test_string[test_type], name);
    
    Closes: https://gitlab.freedesktop.org/xorg/lib/libxcb/-/issues/49
    Tested-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Ran Benita <ran@unusedvar.com>

commit 704e0a91b1dece9a4cce7cfe8beaeb86a5e14267
Author: Eduardo Sánchez Muñoz <esm@eduardosm.net>
Date:   Mon Mar 2 18:59:45 2020 +0100

    Use the 'present' field to properly check that the XC-MISC
    extension is available in xcb_generate_id.
    
    Also document the returned value when xcb_generate_id fails.

commit 4b40b44cb6d088b6ffa2fb5cf3ad8f12da588cef
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Feb 22 12:10:53 2020 -0800

    Release libxcb 1.14
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 78c492deaa7ae3aad0b0eeb4b126bb291cc637a7
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Feb 22 12:19:58 2020 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 8f7e4c4e9fc6ee6b5b5498a7d8af79150be0d26a
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Feb 22 11:24:11 2020 -0800

    configure.ac: Depend on pthread-stubs only on not-Linux
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit f9f4b00aad69ff36e81c63089b1b16660eaca900
Author: Sam Varshavchik <mrsam@courier-mta.com>
Date:   Sat Jan 4 10:43:59 2020 -0500

    Implement xcb_total_read() and xcb_total_written().
    
    Returns raw byte counts that have been read or written to the
    xcb_connection_t.
    
    I found it very useful when developing a high level widget toolkit, to
    track down inefficient/sub-optimum code that generates a lot of X
    protocol traffic.
    
    Signed-off-by: Sam Varshavchik <mrsam@courier-mta.com>

commit 59e271e15bcecf0c461cd5c6c59081fb86b96c22
Author: A. Wilcox <AWilcox@Wilcox-Tech.com>
Date:   Mon Dec 23 21:49:29 2019 -0600

    tests: Support Check 0.13.0 API
    
    [mattst88]: Keep compatibility  with old API via preprocessor
    
    Fixes: #43

commit 21324989b7e121c008a2c4fdf98547541cbf7b83
Author: Martin Dørum <martid0311@gmail.com>
Date:   Sun May 19 16:05:08 2019 +0200

    Handle EINTR from recvmsg in _xcb_in_read
    
    I have a GTK application which occasionally crashes with an "interrupted
    system call" g_message from gdk. After a lot of debugging, I've found
    that the call to recvmsg in _xcb_in_read occasionally fails with EINTR,
    and instead of retrying the system call, xcb would just shut down the
    connection.
    
    This change makes _xcb_in_read treat EINTR the same as it would treat
    EAGAIN; it returns 1 and libX11 ends up calling xcb_poll_for_event
    again (from what I have understood).
    
    I have spoken with a few people who think recvmsg failing with EINTR in
    this case shouldn't ever happen, and I don't know enough to agree or
    disagree with that. In case anyone wants to dig further and try to
    figure out why the recvmsg call sometimes fails with EINTR, here's the
    backtrace from inside of _xcb_in_read where that happened:
    
    Thread 1 "beanbar" hit Breakpoint 1, _xcb_in_read (c=c@entry=0x55ecbe4aba80) at xcb_in.c:1059
    1059                fprintf(stderr, "Hello World am %s:%i, errno is %s\n", __FILE__, __LINE__, strerror(errno));
    (gdb) bt
    0  0x00007fa48fa48639 in _xcb_in_read (c=c@entry=0x55ecbe4aba80) at xcb_in.c:1059
    1  0x00007fa48fa489d8 in poll_for_next_event (c=0x55ecbe4aba80, queued=queued@entry=0) at xcb_in.c:352
    2  0x00007fa48fa48a3d in poll_for_next_event (queued=0, c=<optimized out>) at xcb_in.c:722
    3  0x00007fa48fa48a3d in xcb_poll_for_event (c=<optimized out>) at xcb_in.c:722
    4  0x00007fa4908d1b7e in poll_for_event (dpy=dpy@entry=0x55ecbe4a9730, queued_only=queued_only@entry=0) at xcb_io.c:245
    5  0x00007fa4908d1cf0 in poll_for_response (dpy=dpy@entry=0x55ecbe4a9730) at xcb_io.c:303
    6  0x00007fa4908d1fed in _XEventsQueued (mode=2, dpy=0x55ecbe4a9730) at xcb_io.c:363
    7  0x00007fa4908d1fed in _XEventsQueued (dpy=dpy@entry=0x55ecbe4a9730, mode=mode@entry=2) at xcb_io.c:344
    8  0x00007fa4908c3d47 in XPending (dpy=0x55ecbe4a9730) at Pending.c:55
    9  0x00007fa493cadbc7 in  () at /usr/lib/libgdk-3.so.0
    10 0x00007fa49234d08a in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
    11 0x00007fa49234d6e6 in  () at /usr/lib/libglib-2.0.so.0
    12 0x00007fa49234d8ae in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
    13 0x00007fa4938b920e in g_application_run () at /usr/lib/libgio-2.0.so.0
    14 0x000055ecbc820af4 in main (argc=1, argv=0x7ffd06238098) at src/main.c:190
    
    Signed-off-by: Martin Dørum <martid0311@gmail.com>

commit 656c08c5429a3cf53e7abd7fc56cd3c3a79c0f64
Author: Jon Turney <jon.turney@dronecode.org.uk>
Date:   Sun Sep 14 00:05:27 2014 +0100

    Include time.h before using time()
    
    Signed-off-by: Jon Turney <jon.turney@dronecode.org.uk>

commit be1745c8eb00defcb31d336ccc142de056e92bd8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 17 12:06:10 2019 -0800

    Add README.md to EXTRA_DIST
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58f37377c851960cbf21fac1caf38ab1e66c7d6c
Author: Eduardo Sánchez Muñoz <esm@eduardosm.net>
Date:   Sun Feb 17 13:33:12 2019 +0100

    Add "ge.*" to src/.gitignore

commit 7bac366953005233fc3c8736e6f1cd5798e65e28
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 16 13:41:28 2019 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 02ff3eadf48e6affe3b59ef688312b4dab538e8b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 16 13:20:45 2019 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 542befe40a3a7c6a5d1dcb7f38fb9eb261b96b24
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 7 14:42:53 2019 -0800

    c_client: fix "adress" typo
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8287ebd7b752c33b0cabc4982606fe4831106f7e
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Sep 27 14:04:17 2018 +0200

    Release libxcb 1.13.1

commit bbda345a718ff73086437e51f03fcbb73e4365b9
Author: Erik Kurzinger <ekurzinger@nvidia.com>
Date:   Mon Aug 20 12:06:25 2018 -0700

    don't flag extra reply in xcb_take_socket
    
    If any flags are specified in a call to xcb_take_socket,
    they should only be applied to replies for requests sent
    after that function returns (and until the socket is
    re-acquired by XCB).
    
    Previously, they would also be incorrectly applied to the
    reply for the last request sent before the socket was taken.
    For instance, in this example program the reply for the
    GetInputFocus request gets discarded, even though it was
    sent before the socket was taken. This results in the
    call to retrieve the reply hanging indefinitely.
    
    static void return_socket(void *closure) {}
    
    int main(void)
    {
        Display *dpy = XOpenDisplay(NULL);
        xcb_connection_t *c = XGetXCBConnection(dpy);
    
        xcb_get_input_focus_cookie_t cookie = xcb_get_input_focus_unchecked(c);
        xcb_flush(c);
    
        uint64_t seq;
        xcb_take_socket(c, return_socket, dpy, XCB_REQUEST_DISCARD_REPLY, &seq);
    
        xcb_generic_error_t *err;
        xcb_get_input_focus_reply(c, cookie, &err);
    }
    
    In practice, this has been causing intermittent KWin crashes when
    used in combination with the proprietary NVIDIA driver such as
    https://bugs.kde.org/show_bug.cgi?id=386370 since when Xlib fails to
    retrieve one of these incorrectly discarded replies it triggers
    an IO error.
    
    Signed-off-by: Erik Kurzinger <ekurzinger@nvidia.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 7e0f166579672d71efd819c81f0c932b0acd542c
Author: Daniel Stone <daniels@collabora.com>
Date:   Wed Feb 28 01:26:55 2018 +0000

    Release libxcb 1.13
    
    Signed-off-by: Daniel Stone <daniels@collabora.com>

commit a3e9821bec08a69b355b46b0655562b9df61bb21
Author: Daniel Stone <daniels@collabora.com>
Date:   Wed Apr 26 17:55:54 2017 +0200

    c_client: Add support for lists of FDs
    
    Matching xcbgen changes, add support having a ListType which contains
    file descriptors. Use this to send a variable number of FDs to the
    server, including when the list size is not fixed.
    
    Signed-off-by: Daniel Stone <daniels@collabora.com>

commit c7aa4e682fdc7f0035f928af6eafd052e38cc15a
Author: Daniel Stone <daniels@collabora.com>
Date:   Wed Apr 26 17:54:01 2017 +0200

    c_client: Don't serialise non-wire fields
    
    For when we have a variable-sized field followed by a fixed field, make
    sure we do not serialise non-wire fields.
    
    Signed-off-by: Daniel Stone <daniels@collabora.com>

commit d10194a321c3db851b3ede9a98cdc95e951943aa
Author: Christian Linhart <chris@demorecorder.com>
Date:   Sat Mar 11 22:03:34 2017 +0100

    enable xinput by default
    
    Support for the xinput extension is complete now,
    as far as I can tell.
    
    According to our discussion on the list, we enable it now.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit fad81b63422105f9345215ab2716c4b804ec7986
Author: David McFarland <corngood@gmail.com>
Date:   Tue Apr 18 23:58:59 2017 -0300

    read from connection when polling special events and replies
    
    Using the mesa vulkan driver, if you acquire an image from a
    swapchain using a finite timeout (x11_acquire_next_image_poll_x11),
    it will occasionally lock, calling xcb_poll_for_special_event in
    a loop until the timeout expires.
    
    Call _xcb_in_read() once from the polling functions for special
    events and replies, in the same way as xcb_poll_for_event.
    
    Signed-off-by: David McFarland <corngood@gmail.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit f830eb93c9c38b2c6c7ea2971af3bc6a61e92277
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun Mar 26 15:41:12 2017 +0200

    Check strdup for NULL return value.
    
    _xcb_open does not check strdup's return value for NULL if launchd suport
    was configured.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit ee9dfc9a7658e7fe75d27483bb5ed1ba4d1e2c86
Author: Christian Linhart <chris@demorecorder.com>
Date:   Wed Jan 25 10:21:05 2017 +0100

    add support for eventstruct
    
    eventstruct allows to use events as part of requests.
    This is, e.g., needed by xcb_input_send_extension_event.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit 0c2c5d50f8670da3e7601feb6a29b53509513da5
Author: Christian Linhart <chris@demorecorder.com>
Date:   Fri Jan 20 20:14:57 2017 +0100

    optionally build the GE extension
    
    xcb contains an xml-definition for the GenericEvent extension
    but this extension was neither generated nor built.
    
    This patch enables optional building of the GenericEvent extension
    with configure option --enable-ge
    
    By default, the GenericEvent extension is not built.
    Normally this is not needed by application programs
    because there is implicit support for the GE-extension
    for the specific events built with this extension.
    
    But it may be useful for X-protocol analyzers and stuff like that.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit 9bce1f72e329cb407b7a95589b9675a08129b65d
Author: Christian Linhart <chris@demorecorder.com>
Date:   Fri Jan 20 14:40:25 2017 +0100

    move symbol lookup of sumof expr to the parser
    
    replace the complicated symboltable lookup for sumof expr
    by accessing the lenfield of the expr-object.
    
    This requires the corresponding patch for xcb/proto
    which sets the lenfield accordingly.
    
    This should be OK because for official releases we define
    that dependency in the build system.
    
    For getting versions off the HEAD of the git repo, it should
    be obvious that xcb/proto and xcb/libxcb have to be updated together.
    
    I have tested this patch and it generates exactly the same code
    as before.
    
    Tested-by: Christian Linhart <chris@demorecorder.com>
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit 65b298c7ca317d7e4316aa2b9e0499e13047c65c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 6 12:26:21 2016 -0800

    Correct @param "e" to "error" in xcb_poll_for_reply*()
    
    Found by clang -Wdocumentation:
    
    ./xcbext.h:271:11: warning: parameter 'e' not found in the function
          declaration [-Wdocumentation]
     * @param e Location to store errors in, or NULL. Ignored for un...
              ^
    ./xcbext.h:271:11: note: did you mean 'error'?
     * @param e Location to store errors in, or NULL. Ignored for un...
              ^
              error
    
    ./xcbext.h:283:11: warning: parameter 'e' not found in the function
          declaration [-Wdocumentation]
     * @param e Location to store errors in, or NULL. Ignored for un...
              ^
    ./xcbext.h:283:11: note: did you mean 'error'?
     * @param e Location to store errors in, or NULL. Ignored for un...
              ^
              error
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 32a9084546add979115a686f9a167e70b8967149
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 6 12:26:20 2016 -0800

    Remove : from @param names in manually written headers
    
    Makes style match the @param names in autogenerated headers and makes
    clang -Wdocumentation stop complaining about all of them:
    
    ./xcb.h:523:11: warning: parameter 'display:' not found in the function
          declaration [-Wdocumentation]
     * @param display: A pointer to the display number.
              ^~~~~~~~
    ./xcb.h:523:11: note: did you mean 'display'?
     * @param display: A pointer to the display number.
              ^~~~~~~~
              display
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 8740a288ca468433141341347aa115b9544891d3
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu May 19 17:31:18 2016 +0200

    Fix inconsistent use of tabs vs. space.
    
    Needed for at least python-3.5.x.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit d34785a34f28fa6a00f8ce00d87e3132ff0f6467
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat May 14 10:36:54 2016 +0200

    Release libxcb 1.12
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit b11fca06f75b26b94e3f1d3e3c3954d365f80759
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat May 14 10:33:54 2016 +0200

    Bump xcb-proto requirement to 1.12
    
    This is needed due to various changes that were done to the XML schema.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 095353ff1a4f611922dfc4c98b0c4bd55d9f6d4f
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Sat Jan 23 17:29:32 2016 +0100

    Increase unix socket send buffer to at least 64KB
    
    Some systems (e.g. OpenBSD) have a rather small default socket send buffer
    size of 4KB.  The result is that sending requests with a largish payload
    requires serveral writev(2) system calls.  Make sure the socket send buffer
    is at least 64KB such that we're likely to succeed with a single system
    call for most requests.  A similar change was made to the xtrans code
    some time ago.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit b3516102b4469df99db39e0e354deae496867f35
Author: Christian Linhart <chris@demorecorder.com>
Date:   Mon Jan 18 06:56:39 2016 +0100

    do not serialize pads by default anymore
    
    Pads should not be serialized/deserialized to maintain
    ABI compatibility when adding explicit align pads.
    
    Therefore this pad switches off serialization of pads
    unless it is enforced by serialize=true in the xml-definition
    of that pad
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit c03388ff9e253b86e4b41fb77034ca6007fe47e9
Author: Jaya Tiwari <tiwari.jaya18@gmail.com>
Date:   Wed Nov 11 01:02:09 2015 +0100

    calculate lengthless list
    
    Some rework done by Christian Linhart
    
    Signed-off-by: Jaya Tiwari <tiwari.jaya18@gmail.com>
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit 775825756714eb6b8467e099cda73a03b782ea0e
Author: Christian Linhart <chris@demorecorder.com>
Date:   Tue Nov 10 12:53:04 2015 +0100

    Fix handling of align-pads in end-iterators
    
    If a list is preceded by an align-pad, then
    accessor for the end-iterator returned a wrong
    value.
    
    Reason: the length of the align-iterator was added
    to a pointer of list-member type. Therefore, the length
    was multiplied by the size of the list-member type,
    due to C pointer arithmetic rules.
    
    This has looked like the following, e.g., in
    xcb_randr_get_crtc_transform_pending_params_end:
    
    i.data = ((xcb_render_fixed_t *) prev.data) + ((-prev.index) & (4 - 1)) + (R->pending_nparams);
    
    This bug was introduced with the following commit:
    http://cgit.freedesktop.org/xcb/libxcb/commit/?id=4033d39d4da21842bb1396a419dfc299591c3b1f
    
    The fix handles this by casting to char* before adding the align,
    and then casting the result to the member type.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit 32a2189183696e942b002efcbca823a416fe5f6a
Author: Christian Linhart <chris@demorecorder.com>
Date:   Sun Nov 1 18:35:35 2015 +0100

    set the align-offset as provided by proto
    
    instead of using the lower bits of the pointer address.
    This fixes a bug reported by Peter Hutterer in off-list communication
    back in June 2015.
    
    This requires the alignment-checker patches in xcb/proto.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit 6e0378ebbf5f842992e37c93ad60b960427849ac
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Sep 21 15:27:52 2015 -0400

    Bump version to 1.11.90
    
    We've released 1.11.1 and new libX11 wants that or better.  git master
    will suffice, so bump the version number ahead of 1.11 branch.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4033d39d4da21842bb1396a419dfc299591c3b1f
Author: Christian Linhart <chris@demorecorder.com>
Date:   Fri Sep 19 13:44:38 2014 +0200

    make lists after align-pads work
    
    Handle align-pads when generating an end-function
    in the same way as handling them when generating
    an accessor or iterator function.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit b15c96f9507119e5d38a61d92b4dbcd479ea2099
Author: Christian Linhart <chris@demorecorder.com>
Date:   Thu Jun 11 18:58:38 2015 +0200

    make support for server side stuff optional
    
    and make it disabled by default with an EXPERIMENTAL warning
    
    reason: this feature is unfinished and we want to have flexibility for
    ABI/API changes, while still being able to make a release soon
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>

commit c5d923d8ff4a9b9fc1aef1c6c6918bab15098d34
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Mar 17 17:49:14 2015 +0000

    Link with winsock library for socket functions on MinGW
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit 5b40681c887192307f3ae147d2158870aa79c05f
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Jun 12 15:13:05 2015 +0200

    Fix a thread hang with xcb_wait_for_special_event()
    
    Consider the following:
    
    - Two threads are calling xcb_wait_for_special_event() and xcb_wait_for_reply()
      concurrently.
    - The thread doing xcb_wait_for_reply() wins the race and poll()s the socket for
      readability.
    - The other thread will be put to sleep on the special_event_cond of the special
      event (this is done in _xcb_conn_wait() via the argument
      xcb_wait_for_special_event() gives it).
    - The first thread gets its reply, but does not yet receive any special event.
    
    In this case, the first thread will return to its caller. On its way out, it
    will call _xcb_in_wake_up_next_reader(), but that function cannot wake up
    anything since so far it did not handle xcb_wait_for_special_event().
    
    Thus, the first thread stays blocked on the condition variable and no thread
    tries to read from the socket.
    
    A test case demonstrating this problem is available at the bug report.
    
    Fix this similar to how we handle this with xcb_wait_for_reply():
    
    The function wait_for_reply() adds an entry into a linked list of threads that
    wait for a reply. Via this list, _xcb_in_wake_up_next_reader() can wake up this
    thread so that it can call _xcb_conn_wait() again and then poll()s the socket.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84252
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Tested-by: Michel Dänzer <michel.daenzer@amd.com>

commit f85661c3bca97faa72431df92a3867be39a74e23
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Mon Jun 1 11:04:18 2015 +0900

    Call _xcb_wake_up_next_reader from xcb_wait_for_special_event
    
    All functions calling _xcb_conn_wait() must make sure that waiting
    readers are woken up when we read a reply or event that they are waiting
    for. xcb_wait_for_special_event() did not do so. This adds the missing
    call to_xcb_in_wake_up_next_reader().
    
    Fixes deadlock when waiting for a special event and concurrently
    processing the display connection queue in another thread.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84252
    Tested-by: Thomas Daede <bztdlinux@gmail.com>
    Tested-by: Clément Guérin <geecko.dev@free.fr>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Michel Dänzer <michel@daenzer.net>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 8584c0e09573a29d8ba7050e3d5afd925b4d8d80
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu May 14 09:44:05 2015 +0200

    send_fds(): Handle too many outstanding FDs to send
    
    Before this patch, the following code caused an endless loop in send_fds(),
    because the queue of FDs to send was eventually full, but _xcb_out_flush_to()
    didn't make any progress, since there was no request to send:
    
       while (1) { xcb_send_fd(conn, dup(some_fd)); }
    
    Fix this by sending a sync when flushing didn't make any progress. That way we
    actually have something to send and can attach the pending FDs.
    
    Because send_fds() can now send requests, the code in
    xcb_send_request_with_fds64() has to be changed. It has to call send_fds()
    before it establishes a good sequence number for the request it wants to send.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 658fb4a5f0050db68fdf092936afe596412ef5f7
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Apr 22 09:26:05 2015 +0200

    Code generator: Use xcb_send_request_with_fds()
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit b15aa6bd4efde784e546d168bb23b8a8e816e85b
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Apr 22 09:23:47 2015 +0200

    Add xcb_send_request_with_fds() and *_with_fds64()
    
    Doing xcb_send_fd(), xcb_send_request() is racy. If two threads do this at the
    same time, they could mix up their file descriptors. This commit makes it
    possibly to fix this race by providing a single function which does everything
    that is needed.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit cc04cfb41bece6ec239f57d83822286b507f4482
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon May 18 21:40:34 2015 +0200

    send_fds(): Make sure no other thread interrupts us
    
    Two threads trying to send fds at the same time could interfere. To guarantee a
    correct ordering, we have to use correct locking. The code in send_fds() missed
    one case: If there was another thread already writing requests, we slept on the
    "done with writing" condition variable (c->out.cond). This would allow other
    threads to re-acquire the iolock before us and could cause fds to be sent out of
    order.
    
    To fix this, at the beginning of send_fds() we now make sure that no other
    thread is already writing requests. This is what prepare_socket_request() does.
    Additionally, it gets the socket back in case xcb_take_socket() was called,
    which is a good thing, too, since fds are only sent with corresponding requests.

commit 25f9e7e45a7652b35b71c7941beef774a39f0d86
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Apr 22 09:20:38 2015 +0200

    xcb_send_fd(): Always close fds
    
    The API docs for xcb_send_fd() says "After this function returns, the file
    descriptor given is owned by xcb and will be closed eventually".
    
    Let the implementation live up to its documentation. We now also close fds if fd
    passing is unavailable (!HAVE_SENDMSG) and when the connection is in an error
    state.
    
    (This also does sneak in some preparatory functions for follow-up commits and
    thus does things in a more complicated way than really necessary.)
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit bbdf1d133f7bd979c6ff3bf44ec3d0c2d2b9dbfe
Author: Ran Benita <ran234@gmail.com>
Date:   Wed Mar 18 12:27:32 2015 +0200

    c_client.py: don't generate useless empty /** < */ comments
    
    (This does not change doxygen's output or warnings).
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit ff6cb3913b64a4aa29cb5e65168ea49d77195296
Author: Ran Benita <ran234@gmail.com>
Date:   Wed Mar 18 12:27:31 2015 +0200

    c_client.py: use pattern matching with enumerate()
    
    Signed-off-by: Ran Benita <ran234@gmail.com>

commit cb621341a62e6d2233db3e337611f6fdd4f675a6
Author: Christian Linhart <chris@demorecorder.com>
Date:   Wed Apr 29 09:11:37 2015 +0200

    expose 64-bit sequence numbers for XLib
    
    While XCB uses 64-bit sequence number internally, it only exposes
    "unsigned int" so that, on 32-bit architecture, Xlib based applications
    may see their sequence number wrap which causes the connection to the X
    server to be lost.
    
    Expose 64-bit sequence number from XCB API so that Xlib and others can
    use it even on 32-bit environment.
    
    This implies the following API addition:
    
      xcb_send_request64()
      xcb_discard_reply64()
      xcb_wait_for_reply64()
      xcb_poll_for_reply64()
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=71338
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Christian Linhart <chris@demorecorder.com>
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>

commit c49aa985941112be05599032b9bb45b2652301ce
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Apr 29 23:23:05 2015 -0700

    Escape \n to display properly in xcb-requests man page
    
    In nroff, \n is a macro that "Interpolates number register x" (where x
    is the character following the \n sequence), thus the man page currently
    prints 0 instead of \n" in several lines, leading to output such as:
    
     printf("The _NET_WM_NAME atom has ID %u0, reply-⁠>atom);
    
    It needs to be escaped here, as \\n, as is done in other examples in
    this man page already.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=90231
    
    Reported-by: Stefan Merettig
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a90be9955d2c5a635f791d44db1154633b9d3322
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:20 2014 +0300

    c_client.py: make condition easier to follow in _c_complex()
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit f9f925107e37e0c9a0ed8220ee3a23f584e3b2ec
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:14 2014 +0300

    c_client.py: don't add /* <name> */ before references to 'S'
    
    The name can be understood from the type of S already.
    
    For examples, look for 'S->' in xkb.c or xinput.c.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>
    Reviewed-by: Rémi Cardona <remi@gentoo.org>

commit 17f9bda6c291a8b9ccc98b22c241b64880b80621
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:19 2014 +0300

    c_client.py: remove duplicated `cookie_type` argument for requests
    
    It is implied already inside the function by the `void` argument.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit c65005e9d0ce60524d2e883c13c027a5f1f7914c
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:18 2014 +0300

    c_client.py: spell out keyword arguments in c_request() for clarity
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 6872e925828e615e2c1d4a0bbcc6be6a32fa4e7a
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:17 2014 +0300

    c_client.py: simplify _c_reply_has_fds()
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 8bf8b62316a3066b61243d797d22c2100fd173f5
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:16 2014 +0300

    c_client.py: remove commented debug statements
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit ec435aebd6ed0523de2d341e6aff5ae66f230b10
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:15 2014 +0300

    c_client.py: use C99 initializers instead of comments
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 89498d1d450d0e6e476f6b24908ecae857863386
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:11 2014 +0300

    c_client.py: remove end-of-function comments
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 2871d4b1b8736044ba50df2f7dacfcc65d820fa9
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:10 2014 +0300

    c_client.py: no need to compare bools to True/False
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 30976e5255a25117d17d4d8162e29b84913953cd
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:09 2014 +0300

    c_client.py: use "foo".join() instead of reduce
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 0ab52cbcc630ff8ddfa6f6b245c6b3071867b291
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:08 2014 +0300

    c_client.py: fix indentation
    
    (Also remove unnecessary parens around the condition).
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 80341d5df3e30e2cfc3066d05256af9e513e4500
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:07 2014 +0300

    c_client.py: use comprehensions instead of map/filter
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 86ea6645d9e388112670cf88da1fe3b350953789
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:06 2014 +0300

    c_client.py: use print as a function for python3 compatibility
    
    This works for all python>=2.6, which is what configure requires.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 70d32ce7d8ef3ce9490d9a51b189829c8bcdb5c4
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:05 2014 +0300

    c_client.py: fix pyflakes errors
    
    c_client.py:2: 'from xml.etree.cElementTree import *' used; unable to detect undefined names
    c_client.py:3: 'basename' imported but unused
    c_client.py:9: 'time' imported but unused
    c_client.py:1437: local variable 'list_obj' is assigned to but never used
    c_client.py:1745: local variable 'varfield' is assigned to but never used
    c_client.py:2050: local variable 'length' is assigned to but never used
    c_client.py:2416: local variable 'R_obj' is assigned to but never used
    c_client.py:2441: local variable 'S_obj' is assigned to but never used
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 12d23b934f189607ad77667834205dfcf89a41f0
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:04 2014 +0300

    c_client.py: simplify maximum expression
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit 1b37d6ad3a37a9d0201e3b2caee6cd53b7b4b3dc
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Oct 12 21:58:03 2014 +0300

    c_client.py: remove unneeded call to get_serialize_params()
    
    The results are not used, and the function doesn't have side effects.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>

commit e3ec1f74637237ce500dfd0ca59f2e422da4e019
Author: Jaya Tiwari <tiwari.jaya18@gmail.com>
Date:   Thu Jan 22 12:16:33 2015 -0500

    Adding accessors for requests
    
    Added accessor functions for requests the same way they were added for
    structs,events and replies.
    Lists for replies have accessor functions now.
    
    Signed-off-by: Jaya Tiwari <tiwari.jaya18@gmail.com>
    Reviewed-by: Christian Linhart <chris@demorecorder.com>
    
    Comment from the Reviewer Christian Linhart:
    I have tested your patch after fixing the issues with the patch-format.
    It looks good:
    * only adds new functions, and does not modify existing functions.
      Therefore it is API and ABI compatible.
    
    * adds accessors for varsized-stuff in requests.
      This is needed for server-side XCB and may be useful for implementing X11-protocol proxies.

commit 5353c0216e091b64d01a43e6580e6d69b2ac16c7
Merge: bbca7b8 c6f3fb2
Author: Christian Linhart <chris@demorecorder.com>
Date:   Tue Feb 10 10:13:04 2015 +0100

    Merge http://git.demorecorder.com/git/free-sw/xcb/libxcb
    branch 'ParametrizedStruct-V7'

commit c6f3fb2529a6211221e8254f58c85fd67c1d8844
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Mon Nov 3 09:57:59 2014 +0100

    generator: support parametrized structs
    
    Parametrized structs contain paramref expressions which
    refer to the value of a field defined in the context
    where the struct is used.
    
    Implementing the parametrized structs turned out
    to be somewhat easier than previously thought
    because the generator already had some support for type-parametrization
    because this is needed when case or bitcase refers to fields outside
    of the switch.
    
    So I decided to go with the flow and to implement the solution
    which best fits the current implementation.
    
    I did the following:
    * I provided a way to specify fieldref with an explicitely given type:
      This resulted in <paramref type="CARD8>fieldname</paramref>
      A paramref is just a fieldref with an explicit type.
      The type is necessary because there is no local field of that
      name where the type can be derived from.
    
    * then I tested it and made several changes in the generator
      such that it really works.
    
    Basically the generated code is as follows:
    * The parameter appears on the parameter list of the
      sizeof-function of the parametrized struct.
      When that function gets called, an appropriate argument is supplied.
    
    * The parameter also appears as an additional member of the iterator-struct
      for the iterator of lists of that parametrized struct.
      This way, the next-function can get the value of that parameter from the iterator.
      When the iterator is created, this iterator-member is set accordingly.
    
    * When the paramref appears in the length-expression of a list, then
      the parameter appears on the parameterlist of the "length" and "end" functions.
      When these functions get called, an appropriate argument is supplied.
    
    Some comments:
    * I did not implement inline structs.
      This would probably have been more complicated, and at least some additional effort.
      But that can be implemented later if needed.
      (Inline structs could probably use some code from switch-case/bitcase which is already kind of
      an inlined struct but one has to be careful not to break the functionality
      of switch-case/bitcase. Support for inline structs inside lists must probably
      be implemented from scratch...)
    
    * The paramref expression refers to a field of the same name in the struct/request/...
      where it is used.
      So it is not possible to pass the value of arbitrary fields or even expressions
      to the parametrized struct.
      This would have been possible with the previously discussed <typearg>.
      That can be added later, if needed.
      ( Wont be too complicated )
    
    * So this is pretty much like the proposal from Ran Benita.
    
    changes for V2 of this patch, according to suggestions from Ran Benita:
    * replace map with list comprehension
      because map returns an iterator instead of a list from Python 3 on,
      so it cannot be added to a list anymore.
    
    * removed "self" parameter of function additional_params_to_str
      and accessed the variable additional_params from the outer
      function directly.
    
    changes for V2 of this patch:
    * adapt to revision 2 of patchset ListInputDevices
    * style fixes for similar things that Ran Benita has found in my previous patches
    
    Message-ID: <54574397.4060000@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] parametrized structs implemented
    Patch-Set: ParametrizedStruct
    Patch-Number: libxcb 1/1
    Patch-Version: V3
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>

commit 912cd97a6dd019e9e7ecf09c82c4577dd2ad7529
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Mon Nov 3 09:58:08 2014 +0100

    generator: support listelement-ref
    
    Support for listelement-ref needs the following three changes
    (in the order as they appear in the patch):
    
    * making the current list-element accessible with the variable
      xcb_listelement which is a pointer to the list-element
    
    * supporting lists of simple-type for sumof with a nested expression
    
    * using the variable for resolving a listelement-ref expression
    
    Changes for V2 of this patch:
    - adapt to removal of patch "libxcb 2/6" from patchset "ListInputDevices".
    
    Changes for V3 of this patch:
    - adapt to V2 of patch "libxcb 5/6" from patchset "ListInputDevices"
    
    Changes for V4 of this patch:
    - adapt to revision 2 of the patchset "ListInputDevices"
    
    Message-ID: <545743A0.50907@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] support popcount of a list and associated xml changes
    Patch-Set: PopcountList
    Patch-Number: libxcb 4/4
    Patch-Version: V4
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>

commit 422458b66380e4103c4937f0e2e8bb93e31f273a
Author: Christian Linhart <chris@demorecorder.com>
Date:   Thu Sep 4 17:50:50 2014 +0200

    generator: _c_accessor_get_length: remove buggy special case
    
    The function _c_accessor_get_length had a special case handling
    for intermixed var and fixed size fields.
    
    However:
    * The implementation of that special case was buggy:
      It tried to call a python-dict as a function which causes
      Python to abort the program with a stacktrace and error message.
      So this code was never used.
    
    * The case it tried to handle is handeled elsewhere in the
      meantime: in _c_helper_absolute_name by previous patches
      made by me.
    
    Message-ID: <1409845851-38950-3-git-send-email-chris@demorecorder.com>
    Patch-Thread-Subject: [Xcb] support popcount of a list and associated xml changes
    Patch-Set: PopcountList
    Patch-Number: libxcb 3/4
    Patch-Version: V1
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>

commit b1e4a3bbd8194d12d7fcd9705fcbbe0deb59bcba
Author: Christian Linhart <chris@demorecorder.com>
Date:   Thu Sep 4 17:50:49 2014 +0200

    generator: generate accessors for events, too
    
    Accessors are generally needed for var-sized fields
    and fields after var-sized fields.
    
    Generic events can have ver-sized fields.
    Therefore they need accessors.
    
    Message-ID: <1409845851-38950-2-git-send-email-chris@demorecorder.com>
    Patch-Thread-Subject: [Xcb] support popcount of a list and associated xml changes
    Patch-Set: PopcountList
    Patch-Number: libxcb 2/4
    Patch-Version: V1
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>

commit 6234225b4be862c5882bf547d066c5a3885906dd
Author: Christian Linhart <chris@demorecorder.com>
Date:   Thu Sep 4 17:50:48 2014 +0200

    generator: no type-setup for eventcopies anymore
    
    _c_type_setup is not called for eventcopies anymore:
    Reasons:
    * the type-setup of an eventcopy would overwrite members of the original
      event object such as c_type, ...
    * it is needed for the next patch, i.e., generating accessors:
      type_setup would create sizeof-etc funtions which called
      undefined accessor functions.
    
    Sizeof-functions are generated for compatibility:
    Reason:
    * Type-setup of eventcopies has previously generated
      sizeof-functions for eventcopies.
      So, we still need to generate these functions.
      These new sizeof-functions simply call the sizeof-function
      of the defining event of the eventcopy.
    
    Message-ID: <1409845851-38950-1-git-send-email-chris@demorecorder.com>
    Patch-Thread-Subject: [Xcb] support popcount of a list and associated xml changes
    Patch-Set: PopcountList
    Patch-Number: libxcb 1/4
    Patch-Version: V1
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>

commit 18ff453edd42712ea4d1e7218bbe8829f9f4caba
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:46:58 2014 +0100

    _c_helper_fieldaccess_expr: remove handling for empty sep
    
    The loop-variable "sep" is never empty in function
    "_c_helper_fieldaccess_expr", after a fix elsewhere.
    Therefore I removed the handling of the case of "sep" being empty.
    
    Thanks to Ran Benita for the hint that this can be removed.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <545627C2.3050608@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 9/9
    Patch-Version: V1

commit d905b886185fd8e0d9d7f70e0d112cb58ab86f98
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:46:50 2014 +0100

    function _c_helper_fieldaccess_expr: improve description
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <545627BA.1000909@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 8/9
    Patch-Version: V1

commit 17f6e04493c93014beaf3a704c8cc4d050cb13bf
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:46:38 2014 +0100

    rename _c_helper_absolute_name to _c_helper_fieldaccess_expr
    
    The function _c_helper_absolute_name was named in
    a misleading way.
    It computes a C-expression for accessing a field of an xcb-type.
    
    Therefore the name _c_helper_fieldaccess_expr is more appropriate.
    
    Note: Patch 6 of this series has been removed during the review process.
    
    Signed-off-by: Christian Linhart <chris@demorecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <545627AE.2040200@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 7/9
    Patch-Version: V1

commit 51a0d57acc6ec0c9487d2dbc2dda806f05c49884
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:46:16 2014 +0100

    generator: sumof with nested expression
    
    Support sumof with a nested expression.
    The nested expression is computed for every list-element
    and the result of the computation is added to the sum.
    
    This way, sumof can be applied to a list of structs,
    and, e.g., compute the sum of a specific field of that struct.
    
    example:
    <struct name="SumofTest_Element">
       <field type="CARD16" name="foo" />
       <field type="CARD16" name="bar" />
    </struct>
    
    <struct name="SumofTest_FieldAccess">
       <field type="CARD32" name="len" />
       <list type="SumofTest_Element" name="mylist1">
               <fieldref>len</fieldref>
       </list>
       <list type="CARD16" name="mylist2">
            <sumof ref="mylist1">
                    <fieldref>bar</fieldref>
            </sumof>
       </list>
    </struct>
    
    generated tmpvar:
        int xcb_pre_tmp_1; /* sumof length */
        int xcb_pre_tmp_2; /* sumof loop counter */
        int64_t xcb_pre_tmp_3; /* sumof sum */
        const xcb_input_sumof_test_element_t* xcb_pre_tmp_4; /* sumof list ptr */
    
    generated code:
        /* mylist2 */
        /* sumof start */
        xcb_pre_tmp_1 = _aux->len;
        xcb_pre_tmp_3 = 0;
        xcb_pre_tmp_4 = xcb_input_sumof_test_field_access_mylist_1(_aux);
        for ( xcb_pre_tmp_2 = 0; xcb_pre_tmp_2 < xcb_pre_tmp_1; xcb_pre_tmp_2++) {
            xcb_pre_tmp_3 += xcb_pre_tmp_4->bar;
            xcb_pre_tmp_4++;
        }
        /* sumof end. Result is in xcb_pre_tmp_3 */
        xcb_block_len += xcb_pre_tmp_3 * sizeof(uint16_t);
    
    changes for V2 of this patch:
    * explicitely set the member access operator in the prefix-tuple
      passed to function _c_helper_field_mapping.
      This enables us to simplify function "_c_helper_absolute_name"
      (which will be renamed "_c_helper_fieldaccess_expr" soon)
    
    V3: Changed style and formatting according to suggestions from Ran Benita
    
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <54562798.8040500@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 5/9
    Patch-Version: V3

commit 4a915c0dbadf326ea61349e29a0029d29f4bd339
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:45:40 2014 +0100

    generator: sumof: support any type, generate explicit code
    
    A sumof-expression now generates explicit code ( for-loop etc )
    instead of calling xcb_sumof.
    
    This way, it supports any type which can be added.
    Previously, only uint_8 was supported.
    
    Here's an example and the generated code:
    
    xml:
    <struct name="SumofTest">
       <field type="CARD32" name="len" />
       <list type="CARD16" name="mylist1">
               <fieldref>len</fieldref>
       </list>
       <list type="CARD8" name="mylist2">
               <sumof ref="mylist1"/>
       </list>
    </struct>
    
    declaration of tempvars at the start of enclosing function:
        int xcb_pre_tmp_1; /* sumof length */
        int xcb_pre_tmp_2; /* sumof loop counter */
        int64_t xcb_pre_tmp_3; /* sumof sum */
        const uint16_t* xcb_pre_tmp_4; /* sumof list ptr */
    
    code:
        /* mylist2 */
        /* sumof start */
        xcb_pre_tmp_1 = _aux->len;
        xcb_pre_tmp_3 = 0;
        xcb_pre_tmp_4 = xcb_input_sumof_test_mylist_1(_aux);
        for ( xcb_pre_tmp_2 = 0; xcb_pre_tmp_2 < xcb_pre_tmp_1; xcb_pre_tmp_2++) {
            xcb_pre_tmp_3 += *xcb_pre_tmp_4;
            xcb_pre_tmp_4++;
        }
        /* sumof end. Result is in xcb_pre_tmp_3 */
        xcb_block_len += xcb_pre_tmp_3 * sizeof(uint8_t);
    
    This patch is also a preparation for sumof which can access
    fields of lists of struct, etc.
    
    V2: Changed style and formatting according to suggestions from Ran Benita
    
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <54562774.8030306@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 4/9
    Patch-Version: V2

commit fda1fb4ed47a705744677a0074d83464af7aa4eb
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:45:29 2014 +0100

    generator: expressions can generate pre-code
    
    This patch provides a mechanism for generating
    preparatory code for expressions.
    
    This is e.g. necessary when an expression needs computations
    which cannot be done in a C-Expression, like for-loops.
    
    This will be used for sumof expressions but may be useful
    elsewhere.
    
    Note: Patch 2 of this series has been removed during the review process.
    
    V2: adapt to changes in previous patches
    
    V3: some style and formatting changes according to suggestions from Ran Benita.
    
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <54562769.3090405@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 3/9
    Patch-Version: V3

commit 265d38882cffce597367cc8bb2160b9e2482a80f
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sun Nov 2 13:45:12 2014 +0100

    generator: fix absname for fields with only accessor function
    
    Fix _c_helper_absolute_name for fields which cannot be accessed
    as a struct/union member but which can be accessed by an
    accessor function.
    
    The fix generates calls to the accessor function in these cases.
    
    Example:
    <struct name="AbsnameTest">
    <field type="CARD32" name="len" />
    <list type="CARD8" name="mylist1">
       <fieldref>len</fieldref>
    </list>
    <list type="CARD8" name="mylist2">
       <sumof ref="mylist1"/>
    </list>
    </struct>
    
    The sumof-expression ( <sumof ref="mylist1"/> ) refers to mylist1
    which is only acessible by an accessor function.
    
    Previously, sumof was only used inside bitcases,
    where such lists are accessible by members of the
    deserialized parent struct.
    (there is a difference between deserialization of switches
    and structs.)
    
    V2 of this patch:
    * replaced "!= None" with "is not None" because that's more pythonic.
    (according to suggestion from Ran Benita)
    
    V3 of this patch: simplification:
    * fixed the recursion in _c_type_setup
      so that _c_helper_absolute_name does not need check
      a gazillion things as a workaround anymore.
    
    * simplified _c_helper_absolute_name
      - remove unneeded check for empty string before
        append of last_sep to prefix_str
    
      - removed those if-conditions which are not
        needed anymore after fixing the recursion
        in _c_type_setup.
    
      - extract functionality for checking whether a field
        needs an accessor ( and which type of accessor )
        in functions.
        (also extracted from _c_accessors)
    
      - rearrange the condition branches and actions for
        more readability.
    
    V3 generates exactly the same *.c and *.h files as V2.
    
    V4 of this patch:
    * improve formatting as per suggestions of Ran
    
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    
    Message-ID: <54562758.5090107@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] [PATCHSET] ListInputDevices revision 2
    Patch-Set: ListInputDevices
    Patch-Number: libxcb 1/9
    Patch-Version: V4

commit bbca7b82f803fa13fd30a2891ec06f2a213a28c2
Merge: 382d306 fdb291b
Author: Peter Harris <pharris@opentext.com>
Date:   Thu Oct 30 11:51:57 2014 -0400

    Merge branch 'NestedStructTypenames-V5' of http://infra-srv1.demorecorder.com/git/free-sw/xcb/libxcb

commit fdb291b414a7afc2c2326124b8ca11d6846cd7b9
Author: Christian Linhart <chris@demorecorder.com>
Date:   Wed Sep 3 10:10:49 2014 +0200

    no typename for nested structs
    
    Nested structs which are generated for named case and bitcase
    do not get a typename anymore, i.e., they are anonymous structs.
    
    Reasons for this change:
    * Prior typenames have caused nameclashes
    * Prior typenames introduced names in the global namespace which
      did not start with the xcb prefix.
    
    This change is safe with respect to API compatibility because:
    I have searched for instances of named bitcases and there's only one place
    where they are used, and that's in xkb.xml: reply GetKbdByName.
    ( no need to search for <case> because it was introduced after the last release )
    
    The reply GetKbdByName is broken in its current form in the xkb.xml anyways,
    so it is most probably not used anywhere.
    
    So, my conclusion is that we can safely omit named types for nested structs.
    No need for an attribute.
    
    Message-ID: <1409731849-51897-1-git-send-email-chris@demorecorder.com>
    Patch-Thread-Subject: Re: [Xcb] names of nested structs of named bitcase/case are prone to nameclashes. Solution?
    Patch-Set: NestedStructTypenames
    Patch-Number: libxcb 1/1
    Patch-Version: V1
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-By: Ran Benita <ran234@gmail.com>

commit a7c75be5b1e2da32f7ce2c255972178e7d4b7598
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Tue Sep 9 23:26:40 2014 +0200

    generator: fix align-pads for switches which start at unaligned pos
    
    Fix the alignment computation inside switches which start at
    an unaligned pos.
    This affects both explicit and implicit align pads.
    
    The alignment offset is derived from the lowest 3 bits of
    the pointer to the protocol-data at the start of the switch.
    This is sufficient for correcting all alignments up to 8-byte alignment.
    As far as I know there is no bigger alignment than 8-byte for the
    X-protocol.
    
    Example:
    struct InputState, where the switch starts after two 1-byte fields,
    which is a 2 byte offset for 4-byte and 8-byte alignment.
    
    The previous problem can be demonstrated when adding a
    <pad align="4"/> at the end of case "key".
    
    (Or when finding a testcase which reports the case "valuator" not
    at the last position of the QueryDeviceState-reply.
    I didn't find such a testcase, so I have used the pad align
    as described above.)
    
    V2: patch modified in order to fix bugs which I found when working on the
    next issue:
    * xcb_padding_offset has to be set 0 when xcb_block_len is set 0
    * xcb_padding_offset cannot be "const" therefore
    * for unpack and unserialize, the padding_offset must computed
      from _buffer instead of from the aux_var.
    
    V3: patch revised according to suggestion by Ran Benita:
    * only create and use xcb_padding_offset for switch
    
    Message-ID: <1410298000-24734-1-git-send-email-chris@demorecorder.com>
    Patch-Thread-Subject: [Xcb] xinput:QueryDeviceState: full-support: generator and xml-changes
    Patch-Set: QueryDeviceState
    Patch-Number: libxcb 4/4
    Patch-Version: V3
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-By: Ran Benita <ran234@gmail.com>

commit 277ea629def6728c9d826ff88e95b31c3e25915f
Author: Christian Linhart <chris@demorecorder.com>
Date:   Thu Aug 21 22:35:55 2014 +0200

    generator: support lists of structs which contain a switch
    
    This essentially requires to have a correct sizeof-function
    for the struct.
    This in turn requires a sizeof-function for the switch, too.
    
    Making a sizeof-function for the switch is triggered by
    replacing "elif" by "if" in the first change of this patch.
    This way, c_need_sizeof is also set to True for switches if appropriate.
    
    The _c_serialize_helper_switch_field function has to support
    the context "sizeof":
    This is done in the second change of this patch
    
    The third change of this patch fixes an alignment error:
    It does not make sense to base the padding on the struct-type
    which is generated for switch because this struct does not
    represent the protocol. Rather it is the output of deserialization.
    ( The implicit padding for var-sized fields has other issues, IMHO,
    but I am not touching these now...)
    
    The effect on the generated code for the current xml-files
    is as follows:
    * several additional sizeof-functions are generated
    * the fix of the alignment error only changes one place
      in the XKB-extension for the GetKbdByName-reply.
      This is no problem because that reply in its current form
      is broken/unfinished anyways.
    
    Note:
    This patch also fixes a problem in the generator when
    a fixed-size list is the last field of a case or bitcase.
    
    Message-ID: <1408653356-21191-2-git-send-email-chris@demorecorder.com>
    Patch-Thread-Subject: [Xcb] xinput:QueryDeviceState: full-support: generator and xml-changes
    Patch-Set: QueryDeviceState
    Patch-Number: libxcb 2/3
    Patch-Version: V1
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-By: Ran Benita <ran234@gmail.com>

commit 382d306d6c44a9ece5551c210a932773b5cb94a5
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Fri Sep 5 01:46:40 2014 +0100

    Move internal/private dependencies to Requires.private
    
    Program using the xcb sub-modules has indirect compile and runtime
    dependency of core xcb. To ensure this out we currently list xcb in
    the Requires field of the pkg-config files. While this provides all
    the required dependencies for successful compilation this causes
    over-linking and hides potential linking miss-use against the xcb modules.
    
    By moving to Requires.private we retain the compilation and runtime
    compatibility and avoids any runtime problems.
    
    Cc: Keith Packard <keithp@keithp.com>
    Cc: Alan Coopersmith <alan.coopersmith@oracle.com>
    References: http://people.freedesktop.org/~dbn/pkg-config-guide.html#faq
    References: https://wiki.mageia.org/en/Overlinking_issues_in_packaging
    References: http://err.no/personal/blog/2008/Mar/25
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit d74d066949dbbbbbcb03bf7764e63f4347f99974
Author: Christian Linhart <chris@DemoRecorder.com>
Date:   Sat Sep 6 20:06:15 2014 +0200

    generator: support fixed size lists in var-sized structs
    
    V2: patch revised according to suggestions from Ran Benita:
    * removed blanks before an after parentheses of function-calls or tuples
    * replaced if by elif in "if field.type.is_list". ( this fixes old code )
    
    Message-ID: <540B4D17.1080908@DemoRecorder.com>
    Patch-Thread-Subject: [Xcb] xinput:QueryDeviceState: full-support: generator and xml-changes
    Patch-Set: QueryDeviceState
    Patch-Number: libxcb 1/3
    Patch-Version: V2
    Signed-off-by: Christian Linhart <chris@DemoRecorder.com>
    Reviewed-By: Ran Benita <ran234@gmail.com>

commit b0e6c2de09c7474868dd7185674fa113a5c2e0aa
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 18 10:38:48 2014 +0200

    xcb_get_setup(): Never return NULL
    
    The documentation doesn't mention it and it's unlikely that a lot of code out
    there handles this case correctly. So, instead of returning NULL, let
    xcb_get_setup() return a pointer to a static, invalid, all-zero setup
    information structure.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit c4e40f646b8da4fd112ea54a612c880be5e942a8
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Aug 18 10:38:41 2014 +0200

    Make some functions also work on error connections
    
    There is no technical reason why xcb_get_setup() and xcb_get_file_descriptor()
    shouldn't work on non-static error connections. They cannot be used for many
    useful things, but at least they work.
    
    This works around bugs in lots of programs out there which assume that
    xcb_get_setup() does not return NULL and which just happily dereference the
    results. Since xcb_connect() never returns NULL, it's a bit weird that
    xcb_get_setup() can do so. xcb_get_file_descriptor() is just modified since this
    can be done here equally easily and because the fd isn't closed until the final
    xcb_disconnect() on the error connection.
    
    Non-static error connections are connections which entered an error state after
    xcb_connect() succeeded. If something goes wrong in establishing a connection,
    xcb_connect() will return a static error connection which doesn't have the
    fields used here.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 355d4d6ab9f5c12c2ee4a91e8cf6eb4a2854d73c
Author: Christian Linhart <chris@demorecorder.com>
Date:   Tue Aug 19 15:57:34 2014 +0200

    support switch case in the generator
    
    The implementation is rather simple:
    When a <case> is used instead of a <bitcase>
    then operator "==" is used instead of "&" in the if-condition.
    
    So it creates a series of "if" statements
    (instead of a switch-case statement in C )
    
    In practice this does not matter because a good
    optimizing compiler will create the same code
    as for a switch-case.
    
    With this simple implementation we get additional
    flexibility in the following forms:
    * a case value may appear in multiple case branches.
      for example:
            case C1 will be selected by values 1, 4, or 5
            case C2 will be selected by values 3, 4, or 7
    
    * mixing of bitcase and case is possible
            (this will usually make no sense but there may
            be protocol specs where this is needed)
    
    details of the impl:
    * replaced "is_bitcase" with "is_case_or_bitcase" in all places
      so that cases are treated like bitcases.
    
    * In function "_c_serialize_helper_switch": write operator "=="
      instead of operator "&" if it is a case.

commit 966fba6ba4838949d0727dfa45eeb9392d1f85d9
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Tue Jul 29 22:48:44 2014 +0200

    Disable Xevie and Xprint by default
    
    Both extensions have been dropped from the X-Server in 2008:
        http://cgit.freedesktop.org/xorg/xserver/commit/?id=1c8bd31
        http://cgit.freedesktop.org/xorg/xserver/commit/?id=f4036f6
    
    Don't build them by default.
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit a5e90ae6a1543a681d95b831dc5c44e9c6e78610
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 26 15:40:57 2014 -0400

    help text: do not report the insanly long list of Warning flags.
    
    Originally there was just one. Now that XCB has been integrated with X and
    uses the same compiler flags, it is a different story.
    
      Used CFLAGS:
        CPPFLAGS............:
        CFLAGS..............: -g -O2
        Warning CFLAGS......:  -Wall -Wpointer-arith AND SO ON FOR 8 lines...
    
    It completely defaces the otherwise excellent output.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 529e3bfc2088dcd35e68a0a8394d0e9bff7c978b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 26 15:40:56 2014 -0400

    Add ChangeLog and INSTALL using xorg macros
    
    Same as all other X modules. The one in libxcb git is removed.
    
    Those files are created during 'make dist'
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 74f552c1b39eb6a1ab64451477a492a2b22d9d7a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 26 15:24:46 2014 -0400

    sendmsg: remove --enable-sendfds as it is superceeded by --enable-dri3
    
    DRI3 requires sendmsg support which is auto-detected. A builder can enable
    or disable dri3 feature. If sendmsg function is not available, dri3 cannot
    be enabled.
    
    This reverts af8067cbf4856 which was done at a time where --enable-dri3
    had not been added yet.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 23f57ac8bf0812bbc851ec9a815e50a640b97db5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 26 15:24:45 2014 -0400

    config: issue an error if DRI3 is requested, but sendfds is not available
    
    When a user issues the --enable-dri3 option and sendfds is not available
    on the system, the configuration will abort with an error message.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 7f07b57be587a2ebe0cadceba3fe67ed4a1e79db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Mar 26 15:24:44 2014 -0400

    config: default option for enable-dri3 is not implemented
    
    The first symptom is the help text:
    
      --enable-dri3     Build XCB DRI3 Extension (default: "$sendfds")
    
    The implementation variable $sendfds leaked into the user interface.
    Testing the various user inputs:
      <nothing>                DRI3 is enabled     PASS
      --enable-dri3            DRI3 is enabled     PASS
      --enable-dri3=yes        DRI3 is enabled     PASS
      --enable-dri3=no         DRI3 is disabled    PASS
      --disable-dri3           DRI3 is disabled    PASS
      --enable-dri3=$sendfds   DRI3 is disabled    FAIL
    
    This patch implements the usual idiom for features that are enabled by
    default if the various conditions are met (sendfds is available).
    New help text:
    
      --enable-dri3     Build XCB DRI3 Extension (default: auto)
    
    With the additional user input:
    
      --enable-dri3=auto
    
    which is equivalent to providing no input at all.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit d1e8ec96fca4862f37ec9f0e9407bb989c4c161a
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Aug 1 15:56:52 2014 +0200

    Release libxcb 1.11

commit c5c6cfa4d2a27d0f9e139a1856d866433b6046bc
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Aug 1 16:03:24 2014 +0200

    Bump xcb-proto requirement to 1.11
    
    This is needed for the new direct_imports field that we need from xcb-proto.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 70ea5da64b34336bb0916f6c325545cb50746159
Author: Alexander Mezin <mezin.alexander@gmail.com>
Date:   Sun Jun 29 17:33:48 2014 +0700

    xcb.h: add 'struct' before xcb_setup_t, xcb_query_extension_reply_t
    
    These structs are typedef'ed in xproto.h, so in xcb.h these types
    (without 'struct') are actually undefined.
    
    GCC reports this as error when building precompiled header.
    
    Signed-off-by: Alexander Mezin <mezin.alexander@gmail.com>
    Reviewed-by: Peter Harris <pharris@opentext.com>

commit 7e6af51b4e984f661fe4f21596cab5cb8ee15ea0
Author: Ran Benita <ran234@gmail.com>
Date:   Tue Feb 25 14:11:35 2014 +0200

    c_client.py: remove more trailing space from generated files
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit 8221d249b77131b338e3b35ce2229193f129e514
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Feb 23 22:55:21 2014 +0200

    c_client.py: remove trailing whitespace from generated files
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit e3c728ee3d9a2fd7478d5f57830c3483b774a16e
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Feb 23 22:55:20 2014 +0200

    c_client.py: remove useless generated comments
    
    They are bloated, don't add anything over the signature, in some cases
    duplicate the doxygen comments, and are not integrated with the <doc>
    tags in any way. Remove them and cut the generated LOC by half.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit cae2e398563841c5b814596fd1f1c64354dcac71
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Feb 23 22:55:19 2014 +0200

    c_client.py: make the man page output deterministic
    
    Some parts of the man pages (SEE ALSO and ERRORS) are generated by
    iterating a Python dict. But the iteration order in a dict is random,
    so each build the output is ordered differently. Avoid that by iterating
    in sorted order.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit bfbf83b1d8113ac398b57c2738706792946d1c03
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Feb 23 22:55:18 2014 +0200

    c_client.py: prefix all monkey-patched fields with c_
    
    The script adds many fields to the objects coming from xcbgen. To
    distinguish them, a c_ prefix is used, but for some it was missing.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit 285d566a5c11c6edd3665beb42312e24bde77d16
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Feb 23 22:55:17 2014 +0200

    c_client.py: remove trailing whitespace
    
    These are extra annoying in python code.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit 285838cfe41c212a2453d903497757d2392fd0ce
Author: Ran Benita <ran234@gmail.com>
Date:   Sun Feb 23 22:55:16 2014 +0200

    c_client.py: remove useless 'today' variable
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit 49a61c8b459ab19c7f39e653bbb0d0339ea8f00f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 11 20:41:15 2014 -0700

    Fix typos & awkward wording in tutorial
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 125135452a554e89e49448e2c1ee6658324e1095
Author: Michael Haubenwallner <michael.haubenwallner@salomon.at>
Date:   Fri Jun 13 16:18:34 2014 +0200

    bug#79986: include system headers early
    
    AIX <sys/poll.h> does redefine 'events' to 'reqevents' eventually.
    To not have this cause compilation errors, need to include the local
    header files after any system header file.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bc5a1047548b578624cfbc44ca192cde7664ed78
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 13 21:26:21 2014 -0700

    Document failure modes of xcb_connect*() functions
    
    Documentation was previously unclear that these always return a non-NULL
    pointer, and that callers need to check it for error values, instead of
    checking for a NULL return value.
    
    Triggered by having to dig through code to answer a user's question on
    the #xcb irc channel, since neither of us found it covered in the docs.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

commit 72e45969ff71204cee2dde3502841736cfd41c8a
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Mon Jun 9 17:55:04 2014 +0200

    Handle <pad align="n" /> between lists
    
    Without this patch we end up with invalid C code if we've a
    <pad align="n" /> between two variadic lists. Check for such a condition
    and take the alignment pad into account.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=79808
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit d978a4f69b30b630f28d07f1003cf290284d24d8
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat Apr 5 20:54:59 2014 -0700

    xcb_open: Improve abstraction for launchd secure sockets
    
    This changes away from hard-coding the /tmp/launch-* path to now
    supporting a generic <path to unix socket>[.<screen>] format for
    $DISPLAY.
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 29e419c5840a1eeda3336a0802686ee723dcaab3
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat Apr 5 21:09:42 2014 -0700

    xcb_open: Minor code cleanup for better readability
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

commit be0fe56c3bcad5124dcc6c47a2fad01acd16f71a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 23 21:15:20 2013 -0800

    Ensure xcb owns socket and no other threads are writing before send_request
    
    send_request may only write to out.queue if no other thread is busy
    writing to the network (as that thread may be writing from out.queue).
    
    send_request may only allocate request sequence numbers if XCB owns
    the socket.
    
    Therefore, send_request must make sure that both conditions are true
    when it holds iolock, which can only be done by looping until both
    conditions are true without having dropped the lock waiting for the
    second condition.
    
    We choose to get the socket back from Xlib first as get_socket_back
    has a complicated test and checking for other threads writing is a
    simple in-lined check.
    
    This also changes the sequence number checks (64k requests with no
    reply, 4M request wrapping) to ensure that both conditions are true
    before queueing the request.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

commit e2813e1cde893f384fa620ff3c13493beebabe0c
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 12 14:15:46 2014 -0800

    Update .pc file Requires lines to express full dependencies
    
    Some xcb libraries depend on others; make these dependencies explicit
    in the .pc files that are installed.
    
    This change was generated automatically by running 'check-pc-requires -fix'
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 32de4c4213a49c61127c6957ea05fef3e5355291
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 12 14:15:45 2014 -0800

    Validate .pc file Requires lines
    
    This walks through the .pc.in files and makes sure all of the Requires
    lines express sufficient dependency information.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 1f6cd9f1fcd3c07d323b678292c9cb00ae1f7504
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 12 14:15:44 2014 -0800

    Only #include directly referenced module header files
    
    This avoids having the nested header files also included at the top
    level, which is more efficient.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit cb686b576739deea00180c54697c8b62b8419ae0
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Feb 25 15:50:50 2014 +0100

    Add doxygen documentation to functions in xcbext.h
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

commit 2fb14e5883f2ea2f01d248674cfcc26ccb704753
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Dec 31 15:18:01 2013 +0100

    Make xcb_disconnect(NULL) safe
    
    Code can be simplified if the deallocation functions can always be called in
    cleanup code. So if you have some code that does several things that can go
    wrong, one of which is xcb_connect(), after this change, the xcb_connection_t*
    variable can be initialized to NULL and xcb_disconnect() can always be called on
    the connection object.
    
    References: http://lists.freedesktop.org/archives/xcb/2013-September/008659.html
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 4dcbfd77b78ca6b016ce815af26235501f6cd75a
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Dec 31 15:05:36 2013 +0100

    xcb_disconnect(): Fix leak with error connections
    
    There are two kind of error connections in XCB. First, if something goes wrong
    while the connection is being set up, _xcb_conn_ret_error() is used to return a
    static connection in an error state. If something goes wrong later,
    _xcb_conn_shutdown() is used to set c->has_error.
    
    This is important, because the static object that _xcb_conn_ret_error() returns
    must not be freed, while the dynamically allocated objects that go through
    _xcb_conn_shutdown() must obviously be properly deallocated.
    
    This used to work correctly, but in 769acff0da8, xcb_disconnect() was made to
    ignore all connections in an error state completely. Fix this by only ignoring
    the few static error connections that we have.
    
    This was tested with the following hack:
    
        xcb_connection_t *c = xcb_connect(NULL, NULL);
        close(xcb_get_file_descriptor(c));
        xcb_discard_reply(c, xcb_get_input_focus(c).sequence);
        xcb_flush(c);
        xcb_disconnect(c);
    
    Valgrind confirms that xcb has a memory leak before this patch that this patch
    indeed fixes.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit d84dd752ef571491b015443fefedca53c7f81282
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Sep 9 13:04:11 2013 +0200

    Remove tabs and trailing whitespaces
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 4ffa6f83b92763eb901c7ddb7c20775e24d507ca
Author: Ran Benita <ran234@gmail.com>
Date:   Sat Jan 18 17:10:53 2014 +0200

    Add comments about how _xcb_conn_ret_error() works
    
    If xcb_connect() fails, it doesn't return NULL. Instead, it always
    returns an xcb_connection_t*, and the user should check for errors with
    the xcb_connection_has_error() function. What this function does is
    check if conn->has_error contains a non-zero error code, and returns it.
    
    If an error did occur, xcb doesn't actually return a full
    xcb_connection_t though, it just returns (xcb_connection_t *)
    error_code. Since the 'has_error' field is the first, it is still
    possible to check conn->has_error.
    
    That last trick was not immediately obvious to me, so add some guiding
    comments. This also ensures no one obliviously rearranges the struct.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit d7eb0bdf3b5b11ee9f40ee5e73df8fc0bdfa59f3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:02:21 2014 -0500

    generated man pages: use xorg footer and no hard coded extension
    
    The section number is no longer hard-coded
    The left footer is now "X Version 11".
    The center footer is the package name with the version, "libxcb 1.9"
    The three values above are provided through xorg-macros. They are passed-in
    to the python c_client code.
    
    Example of footer (last line, above dotted line)
    
    [...]
    AUTHOR
           Generated from xproto.xml. Contact xcb@lists.freedesktop.org for cor‐
           rections and improvements.
    
    X Version 11                      libxcb 1.9                 xcb_send_event(3)
    
    ------------------------------------------------------------------------------
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e4061b8f00d301a51d4c9eef4a07f1e87592fe85
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:02:16 2014 -0500

    generated man pages: build without hard coded extension
    
    The automake MAN primary requires a hard coded extension to build
    man pages. Let's avoid that as the extension number may vary by platform.
    Take advantage of the fact that the man directory only contains man pages.
    Wildcards are not supported by Automake but it happens to work
    sufficiently well here.
    
    Normally xorg build man pages by converting a source .man file to a
    target file with the extension number. That would be too many files
    in this case.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3cdd524cadc4352ebd9e17b1f73134bec1838b40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:02:05 2014 -0500

    man: build static man pages using xorg patterns
    
    The section number is no longer hard-coded, supplied by xorg-macros.
    The left footer is now "X Version 11".
    The center footer is the package name with the version, "libxcb 1.9"
    The man directory is a sibbling to the doc directory. One can build
    or clean the man pages without disturbing the library code.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c056adcd92daa06f4825d5c85a40e140a3e85b42
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 9 14:32:18 2014 -0500

    autoconf: replace all tabs with spaces
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 412928f113c8a5e5b30c03a294a42b0b1cf5f5d7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:44 2014 -0500

    autoconf: use default xorg configuration for doxygen documentation
    
    No content or form changes for the xcb manual or tutorial.
    Only the configuration user visible bits change.
    
    Xcb will now have the same configuration options as the 30 other
    xorg modules.
    
    Xorg classifies documentation as "user", "developer" or "specifications".
    The xcb manual falls under the "developer" category. Developers docs
    are never installed under $prefix.
    
    A builder can selectively turn on/off any or all of the categories. He can
    also selectively turn on/off any of the many tools used to generate
    documentation such as doxygen, xmlto, etc... Each tool has an environment
    variable defined such as DOXYGEN.
    
    Other features are available, the user interface and the functionality
    is the same on all modules.
    
    --with-doxygen=FILE is replaced with DOXYGEN env variable
    --disable-build-docs is replaced with --disable-devel-docs
    
    The new interface displayed with ./configure --help:
    
      --enable-devel-docs     Enable building the developer documentation
                              (default: yes)
      --with-doxygen          Use doxygen to regenerate documentation (default:
                              auto)
      DOXYGEN     Path to doxygen command
      DOT         Path to the dot graphics utility
    
    The dot tool checking has been added to util-macros in version 1.18.
    
    Refer to the table of existing docs in xorg.
    XCB will be added for the doxygen generated API manual.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9ba6aa759e937e60b231b209b1293a40ad6c7a8a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:43 2014 -0500

    autoconf: fix warning by replacing deprecated AC_HELP_STRING
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 942eabaae3600e7277aa09a179ef10c9a06de62f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:42 2014 -0500

    autoconf: require libtool minimum level 2.2
    
    This is the updated minimum level as referenced in:
    http://www.x.org/wiki/Building_the_X_Window_System/#index2h3
    
    Libtool version 2 has been used for several years now. There should be
    no surprises.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 517cb0e888eca4030b4bd00c316619db925032ea
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:41 2014 -0500

    autoconf: comment and layout the initialization section
    
    No functional changes. Trying to make it clearer.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0a17b61a8971d3c4600a5c19fa7d753e7196abfb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:40 2014 -0500

    autoconf: AC_INIT: add bug url
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 414b1037c5a9770270022e62aa66fe7a4021a96b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:39 2014 -0500

    autoconf: use the warning variables from xorg
    
    The BASE_CFLAGS variable contains only warnings, just like the XCB
    version of CWARNFLAGS. This will result in no changes in the binaries
    produced. Xorg was missing -fd for SUNCC so it has been added to util-macros
    v 1.18.
    
    Do not get confused with the xorg deprecated CWARNFLAGS variable which
    contains an option that is not a warning, -fno-strict-aliasing. This
    option, should it be needed, can be added using the XORG_TESTSET_CFLAG
    macro.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c4f2c70bc37a592406b7693562c7513f2f99b34d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jan 7 14:00:38 2014 -0500

    autoconf: use XORG_DEFAULT_OPTIONS
    
    XCB has been part of X.Org for a while now. This patch will harmonize the XCB
    configuration, using xorg-macros series of macros. It is already used in the
    XCB utils packages and is needed to build xcb-proto.
    
    The XORG_DEFAULT_OPTIONS already includes the statement for the silent
    rules.
    
    The AC_PROG_CC statement is removed so as not to override AC_PROG_CC_C99
    in XORG_DEFAULT_OPTIONS. The effective change is that xcb now uses c99 as
    requested.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e7263931aff3e3450dc938ad465a7577f943549f
Author: Peter Harris <pharris@opentext.com>
Date:   Tue Jan 14 14:50:55 2014 -0500

    Support <pad align="n" />
    
    Reviewed-By: Ran Benita <ran234@gmail.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 3b72a2c9d1d656c74c691a45689e1d637f669e3a
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Fri Jan 3 15:08:33 2014 -0800

    Force XCB event structures with 64-bit extended fields to be packed.
    
    With the advent of the Present extension, some events (such as
    PresentCompleteNotify) now use native 64-bit types on the wire.
    
    For XGE events, we insert an extra "uint32_t full_sequence" field
    immediately after the first 32 bytes of data.  Normally, this causes
    the subsequent fields to be shifted over by 4 bytes, and the structure
    to grow in size by 4 bytes.  Everything works fine.
    
    However, if event contains 64-bit extended fields, this may result in
    the compiler adding an extra 4 bytes of padding so that those fields
    remain aligned on 64-bit boundaries.  This causes the structure to grow
    by 8 bytes, not 4.  Unfortunately, XCB doesn't realize this, and
    always believes that the length only increased by 4.  read_packet()
    then fails to malloc enough memory to hold the event, and the event
    processing code uses the wrong offsets.
    
    To fix this, mark any event structures containing 64-bit extended
    fields with __attribute__((__packed__)).
    
    v2: Use any(...) instead of True in (...), as suggested by
        Daniel Martin.
    
    v3 (Alan Coopersmith): Fix build with Solaris Studio 12.3 by moving the
    attribute to after the structure definition.
    
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Keith Packard <keithp@keithp.com> [v1]
    Reviewed-by: Josh Triplett <josh@joshtriplett.org> [v1]
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 010872f611a044ced4e96b18a7514796b2a443df
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Dec 22 15:59:24 2013 +0100

    Release libxcb 1.10
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit f653464554469b5767f1c99abced25a76bace047
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Dec 14 06:16:37 2013 +0100

    Add NEWS for 1.10
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 9c2a6dc20c64ce93e0acd2fceec6d3cab8fc9134
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Nov 15 22:33:12 2013 +0100

    Add NEWS entries for releases 1.9.1 to 1.9.3
    
    libxcb 1.9.1 was released from a branch and thus its NEWS entries never made it
    into the master branch. The other releases didn't update NEWS.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit ea4406a8e0193cad8effe569e7835f8b67894e54
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Dec 14 05:54:20 2013 +0100

    Bump xcb-proto requirement to 1.10
    
    Makes sure we generate the new generic event struct.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit a1299eb2a210b5788a2b827b82a3d825caa1f201
Author: PHO <pho@cielonegro.org>
Date:   Tue Dec 3 12:43:04 2013 +0900

    Test the value of msg_controllen for platforms whose CMSG_FIRSTHDR() does not test it for us
    
    As RFC 2292 points out, some platforms (e.g. Darwin 9.8.0) provide
    CMSG_FIRSTHDR(msg) which just returns msg.msg_control without first
    checking if msg.msg_controllen is non-zero. We need a workaround for
    such platforms not to let _xcb_in_read() segfault.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=72253
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit b30b11ac49d934541312b03c41d1ab83047a59f4
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Nov 18 20:28:08 2013 +0100

    Increment the "current" version info for sync, xinput and xkb
    
    Sync: Due to commit e6a246e50e62cbcba3 "sync: Change value list param of
    CreateAlarm and ChangeAlarm into switch", various symbols disappeared,
    for example xcb_sync_{change,create}_alarm_sizeof.
    
    xinput: This extension was updated from version 1.4 to 2.3. This means
    that lots of new things are generated. However, this change is
    backwards-compatible and thus age gets set to 1.
    
    xkb: In commit 37d0f55392d6 "xkb: Work around alignment problems in
    GetNames and GetMap replies", some padding fields were introduced into
    structures for which an _unpack() function is generated. This changed
    the size of the struct and caused offsets into this struct to change.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=71507
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit ce5395eb4611341ba7c243ed524d023a616f73bb
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Nov 18 20:30:18 2013 +0100

    Revert "Remove xcb_ge_event_t from xcb.h"
    
    This reverts commit f4d5b84800f960831e4fbb3ad9848bbb701020be.
    
    The version of this struct that the code generator produces breaks the API,
    because it gives the fields different (albeit better) names. Thus, we need to
    restore the old version of this struct.
    
    Additionally to the revert, this struct is documented as being deprecated. The
    replacement was added to xcb-proto.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=71502
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 18f0afab3f0de68114fe185e89d8b25a8c072a2c
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Fri Nov 22 23:27:28 2013 +0100

    c_client.py: Fix _sizeof() functions
    
    Currently, it is not possible to correctly iterate over the replies of
    some requests. For example, the list of XIDeviceInfo returned by
    the XIQueryDevice request from xinput2 is read as garbage starting from
    the second entry.
    
    The culprits are the _sizeof() used by the iterators. In the above case:
    
        int
        xcb_input_xi_device_info_sizeof (const void  *_buffer  /**< */)
        {
            char *xcb_tmp = (char *)_buffer;
            [...]
            unsigned int xcb_block_len = 0;
            [...]
    
            xcb_block_len += sizeof(xcb_input_xi_device_info_t);
            xcb_tmp += xcb_block_len;
            /* name */
            xcb_block_len += (((_aux->name_len + 3) / 4) * 4) * sizeof(char);
            xcb_tmp += xcb_block_len;
            [...]
        }
    
    The problem here is that `xcb_block_len` is not zero'd right above the
    `/* name */` comment, causing `xcb_tmp` to be incremented by
    `sizeof(xcb_input_xi_device_info_t)` twice. The returned size is too
    large.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=68387
    
    Tested-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 5d1dbb468bb0f834eaa8adea6daf6729808ca429
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Nov 18 19:49:41 2013 +0100

    Revert "fix deadlock with xcb_take_socket/return_socket v3"
    
    This reverts commit 9ae84ad187e2ba440c40f44b8eb21c82c2fdbf12.
    
    After this patch was merged, there were complaints about it not being a good
    idea. Revert this for now until we can agree on this.
    
    References: http://lists.freedesktop.org/archives/xcb/2013-June/008340.html
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    
    Conflicts:
            src/xcbint.h

commit c7c5b710f2cc0782412c9e159986c96b52aa0d02
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Mon Nov 11 23:11:56 2013 +0100

    Fix alignment issues in FD passing code
    
    A char array on the stack is not guaranteed to have more than byte alignment.
    This means that casting it to a 'struct cmsghdr' and accessing its members
    may result in unaligned access.  This will generate SIGBUS on struct
    alignment architectures like OpenBSD/sparc64.  The canonical solution is to
    use a union to force proper alignment.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit e8663a935890ff366f49e356211049dfd0d9756a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Nov 7 20:23:27 2013 -0800

    Check if we need to define _XOPEN_SOURCE for struct msghdr.msg_control
    
    Required to expose the structure members in Solaris headers, since it
    was an XPG4/UNIX95 addition to the Solaris ABI.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit af8067cbf48561f1e2d43e153292e68e0376a8f9
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 7 17:36:01 2013 -0800

    Add configure option to enable or disable fd passing with sendmsg
    
    --disable-sendfds or --enable-sendfds
    
    By default, configure auto-detects based on whether your system
    supports sendmsg at all.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 83f28ef8655acff746eab64eabe2e31f8cf0c892
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 7 17:28:45 2013 -0800

    Switch to using the CMSG_* macros for FD passing
    
    Use these instead of computing the values directly so that it might
    work on BSD or other non-Linux systems
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cca607409068ad0948e7283fb8d0465cabc51686
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 11 16:01:02 2013 -0700

    Add Present extension
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit 7a9373078e69b2cb2753570f91e5c31062ba25f8
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Apr 9 21:35:52 2013 -0700

    Add DRI3 library
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit 93d733e85ded5e92292d36fc7025f0c8ff7b1167
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 7 05:20:06 2013 -0800

    Require xcb proto version 1.9
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 79019541e7c56ddfc3828b7bf96e6e5d3cf81c56
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Apr 12 20:15:41 2013 -0700

    Add event queue splitting
    
    This allows apps to peel off certain XGE events into separate queues
    for custom handling. Designed to support the Present extension
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit 7983bf0fbdc2725403f9db6154d0f5bc944040e5
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 18 01:29:40 2013 -0800

    Add support for receiving fds in replies
    
    Requests signal which replies will have fds, and the replies report
    how many fds they expect in byte 1.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit 7b53fb0f9bddae77b3ab8823743db57faee4e99b
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 14 11:23:00 2013 -0800

    Add xcb_send_fd API
    
    This uses sendmsg to transmit file descriptors from the application to
    the X server
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit 98c227a2222fb5c7ca7e8101b1ed2bc096a33048
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 18 01:28:56 2013 -0800

    -pendantic is too pendantic
    
    Many system headers have warnings when compiled with this flag.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit d04a4a03a90f2721d507287938c90f1755d9da0e
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 12 10:32:03 2013 -0700

    Make protocol C files depend on protocol XML files
    
    When new XML files get installed, make sure the C files are regenerated
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-By: Uli Schlachter <psychon@znc.in>

commit f4d5b84800f960831e4fbb3ad9848bbb701020be
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 6 19:33:53 2013 -0800

    Remove xcb_ge_event_t from xcb.h
    
    xcb proto now publishes this structure from an XML description
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e4e0c6eec861f4c69da12060dc8dbe7a63fa5eb6
Author: Daphne Pfister <daphnediane@mac.com>
Date:   Sat Sep 14 17:36:22 2013 -0400

    Use /usr/spool/sockets/X11/ on HP-UX for UNIX sockets (#69118).

commit f1405d9fe4a6ddcae24585ba254389a4c4f4c8c9
Author: Daphne Pfister <daphnediane@mac.com>
Date:   Sun Sep 8 16:25:11 2013 -0400

    Fix poll() if POLLIN == ROLLRDNORM|POLLRDBAND
    
    It seems like POLLIN is specified as equivalent to POLLRDNORM | POLLRDBAND. Some
    systems (e.g. QNX and HP-UX) take this literaly and have POLLIN defined as the
    above bit combination. Other systems (e.g. Linux) have POLLIN as just a single
    bit.
    
    This means that if no out-of-band data is available (which should never be the
    case), the result of poll() will not fulfil (fd.revents & POLLIN) == POLLIN on
    QNX, because the POLLRDBAND bit is not set.
    
    In other words, even though poll() signaled that the fd is readable, xcb would
    not read from the file descriptor.
    
    Fix this by checking if any bits from POLLIN are set in the result of poll(),
    instead of all of them.
    
    (This change was independently done by seanb@qnx.com as well)
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=38001
    Acked-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit ac47e0ecdb46aa91b191a59364437a8f65947467
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Sep 8 22:16:39 2013 +0200

    Fix documentation of xcb_poll_for_event()
    
    In commit 8eba8690adac2, the API documentation for xcb_poll_for_event() was
    fixed to remove an argument that was previously removed in commit 34168ab549.
    
    However, that commit only removed the first line of the documentation, leaving
    behind a spurious half-sentence. That commit happened seven years ago and now
    finally someone noticed...
    
    Thanks to Benjamin Herr for reporting this on IRC.
    
    v2: Thanks again to Benjamin Herr for noticing that my commit message blamed the
    wrong commit.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit c52f2891b43ae77008f63700982f800371458f4d
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Sun Aug 11 13:25:18 2013 +0200

    tests: Add files to .gitignore
    
    Add check_all.log, check_all.trs and test-suite.log to tests/.gitignore.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>

commit a8d11c36edf5c49b718664dd7206f36be150f694
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Thu Jul 25 11:09:26 2013 +0200

    Sort gitignore, adjust pattern for config.h
    
    Don't ignore the files config.h and config.h.in, adjust the pattern to
    ignore config.h*. This matches an additional config.h.in~ too.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Tested-By: Ran Benita <ran234@gmail.com>

commit cbe54c97b3f0e4d40e0ee18796f8077cb4a6c16a
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Thu Jul 25 10:56:30 2013 +0200

    Use m4 directory
    
    - Follow the suggestion by libtoolize:
       "Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.ac and
        rerunning libtoolize, to keep the correct libtool macros in-tree.
        Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am."
      and add the macro and define.
    
    - Create the m4 directory and move acinclude.m4 as xcb.m4 there.
    
    - Ignore the m4 files libtoolize copies into the m4 directory
      (m4/l*.m4).
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Tested-By: Ran Benita <ran234@gmail.com>

commit 6746ab1549d34a146c8383ed5acdabf0d48c1889
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Jul 24 14:13:41 2013 +0200

    Use build-aux as autom4te cache directory
    
    Remove the generated directory ./autom4te.cache by reusing ./build-aux
    as cache directory.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Tested-By: Ran Benita <ran234@gmail.com>

commit b6d8c8fe61f25e4eb7b43d3d9b1de81a1f0638a3
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Jul 24 14:08:38 2013 +0200

    Set AC_CONFIG_AUX_DIR to build-aux
    
    Do not clutter the project directory with generated/copied auxiliary
    files, save them in ./build-aux.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Tested-By: Ran Benita <ran234@gmail.com>

commit e3b34ad346efcaf0fd28b95e68d99388276802bc
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Jul 24 19:22:44 2013 +0200

    Remove second AC_PREREQ, require version 2.60
    
    Remove a second AC_PREREQ and bump the required autoconf version to
    2.60.
    
    Version 2.59c was a testing release, published in April 2006. Version
    2.60 was the stable release afterwards, released in June 2006.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Tested-By: Ran Benita <ran234@gmail.com>

commit 50fb3a6312dd0b6b613fc886ffd6827952d1e286
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Jul 24 12:51:04 2013 +0200

    Initialize automake earlier (bugfix for #66413)
    
    This fixes:
        https://bugs.freedesktop.org/show_bug.cgi?id=66413
        Bug 66413 - libxcb 1.9.1: Fails to build on Arch Linux: \
            /home/<user>/install-sh: No such file or directory
    
    Without that patch the search path for `install-sh` will become $HOME
    and the `install` target will fail, when DESTDIR doesn't exist in
    advance. (occured with automake 1.14 and autoconf 2.69)
    
    Initial patch by: Alain Kalker <a.c.kalker@gmail.com>
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Tested-By: Ran Benita <ran234@gmail.com>

commit dd01db570c34dd3e2e0f5d07b8d40c837fa51057
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Mon Dec 31 11:57:49 2012 +0100

    Make xsltproc optional
    
    Fix Bug 23863 - xcb still checks for xsltproc:
        https://bugs.freedesktop.org/show_bug.cgi?id=23863
    
    xsltproc is used to generate the optional html page for `check` results,
    only. So, it's not a hard build dependency.
    
    Additionally, use yes/no instead of true/false in the HTML_CHECK_RESULT
    variable for consistent output after a configure run.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

commit 0289348f2c4ed3b1b286c51df19d82c6787c2b36
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Fri Dec 28 23:25:16 2012 +0100

    c_client.py: Do not create pointers in unions
    
    Do not create pointers in unions for fields of variadic length.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Ran Benita <ran234@gmail.com>

commit b9efd2a09a45616f6238e4da49b8f2127b6ec6d9
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Jan 9 12:52:15 2013 +0100

    c_client.py: Always initialize xcb_align_to
    
    to get rid of:
        warning: 'xcb_align_to' may be used uninitialized in this function
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Peter Harris <pharris@opentext.com>

commit 5648ddd2b97068f549268284129a438a6845e14c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 3 20:25:23 2013 -0700

    Define _xcb_map_new with explicit void arg list instead of empty one
    
    Fixes Solaris Studio compiler warning:
    "xcb_list.c", line 50: warning: old style function definition
    
    and gcc warning:
    xcb_list.c: In function '_xcb_map_new':
    xcb_list.c:50:11: warning: old-style function definition [-Wold-style-definition]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

commit cb51f271b26c6abc76d415553f202bc5139273ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 3 20:22:25 2013 -0700

    Enable warnings for pre-C89 style definitions for gcc & Solaris Studio
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

commit bc6a4f557ff4e497acdafdcebb006e5a7b4c5b11
Author: Michael Stapelberg <michael@stapelberg.de>
Date:   Mon Aug 5 22:14:18 2013 +0200

    Build xcb-xkb by default
    
    There have not been any big issues with xcb-xkb recently.
    
    Also, Wayland is using xcb-xkb actively, making distributions compile
    libxcb with xkb support anyway, so let’s reflect reality :).
    
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>

commit 45619dc71e9411a526d7c69595cf615b1b1206cf
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Sat Jun 8 11:20:39 2013 +0200

    c_client.py: Inject full_sequence into GE events
    
    The generic event structure xcb_ge_event_t has the full_sequence field
    at the 32byte boundary. That's why we've to inject this field into GE
    events while generating the structure for them. Otherwise we would read
    garbage (the internal full_sequence) when accessing normal event fields
    there.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit a1e67b141a57d39cbcaff1a703d6fc0da1fbb56d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 8 17:54:35 2013 -0700

    Fix "indention" typos in xcb-examples.3 man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b6bb1a71977116d382f45eef803aedd3e313d37
Author: Marc Deslauriers <marc.deslauriers@canonical.com>
Date:   Wed Jun 5 16:38:00 2013 -0400

    Update Makefile.am for newer automake
    
    Debian Bug #710344
    
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>

commit 9ae84ad187e2ba440c40f44b8eb21c82c2fdbf12
Author: Christian König <christian.koenig@amd.com>
Date:   Wed May 15 11:21:36 2013 +0200

    fix deadlock with xcb_take_socket/return_socket v3
    
    To prevent different threads from stealing the socket from each other the
    caller of "xcb_take_socket" must hold a lock that is also acquired in
    "return_socket". Unfortunately xcb tries to prevent calling return_socket
    from multiple threads and this can lead to a deadlock situation.
    
    A simple example:
    - X11 has taken the socket
    - Thread A has locked the display.
    - Thread B does xcb_no_operation() and thus ends up in libX11's return_socket(),
      waiting for the display lock.
    - Thread A calls e.g. xcb_no_operation(), too, ends up in return_socket() and
      because socket_moving == 1, ends up waiting for thread B
    => Deadlock
    
    This patch allows calling return_socket from different threads at the same time
    an so resolves the deadlock situation.
    
    Partially fixes: https://bugs.freedesktop.org/show_bug.cgi?id=20708
    
    v2: fixes additional pthread_cond_wait dependencies,
        rework comments and patch description
    
    v3: separate pthread_cond_wait dependencies and unrelated whitespace
        change into their own patch, use unsigned for socket_seq
    
    Signed-off-by: Christian König <christian.koenig@amd.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 1b33867fa996034deb50819ae54640be501f8d20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 1 17:59:31 2013 -0700

    integer overflow in read_packet() [CVE-2013-2064]
    
    Ensure that when calculating the size of the incoming response from the
    Xserver, we don't overflow the integer used in the calculations when we
    multiply the int32_t length by 4 and add it to the default response size.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e602b653c191e18cbb63db6526aac77c368ed70b
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Mon May 13 23:33:04 2013 +0200

    c_client.py: Handle multiple expr. in a bitcase
    
    Adopt a change from xcbgen. With that modification the expression in a
    bitcase became a list of expressions to support multiple <enumref> in a
    <bitcase>.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 6b6044cb8aacdf1b637da7b5dda392f9ff41ed39
Author: Christian König <christian.koenig@amd.com>
Date:   Wed May 15 11:21:35 2013 +0200

    whitespace fix in xcb_take_socket
    
    Signed-off-by: Christian König <christian.koenig@amd.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 0dd8f8d26a758bc385e79d9239bf6ef2e3d7bf13
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 76a2166de9c80b35f987fdc3f3a228bafa0de94e
Author: Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
Date:   Thu Oct 11 01:14:12 2012 +0200

    c_client.py: Fix python-3 invalid except statement
    
    Replace except statement with a PEP-3110 compliant one. This fixes a regression
    introduced by c3deeaf714630531d693a6a902b8dabf791858b1
    https://bugs.freedesktop.org/show_bug.cgi?id=55690
    
    Reviewed-by: Peter Harris <pharris@opentext.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 9db4517c87f56bb0ac82b647a08db30850ee2b04
Author: Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
Date:   Thu Oct 11 01:14:11 2012 +0200

    c-client.py: Fix python-3 AttributeError: 'dict' object has no attribute 'iteritems'
    
    This fixes a regression introduced by ea71d7d7e3f5d8189b80747678e9ca9a417b1d37
    https://bugs.freedesktop.org/show_bug.cgi?id=55690
    
    Reviewed-by: Peter Harris <pharris@opentext.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 4ffe54f69049e6792a35a287fd9ff83abbd4fd8d
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Oct 5 14:53:37 2012 +0200

    Release libxcb 1.9
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 4f52f884f42b72087f3323f2bab204223664a488
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Oct 5 11:23:26 2012 +0200

    Include static man pages in "make dist"
    
    This was found by distcheck. It tried to install src/man/xcb-examples.3 and
    src/man/xcb-requests.3, but those files weren't in the distribution.
    
    Fix this by explicitly telling automake to distribute those files.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 23911a707b8845bff52cd7853fc5d59fb0823cef
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Sep 24 22:07:51 2012 +0200

    Fix a multi-thread deadlock
    
    This fixes a deadlock which was seen in-the-wild with wine.
    
    It could happen that two threads tried to read from the socket at the same time
    and one of the thread got stuck inside of poll()/select().
    
    The fix works by making sure that the writing thread doesn't steal the reading
    thread's reply.
    
    Debugged-by: Erich Hoover <ehoover@mines.edu>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=54671
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit c16cc5467eb0af7c5cdee16e6efaee54eb53bba6
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Sep 24 22:07:30 2012 +0200

    Add a .gitignore for src/man/
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 08cc068ead7b8e678cdb119b38ada5261d5cc3ea
Author: Peter Harris <pharris@opentext.com>
Date:   Thu Aug 16 11:59:14 2012 -0400

    Allow xcb_send_request with >MAX_IOV iovecs
    
    This allows an application to do a scatter/gather operation on a large
    image buffer to avoid the extra memcpy.
    
    Use autoconf to use UIO_MAXIOV where IOV_MAX is not available (and the
    POSIX minimum of 16 where neither are available).
    
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit ff53285ae3f604e9f2cc5f4837255220459b5e44
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 13:53:37 2012 -0700

    Return connection failure if display string specifies non-existent screen
    
    Matches the behaviour of Xlib - if you set DISPLAY to :0.1 but only have
    one screen, closes connection and returns error.
    
    This introduces a new connection error code:
    XCB_CONN_CLOSED_INVALID_SCREEN
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

commit 90889794ad882a6847bcffe52c4cc5dfd168f1f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 24 23:35:41 2012 -0700

    Add AC_USE_SYSTEM_EXTENSIONS to allow use of more system functionality
    
    Copied from libX11 configure.ac
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b52790e8ed4bb077eabdeca803935d2910558acc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 24 23:32:32 2012 -0700

    Always include "config.h" at the start of all C source files.
    
    Allows configure to set defines such as _POSIX_SOURCE in config.h
    that affect functions exposed by system headers and get consistent
    results across all the source files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed93a6a2a8e23f12380709de6e04b2d833df7e71
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 25 12:33:35 2012 -0700

    Fix "sppported" typo in doxygen comment for XCB_CONN_CLOSED_EXT_NOTSUPPORTED
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c3deeaf714630531d693a6a902b8dabf791858b1
Author: Colin Walters <walters@verbum.org>
Date:   Mon Aug 13 15:32:31 2012 -0400

    c_client: Fix parallel-make issue creating 'man' directory
    
    With make -j, it was possible to hit a race condition in the code to
    make the 'man' directory.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 5f8f2ba1c4f9ac74c8f301dcca8566e296e37995
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Apr 21 22:42:51 2012 -0700

    xcb_connect: launchd: Don't fall back on tcp if $DISPLAY is a path to a launchd socket
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 71a295082e07ff20d4c4cc97feed03b94cceb251
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Mar 27 12:10:59 2012 +0200

    Move static man to man
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit df217bf7c930d4433c991d86f857ecf63cc2d25a
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Mar 27 12:10:15 2012 +0200

    Do not list manpages, use a wildcard
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a4417b1611f0bf02b81b54be90ef3353010da10a
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Mar 27 12:06:54 2012 +0200

    Split manpage list in two (static/built)
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit cc7fab2d5e912629d4a2a6adfb7666dc2ba45db2
Author: Julien Danjou <julien@danjou.info>
Date:   Mon Mar 26 18:29:35 2012 +0200

    Allow undocumented code to be built
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit ea71d7d7e3f5d8189b80747678e9ca9a417b1d37
Author: Michael Stapelberg <michael@stapelberg.de>
Date:   Sun Nov 27 10:38:26 2011 +0000

    c_client.py: generate manpages
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 57a62e99b1241d5a0e6cf0b72f52090862a9c07d
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Mar 9 15:38:56 2012 +0100

    Release libxcb 1.8.1
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 236f914ea7205f5f74e87fcc1b06d87bd0789a7a
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Mar 1 20:26:39 2012 +0100

    Fix a busy loop on BSD and Mac OS
    
    On FreeBSD MSG_WAITALL on a non-blocking socket fails immediately if less bytes
    than were asked for are available. This is different than the behavior on linux
    where as many bytes as are available are returned in this case. Other OS
    apparently follow the FreeBSD behavior.
    
    _xcb_in_read() is used to fill xcb's read buffer, thus this function will call
    recv() with a big length argument (xcb's read buffer is by default 16 KiB
    large). That many bytes are highly unlikely to be available in the kernel
    buffer.
    
    This means that _xcb_in_read() always failed on FreeBSD. Since the socket was
    still signaled as readable by poll(), this bug even resulted in a busy loop.
    
    The same issue is present in read_block(), but here it is slightly different.
    read_block() is called when we read the first few bytes of an event or a reply,
    so that we already know its length. This means that we should be able to use
    MSG_WAITALL here, because we know how many bytes there have to be.
    
    However, that function could busy loop, too, when only the first few bytes of
    the packet were sent while the rest is stuck somewhere on the way to us. Thus,
    MSG_WAITALL should be removed here, too.
    
    Thanks to Christoph Egger from Debian for noticing the problem, doing all the
    necessary debugging and figuring out what the problem was! This patch is 99%
    from debian. Thanks for all the work.
    
    This bug was introduced in commit 2dcf8b025be88a25d4333abdc28d425b88238d96.
    
    This commit also reverts commit 9061ee45b8dbe5431c23e3f628089d703ccad0b1.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=45776
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>

commit 9061ee45b8dbe5431c23e3f628089d703ccad0b1
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Mar 8 00:50:13 2012 -0800

    darwin: Use read(2) rather than recv(2)
    
    2dcf8b025be88a25d4333abdc28d425b88238d96 was causing some regressions on
    darwin, so go back to using read(2) there until I have time to investigate
    further.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7d235c62f0d5bd0df1236cc52141c10c5d272a18
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Feb 19 13:43:54 2012 +0100

    Fallback to TCP if no protocol is specified and the UNIX connection fails
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit f7bd139616d228b20eeb2c96b85e4093606c93fc
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jan 25 17:18:20 2012 +0900

    Add xkb_internals and xkb_issues to EXTRA_DIST.

commit 68d30adde982f1be33a934707fa105c0db6f7f8f
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Jan 17 20:59:56 2012 +0000

    Update use of error_connection under WIN32 to _xcb_conn_ret_error()
    
    Unfortunately, commit 31b57676 adding WSACleanup/WSAShutdown on Win32 adds a new use
    of error_connection, which was removed in commit 769acff0, applied 5 minutes earlier.
    
    src/xcb_util.c: In function 'xcb_connect_to_display_with_auth_info':
    src/xcb_util.c:433:39: error: 'error_connection' undeclared (first use in this function)
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Arvind Umrao <arvind.umrao@oracle.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 87b7bf875e0105924ae306e90ca79512d6c0cf47
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jan 18 14:11:07 2012 +0000

    Fix build of xcb_auth.c with XDMCP on WIN32
    
    Fix a redefinition problem which shows up when building for _WIN32 and
    libXdmcp is installed, so HASXDMAUTH is enabled
    
    It seems this is a special place in xcb as it uses other X11 library headers here
    
    If HASXDMAUTH is defined, include the wrapped windows.h before any header which
    includes it unwrapped, to avoid conflicts with types defined in X headers
    
    We need to include config.h and check HASXDMAUTH to avoid an unconditional dependency
    on x11proto headers
    
    In file included from install/include/X11/Xdmcp.h:19:0,
                     from git/xcb/libxcb/src/xcb_auth.c:52:
    install/include/X11/Xmd.h:120:14: error: conflicting types for 'INT32'
    /usr/i686-pc-mingw32/sys-root/mingw/include/basetsd.h:54:13: note: previous declaration of 'INT32' was here
    install/include/X11/Xmd.h:143:15: error: conflicting types for 'BOOL'
    /usr/i686-pc-mingw32/sys-root/mingw/include/windef.h:234:17: note: previous declaration of 'BOOL' was here
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 6db1a2686f0f073438d36f5fa0f97b787842b0f2
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Jan 17 23:55:23 2012 -0800

    Revert "Fix include order with Xdmcp on WIN32"
    
    This reverts commit 0e9246def562be97cc816f824f702233a826ec56.
    
    This change caused build failures because <X11/Xdmcp.h> was never
    included under any circumstance.  This is because the check for
    HASXDMAUTH was moved before the inclusion of config.h (via xcbint.h)
    which defined it.
    
    Found-by: Tinderbox
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit da1d15082baab844a3b9b2d5cc48620af0b806ec
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Jan 12 10:25:07 2012 +0100

    Bump xcb-proto requirement
    
    We are now unable to build xcb-proto before 1.7.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit b95b33e8c04c90c2240df19acea0c841d6e3450b
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Jan 11 18:27:38 2012 +0100

    Release libxcb 1.8
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 31b57676e8d7ab6048dbfb145187833fac5e478c
Author: Ryan Pavlik <rpavlik@iastate.edu>
Date:   Wed Jan 11 18:06:50 2012 +0100

    Use WSAStartup()/WSACleanup() on WIN32
    
    The alternative is to use these in every WIN32 application which uses xcb. Doing
    it this way should be safe, as, according to MSDN, "There must be a call to
    WSACleanup for each successful call to WSAStartup. Only the final WSACleanup
    function call performs the actual cleanup. The preceding calls simply decrement
    an internal reference count"
    
    (We should probably also include ws2_32 in Libs.private for libxcb, as anything
    which links with libxcb will also need that, but there seems to be some pkg-config
    issues to resolve first...)
    
    v2: Check for errors so WSAStartup()/WSACleanup() uses are balanced
    v3: Use same indentation style as surrounding code
    
    Reviewed-by: Peter Harris <pharris@opentext.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 0e9246def562be97cc816f824f702233a826ec56
Author: Ryan Pavlik <rpavlik@iastate.edu>
Date:   Thu Jan 5 20:57:53 2012 +0000

    Fix include order with Xdmcp on WIN32
    
    Fix a redefinition problem due to include order which shows up when
    building for _WIN32 and libXdmcp is installed, so HASXDMAUTH is enabled
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Peter Harris <pharris@opentext.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 4aa7a2c849a9536febb2dc7773e06c12a69c5213
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Jan 5 20:57:52 2012 +0000

    Fix WIN32 compilation after commit 163c47bdc0d32785d831e4c93fea9ab7e023446b
    
    WIN32 does not have arpa/inet.h, so do not try to include it unless _WIN32 is
    not defined
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Peter Harris <pharris@opentext.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 769acff0da8b9859ebdf052dce80045465c7598c
Author: Arvind Umrao <arvind.umrao@oracle.com>
Date:   Fri Nov 4 15:42:05 2011 +0530

    Added more error states and removed global error_connection
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=41443
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=42304
    
    I have added more xcb connection error states at xcb.h header.
    Also I have removed global error_connection variable, and added
    an interface that returns connection error state.
    
    TBD:
    I will segregate errors states in a separate header file and try to
    provide more precise error states, in future. Also I will give patch
    for libX11, in that patch xcb_connection_t::has_error will be passed
    to default io handler of libX11. This value can then be used for
    displaying error messages.
    
    Reviewed-by: Rami Ylimäki <rami.ylimaki@vincit.fi>
    Reviewed-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Arvind Umrao <arvind.umrao@oracle.com>

commit 9b4d6f30a339e2d18ebaea98149da81aba453216
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Dec 1 10:28:51 2011 +0000

    Make xcb_take_socket keep flushing until idle
    
    _xcb_out_flush_to will drop the iolock in pthread_cond_wait allowing
    other threads to queue new requests. When this happened,
    there would be requests queued for the socket after _xcb_out_flush_to
    returned, and xcb_take_socket would throw an assert.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=29875
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 5ceeaaa4294201b3f613c07f9ec610c0e5f673c7
Author: Uli Schlachter <psychon@znc.in>
Date:   Thu Aug 25 14:18:16 2011 +0200

    Fix a dead-lock due to xcb_poll_for_reply
    
    Imagine two threads:
    
    Thread#1: for(;;) { xcb_get_input_focus_reply(c, xcb_get_input_focus(c), 0); }
    
    Thread#2: for(;;) { xcb_poll_for_event(c); }
    
    Since xcb_poll_for_event() calls _xcb_in_read() directly without synchronizing
    with any other readers, this causes two threads to end up calling recv() at the
    same time. We now have a race because any of these two threads could get read
    the GetInputFocus reply.
    
    If thread#2 reads this reply, it will be put in the appropriate queue and
    thread#1 will still be stuck in recv(), although its reply was already received.
    If no other reply or event causes this thread to wake up, the process deadlocks.
    
    To fix this, we have to make sure that there is only ever one thread reading
    from the connection. The obvious solution is to check in poll_for_next_event()
    if another thread is already reading (in which case c->in.reading != 0) and not
    to read from the wire in this case.
    
    This solution is actually correct if we assume that the other thread is blocked
    in poll() which means there isn't any data which can be read. Since we already
    checked that there is no event in the queue this means that
    poll_for_next_event() didn't find any event to return.
    
    There might be a small race here where the other thread already determined that
    there is data to read, but it still has to wait for c->iolock. However, this
    means that the next poll_for_next_event() will be able to read the event, so
    this shouldn't cause any problems.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=40372
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit b12038e9ae5343c4176f11d68c963c752bc35c03
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Aug 24 08:52:02 2011 -0700

    Keep ALIGNOF definition out of the public namespace.
    
    Uli's patch is an excellent solution; I just want to keep the new
    ALIGNOF macro hidden from XCB's users, as they don't need it to call
    XCB.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 163c47bdc0d32785d831e4c93fea9ab7e023446b
Author: Markus Duft <mduft@gentoo.org>
Date:   Wed Aug 24 10:49:06 2011 -0400

    Support pre-IPv6 systems (without getaddrinfo)
    
    Some of these systems (eg. Interix on XP) are still in use.
    
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit aa02096b8e7f94ad3c998a8d5af54963ee860b13
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Aug 24 12:47:16 2011 +0200

    Compute alignment correctly
    
    The code previously assumed that everything has to be aligned to a 4 byte
    boundary. This assumption is wrong as e.g. the STR struct from xproto shows.
    
    Instead, each type has to be aligned to its natural alignment. So a char doesn't
    need any alignment, a INT16 gets aligned to a 2-byte-boundary and a INT32 gets
    the old 4 byte alignment.
    
    I'm not 100% sure that this commit is correct, but some quick tests with awesome
    and cairo-xcb went well.
    
    This commit causes lots of dead assignments to xcb_align_to since only the last
    field's alignment is actually used, but this simplified this patch a lot.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=34037
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 4f25ee16443b29e1a25bd26a724e1e0a577e21ff
Author: Michael Stapelberg <michael@stapelberg.de>
Date:   Thu Aug 18 21:38:28 2011 +0200

    Drop AI_ADDRCONFIG when resolving TCP addresses
    
    When a system is completely offline (no interface has an IP address but 'lo'),
    xcb could not connect to localhost via TCP, e.g. connections with
    DISPLAY=127.0.0.1:0 fail.
    
    AI_ADDRCONFIG will only return IPv4 addresses if the system has an IPv4
    address configured (likewise for IPv6). This also takes place when
    resolving localhost (or 127.0.0.0/8 or ::1). Also, as per RFC 3493,
    loopback addresses are not considered as valid addresses when
    determining whether to return IPv4 or IPv6 addresses.
    
    As per mailing-list discussion on the xcb list started with message
    20110813215405.5818a0c1@x200, the AI_ADDRCONFIG flag is there for historical
    reasons:
    
        In the old days, the "default on-link" assumption in IPv6 made the flag vey
        much indispensable for dual-stack hosts on IPv4-only networks. Without it,
        there would be long timeouts trying non-existent IPv6 connectivity. Nowadays,
        this assumption has been flagged as historic bad practice by IETF, and hosts
        should have been updated to not make it anymore.
    
        Then AI_ADDRCONFIG became mostly cosmetic: it avoids phony "Protocol family
        not supported" or "Host unreachable" errors while trying to connect to a dual-
        stack mode from a host with no support for source address selection.
    
        Nowadays, on up-to-date systems, this flag is completely useless. Then again,
        I understood only the very latest MacOS release is "up-to-date" with this
        definition.

commit 662ad589c5d6f03757ae57a926d3800bfb528b30
Author: James Jones <jajones@nvidia.com>
Date:   Wed May 11 23:22:22 2011 -0700

    Insert, not append explicit xcbgen dir python path
    
    If a the path to the xcb python generate libs is
    explicitly specified to c_client.py, insert it in
    the python path list just after the local dir entry,
    rather than appending it to the existing paths.
    This keeps a global/distro install of xcb from
    overriding a local build of the xcb proto files.
    
    Signed-off-by: James Jones <jajones@nvidia.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 294c9f455c3534d836b010dacd2e7aa62a7dde9d
Author: David Coles <dcoles@gaikai.com>
Date:   Fri Apr 8 17:47:05 2011 -0700

    Add support for building with Python 3
    
    Python 3 introduces some language changes that cause issues when running
    c_client.py. This also breaks compatibility with Python 2.5 since it does not
    support the "as" statement in try/except blocks and does not have reduce() in
    the functools package.
    
    The main changes are:
    * try/except blocks require `except ... as ...:` to resolve syntactical ambiguity
    * map() and filter() return iterators rather than lists in Python 3
    * reduce() is now in functools package (and not built-in in Python 3)
    * Dictionaries don't have a has_key() method in Python 3
    * None and int types can't be directly compared in Python 3
    * print() is a statement in Python 3
    
    See http://diveintopython3.org/porting-code-to-python-3-with-2to3.html and
    PEP-3110 for details.
    
    Verified on Python 2.6.5 and 3.1.3.
    
    Signed-off-by: David Coles <dcoles@gaikai.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit e300ee4920bf4618f58618f3063b362f811154c1
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Apr 12 13:09:23 2011 -0700

    Revert "Introduce xcb_wait_for_event_until, for consuming responses in wire-order."
    
    This function was intended to allow libX11 to fix a multi-threaded hang,
    but the corresponding libX11 patch caused single-threaded apps to spin
    sometimes. Since I've retracted that patch, this patch has no users and
    shouldn't go into a release unless/until that changes.
    
    This reverts commit 2415c11dec5e5adb0c17f98aa52fbb371a4f8f23.
    
    Conflicts:
    
            src/xcb.h
            src/xcb_in.c
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 527df3c84bd71113cedc7f55089c02d1c099ecad
Author: Rami Ylimäki <rami.ylimaki@vincit.fi>
Date:   Tue Mar 22 14:33:23 2011 +0200

    Introduce a variant of xcb_poll_for_event for examining event queue.
    
    In some circumstances using xcb_poll_for_event is suboptimal because
    it checks the connection for new events. This may lead to a lot of
    failed nonblocking read system calls.
    
    Signed-off-by: Rami Ylimäki <rami.ylimaki@vincit.fi>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit b64cd0df884e7901ff13def0272df74962035920
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 4 21:36:47 2011 -0700

    If protocol is "unix", use a Unix domain socket, not TCP
    
    Fixes fallback to local connections from Xlib's XOpenDisplay(), which
    will try with protocol "unix" if a hostname is specified and tcp fails
    (as it usually will now that most OS'es ship with -nolisten tcp enabled).
    
    Also fixes explicitly specifying DISPLAY as "unix/foo:0", which Xlib
    previously accepted for Unix domain sockets.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b027922ebf1931885e00629c20e26f14f184998d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 4 21:28:00 2011 -0700

    Make launchd code in xcb_util.c match surrounding code indent levels
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 82b1f3919a82a730f6b2f952d4090fe15702694e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Oct 5 18:03:22 2010 +0200

    Handle XGE events with the "send event" flag
    
    This patch is necessary so xcb reads the payload after the message
    for GenericEvents with the 0x80 flag turned on.
    
    Signed-off-by: Carlos Garnacho <carlosg@gnome.org>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 42c4adeff4a6aedfba30e22f71800c1b73942923
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 4 20:20:16 2011 -0700

    Add #include <sys/socket.h> to xcb_conn.c
    
    Solves compiler warning on Solaris:
    "xcb_conn.c", line 304: warning: implicit function declaration: shutdown
    
    Also provides system definition of SHUT_RDWR on Solaris 11.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 4b502dd696cf7f59a961bcf71c9255ae28f0765a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 4 20:12:56 2011 -0700

    Remove unused DECnet code
    
    "unifdef -UDNETCONN src/xcb_util.c" plus re-indenting code that was
    formerly in the else clause after a DECnet check.
    
    DECnet support has been removed from most of the X.Org code base for
    several years, and it appears DNETCONN was never defined in XCB.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 7131d5d0706f2b63caad13c815e893627872114c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 4 16:32:45 2011 -0700

    Use special path to sockets when running under Solaris Trusted Extensions
    
    Solaris Trusted Extensions puts the endpoints for the X server's Unix
    domain sockets in a special directory shared from the global zone to
    each of the labeled zones, since each labeled zone has a separate /tmp.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Harris <pharris@opentext.com>

commit 70976d87f18d15c2ccc28eb7728e4822d3849e0d
Author: Rami Ylimäki <rami.ylimaki@vincit.fi>
Date:   Wed Mar 23 17:47:50 2011 +0200

    Prevent theoretical double free and leak on get_peer_sock_name.
    
    Variable new_sockname will leak and sockname will be double freed if
    both of the cases shown below are true.
    
    1. realloc succeeds and doesn't return the original pointer
    2. calling socket_func fails
    
    Signed-off-by: Rami Ylimäki <rami.ylimaki@vincit.fi>
    Signed-off-by: Erkki Seppälä <erkki.seppala@vincit.fi>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 3678159e4ed64502f9ce218a63c8d069649f2215
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Mar 19 20:04:55 2011 -0700

    Delete the old c-client.xsl.
    
    It hasn't been used since libxcb 1.1.90.1, released in 2008.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 2415c11dec5e5adb0c17f98aa52fbb371a4f8f23
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 18 20:56:07 2011 -0700

    Introduce xcb_wait_for_event_until, for consuming responses in wire-order.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Josh Triplett <josh@freedesktop.org>

commit 29a974f212aae9eeff4fde99f110cee08f0312f3
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 18 17:36:32 2011 -0700

    Dequeue readers that can't receive any new responses.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Josh Triplett <josh@freedesktop.org>

commit 131e867fca5cda94e634af69214ad54e066ac871
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 18 15:37:34 2011 -0700

    Factor reader_list management out of wait_for_reply.
    
    Later patches will insert reader_list entries from other entry points.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Josh Triplett <josh@freedesktop.org>

commit 1469e879655b20351530059538a7b89612028ae2
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 18 18:18:41 2011 -0700

    Enable AM_SILENT_RULES on automake 1.11 or newer.
    
    This incantation is supposed to be a no-op on earlier automake versions.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Josh Triplett <josh@freedesktop.org>

commit 6310475e23eac6917db54f1425e20d8434bee679
Author: Rami Ylimäki <rami.ylimaki@vincit.fi>
Date:   Wed Oct 13 17:48:13 2010 +0300

    Prevent reply waiters from being blocked.
    
    It's possible to call xcb_wait_for_reply more than once for a single
    request. In this case we are nice and let reply waiters continue so
    that they can notice that the reply is not available
    anymore. Otherwise an event waiter could just signal the reply waiter
    that got its reply to continue but leave a waiter for an earlier reply
    blocked.
    
    Below is an example sequence for reproducing this problem.
    
    thread #1 (XNextEvent)
      - waits for events
    thread #2 (XSync)
      - executes request #2
      - waits for reply #2
    thread #1
      - reads reply #2
      - signals waiter of reply #2 to continue
      - waits for events
    thread #2
      - handles reply #2
    thread #3 (XCloseDisplay)
      - executes request #3
      - waits for reply #2
    thread #1
      - reads reply #3
      - nobody is waiting for reply #3 so don't signal
      - wait for events
    
    Of course it may be questionable to wait for a reply twice, but XCB
    should be smart enough to let clients continue if they choose to do
    so.
    
    Signed-off-by: Rami Ylimäki <rami.ylimaki@vincit.fi>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 29ab5aeb9b1b1daf7f0659b134a4cfe9f42ca71a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 13 09:41:10 2011 -0700

    Include XKB in ./configure's summary output.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 2edfd5c375bf980b484b7cfbfc1f4fb751621859
Merge: ed37b08 8c3325f
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 13 09:18:24 2011 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb/libxcb
    
    Apparently I forgot to push these months ago.

commit 8c3325f8bbdb1e8975bdb01525a52d6b0f80cfa3
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Mar 4 12:41:55 2011 -0800

    darwin: Don't use poll() when expected to run on darwin10 and prior
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c2e023646298da05e212056fbc6b329e4dd9a100
Author: Peter Harris <pharris@opentext.com>
Date:   Thu Dec 23 13:32:17 2010 -0500

    Don't try to sizeof(void)
    
    sizeof(void) is a gcc extension, and not portable.
    
    Xorg Bugzilla 31959
    http://bugs.freedesktop.org/show_bug.cgi?id=31959
    http://lists.freedesktop.org/archives/xcb/2010-May/006039.html
    
    Signed-off-by: Peter Harris <pharris@opentext.com>
    Tested-by: Cyril Brulebois <kibi@debian.org>

commit 9efced72a3cb8072fa60fbed4f04d61cde412494
Author: Vincent Torri <vincent dot torri at gmail dot com>
Date:   Sun Nov 28 14:02:40 2010 +0100

    fix Windows build and installation

commit 3c5813697169a33ecfd6ac0ab5641dec654f6612
Merge: 69b78ce b672d15
Author: Peter Harris <pharris@opentext.com>
Date:   Thu Dec 23 13:04:40 2010 -0500

    Merge branch 'master' of git://anongit.freedesktop.org/~peterh/libxcb

commit 69b78ced1a7bcdca538c0720fde9cf3e6f70d040
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Sun Dec 12 16:48:41 2010 -0500

    Don't validate FD_SETSIZE on Win32
    
    Windows' file handles have never been small or consecutive, so Windows'
    select has always been implemented the same way as everyone else's poll.
    
    On Windows, FD_SETSIZE is the size of the poll array, not the maximum
    SOCKET number.
    
    Signed-off-by: Peter Harris <git@peter.is-a-geek.org>

commit 8ecd754b168a0352783bf1ba0f0887f7ff479ee8
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Nov 17 20:26:11 2010 +0100

    xcb_take_socket: Document sequence wrap requirements
    
    If lots of requests are send without one causing a reply, xcb can get confused
    about the current sequence number of a reply. Document the requirements of an
    external socket owner to avoid this problem.
    
    The return_socket callback for xcb_take_socket() originally was supposed to
    return the last sequence number used, but the version committed to libxcb never
    actually had this signature. This fixes the function's documentation not to
    mention this non-existent return value.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 5755582444ad0ba79e661ab3173cc38e9e588d83
Author: Nick Bowler <nbowler@draconx.ca>
Date:   Wed Nov 10 20:49:41 2010 -0500

    xcb_auth: Fix memory leak in _xcb_get_auth_info.
    
    If the initial get_peer_sock_name(getpeername ...) succeeds, the
    pointer to allocated memory is overwritten by the later call to
    get_peer_sock_name(getsockname ...).  Fix that up by freeing
    the allocated memory before overwriting the pointer.
    
    Signed-off-by: Nick Bowler <nbowler@draconx.ca>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit ed37b087519ecb9e74412e4df8f8a217ab6d12a9
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 9 17:13:45 2010 -0700

    xcb_in: Use 64-bit sequence numbers internally everywhere.
    
    Widen sequence numbers on entry to those public APIs that still take
    32-bit sequence numbers.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 6c8b539c2a2e53bf3deb0e749a941ab52b7e8834
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 9 13:19:05 2010 -0700

    xcb_discard_reply: Simplify by re-using poll_for_reply helper.
    
    If you discard a sequence number that has multiple responses already
    read, this will do more allocations than necessary. But nobody cares
    about ListFontsWithInfo.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 3a74b5e7a1aab0619b7e34d90d2b8b2b1e386129
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 9 12:32:05 2010 -0700

    xcb_request_check: Hold the I/O lock while deciding to sync.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit ee1bc1d28a1bda0526db90139edc1304d2ef3d7c
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 9 04:08:18 2010 -0700

    xcb_send_request: Send all requests using a common internal send_request.
    
    This simplifies the critical section of xcb_send_request and fixes a
    couple of subtle bugs:
    
    - It's possible for xcb_send_request to need to issue two sync requests
      before it can issue the real request. Previously, we counted sequence
      numbers as if both were issued, but only one went out on the wire.
    
    - The test for whether to sync at 32-bit sequence number wrap has been
      incorrect since we switched to 64-bit sequence numbers internally.
    
    This change means that if the output queue was already full and the
    current request is bigger than the output queue, XCB will do one more
    write syscall than it did before. But syncs are rare and small requests
    are the norm, so this shouldn't be a measurable difference.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit b672d1514c88e119f3aaeded8c8a488cad36db52
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Sep 22 23:15:38 2010 -0400

    Fix _unserialize of reply headers
    
    This cleans up a number of warnings, and passes the sequence number
    through correctly.
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 29cca33b9001961fa2c33bb9d9fe4a9983913fce
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Sep 22 22:32:34 2010 -0400

    Clean up a couple of warnings in xprint
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 8c1d2021ca611c1452a8d2ff2a705569e4ebd056
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Sep 22 21:16:51 2010 -0400

    Make *_unserialize safe to use on buffers in-place
    
    By calling memmove instead of memcpy, and walking the buffer backward
    from the end, *_unserialize is safe to use in-place.
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 28a71c6567d08272dc9c1c2b32f0529f11f62b9e
Author: Peter Harris <pharris@opentext.com>
Date:   Fri Sep 10 15:51:56 2010 -0400

    Fix memory leak in _sizeof implemented with _unserialize
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit a22909c0f513fe28347c56be65a345831c3ce744
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Sep 8 15:57:00 2010 -0400

    Don't emit out-of-module sizeof definitions
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 1c4717de367fe3bf1cf56bd8ef2bd30586bed023
Author: Josh Triplett <josh@joshtriplett.org>
Date:   Sun Sep 19 20:38:06 2010 +0200

    Allow disconnecting connections that are in error state.
    
    In support of this, consolidate the two static error_connection
    definitions into one so we don't try to free the static out-of-memory
    error_connection.
    
    Commit by Josh Triplett and Jamey Sharp.
    
    Signed-off-by: Josh Triplett <josh@joshtriplett.org>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 03bcccb132249142ba908a075e0bd5075fc20d97
Author: Peter Harris <pharris@opentext.com>
Date:   Fri Sep 10 15:53:13 2010 -0400

    Add xkb.* to gitignore
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 28d39258008fcc8ced84dc6c1dd2644e2c908c87
Merge: f0565e8 5e8a7ad
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Sep 8 14:41:52 2010 -0400

    Merge branch 'gsoc2010' of git://anongit.freedesktop.org/~chr/libxcb

commit f0565e8f06aadf760a9065a97b8cf5ab9cbd18de
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Sep 4 10:17:21 2010 -0700

    _xcb_conn_wait: Shut down the connection on unexpected poll() events.
    
    If a client calls close(2) on the connection's file descriptor and then
    flushes writes, libxcb causes a hang in the client.
    
    Any flush eventually calls _xcb_out_send() with has the following loop:
       while(ret && *count)
           ret = _xcb_conn_wait(c, &c->out.cond, vector, count);
    
    _xcb_conn_wait(), if built with USE_POLL, gets the POLLNVAL error. It only
    checks for POLLIN and POLLOUT though, ignoring the error. Return value is 1,
    count is unmodified, leaving us with an endless loop and a client hang.
    
    XTS testcase Xlib3/XConnectionNumber triggers this bug. It creates a display
    connection, closes its file descriptor, tries to send a no-op, and then expects
    an error.
    http://cgit.freedesktop.org/xorg/test/xts/tree/xts5/Xlib3/XConnectionNumber.m
    
    If poll returned POLLHUP or POLLERR, we might see the same result.
    
    If poll returns any event we didn't ask for, this patch causes
    _xcb_conn_shutdown() to be invoked and an error returned. This matches the
    behaviour if select(2) is used instead of poll(2): select(2) returns -1 and
    EBADF for an already closed file descriptor.
    
    I believe this fix both is safe and will handle any similar error. POSIX says
    that the only bits poll is permitted to set in revents are those bits that were
    set in events, plus POLLHUP, POLLERR, and POLLNVAL. So if we see any flags we
    didn't ask for then something has gone wrong.
    
    Patch inspired by earlier proposals from Peter Hutterer and Aaron
    Plattner--thanks!
    
    Reported-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reported-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>
    Cc: Peter Hutterer <peter.hutterer@who-t.net>
    Cc: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 20da10490f8dac75ec9fe1df28cb9e862e171be5
Merge: 7f5cfcc 2dcf8b0
Author: Peter Harris <pharris@opentext.com>
Date:   Tue Aug 31 18:33:36 2010 -0400

    Merge branch 'master' of git://github.com/topcat/xcb-win32
    
    Conflicts:
            src/xcb_conn.c
            src/xcb_util.c
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 7f5cfcc2fd0168d505504cc088bfdcba5c71f0ea
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Aug 17 08:04:41 2010 -0700

    xcb_disconnect: call shutdown() to force a disconnect
    
    Fixes the X Test Suite's XCloseDisplay-6 test, which has this (admittedly
    ridiculous) behavior:
    
     1. Create a window w.
     2. Open two display connections, dpy1, and dpy2.
     3. Grab the server using dpy1.
     4. Fork.
     5 (child). XSetProperty on w using dpy2.
     5 (parent). Verify that no event was recieved on dpy1.
     6 (parent). XCloseDisplay(dpy1).
     6 (child). Verify that an event was received on dpy2.
    
    It was failing because at step 6 (child), the server had not actually ungrabbed
    yet because the file descriptor for dpy1 was still open in the child process.
    
    Shutting down the socket during XCloseDisplay matches the behavior of non-XCB
    Xlib, which calls shutdown() from _X11TransSocketDisconnect.
    
    Thanks to Julien Cristau for noticing this.
    
    Signed-off-by: Aaron Plattner <aplattner at nvidia.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 2040f10a4efa95092bc9409c5b20347989b5f0a2
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Aug 24 09:17:38 2010 -0700

    xcb_request_check: Sync even if an event was read for this sequence.
    
    This fixes the test case I have so far for Havoc's report that
    xcb_request_check hangs.
    
    Rationale: Since we have a void cookie, request_expected can't have been
    set equal to this sequence number when the request was sent; it can only
    have become equal due to the arrival of an event or error. If it became
    equal due to an event then we still need to sync. If it became equal due
    to an error, then request_completed will have been updated, which means
    we correctly won't sync.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=29599
    
    However, Havoc reports that he can still reproduce the problem, so we
    may be revisiting this later.
    
    Reported-by: Havoc Pennington <hp@pobox.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 5e8a7ade2dc8aeeeb8013785ca3f24c6057ae443
Author: Christoph Reimann <oss@arcor.de>
Date:   Mon Aug 16 20:24:40 2010 +0200

    small fix to get rid of some compiler warnings
    also added very basic documentation for xkb

commit b89f634ff9b321f21874cd45e398d661a6ff726e
Author: Christoph Reimann <oss@arcor.de>
Date:   Mon Aug 16 18:22:42 2010 +0200

    small fix in the xkb pkg file

commit 22e1013131984a217e9bddeac3a6a4183e35f0c1
Author: Christoph Reimann <oss@arcor.de>
Date:   Mon Aug 16 18:19:16 2010 +0200

    added accessors for special cases
    major bugfixes include: rewrite of prefix related functions, merge of serialize/unserialize/... generators, extended field name resolution

commit 35f901a0f2bc3f5bb30dc6ff9d791679c9e84c05
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Aug 13 13:46:37 2010 +0200

    Release libxcb 1.7
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit fe0e32b5fa3923fae97210e974c0f96a085116cb
Author: Christoph Reimann <oss@arcor.de>
Date:   Sun Aug 8 21:25:13 2010 +0200

    special case 'intermixed variable and fixed size fields': fixed reply side, needs testing

commit 77b594f9583ea0247ff27130316d8e045da7f921
Author: Christoph Reimann <oss@arcor.de>
Date:   Thu Aug 5 15:55:28 2010 +0200

    renamed most _unserialize() functions to _sizeof() and fixed _unserialize() for the special case of intermixed variable and fixed size fields

commit dd1a4dbe20d6b5fd33aeb65e662bb2ca18665518
Author: Eamon Walsh <efw@eamonwalsh.com>
Date:   Thu Aug 5 00:48:08 2010 -0400

    Tutorial uses wrong function.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29392
    
    Signed-off-by: Eamon Walsh <efw@eamonwalsh.com>

commit b187f029d6bb693f0294bad5261ec486b140f185
Author: Christoph Reimann <oss@arcor.de>
Date:   Mon Aug 2 23:30:42 2010 +0200

    attempt to fix special case: variable fields followed by fixed size fields

commit a700eeb502b5fe902e4c93cc707100ec868ce946
Author: Christoph Reimann <oss@arcor.de>
Date:   Sun Aug 1 23:40:20 2010 +0200

    bug fixes for all kinds of 'special cases'

commit 1c590d5a86ae854e53f388e40c952e92f11d59e6
Author: Christoph Reimann <oss@arcor.de>
Date:   Thu Jul 22 16:41:15 2010 +0200

    partial rewrite of serialize helper functions completed;
    _serialize() & _unserialize() have been tested for switch derived from valueparam

commit 566ae9baee20fb6147b94b89a26796087461bae8
Author: Christoph Reimann <oss@arcor.de>
Date:   Tue Jul 20 22:46:37 2010 +0200

    preliminary handling of further special cases in unserialize
    first attempts to unify serialize and unserialize

commit 4e665e1580ece7bc9505f3a2f657959669ffcd05
Author: Christoph Reimann <oss@arcor.de>
Date:   Thu Jul 15 18:43:43 2010 +0200

    added generating code for _serialize() in case of variable sized structs (largely untested)

commit d0031456097f009bdb82fb979924e71ca38c539b
Author: Christoph Reimann <oss@arcor.de>
Date:   Tue Jul 13 20:08:51 2010 +0200

    xkb: added pkg config file

commit 86704124b1fd62c30441ace1f3f8e2c316801c53
Author: Christoph Reimann <oss@arcor.de>
Date:   Tue Jul 13 20:06:08 2010 +0200

    new and still preliminary functions for switch; feautures include
    - API compatibility with valueparam
    - request _aux() auxiliary functions
    - _serialize() and _unserialize() auxiliary functions
    - new data type that allows mixing of fixed and variable size members

commit 80322d11636dd638902660d80481080d2fad40fe
Author: Christoph Reimann <oss@arcor.de>
Date:   Tue Jul 13 19:59:23 2010 +0200

    xkb: updated configure.ac/Makefile.am

commit 8c2707773b3621fb8bbda9021d23944f5be34aab
Author: Christoph Reimann <oss@arcor.de>
Date:   Tue Jul 13 19:56:44 2010 +0200

    added xcb_sumof() with restriction to uint8_t

commit 496efb7624d14b4ca0391f44926edc448cbd605e
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Jul 13 07:01:06 2010 -0700

    _xcb_conn_wait: Fix whitespace.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 74057c7eb6836353960ce3849703ce20e45089bc
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Jul 12 16:53:53 2010 -0700

    AC_CHECK_PROG(LAUNCHD, [launchd], [yes], [no], [$PATH$PATH_SEPARATOR/sbin])
    
    launchd: Explicitly search /sbin
    
    Previously, launchd wasn't found if /sbin wasn't in the user's PATH.
    https://bugs.freedesktop.org/show_bug.cgi?id=29028
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 75ff427d41fc10d00b780c965c289fc02c81aaac
Author: Vincent Torri <vtorri@univ-evry.fr>
Date:   Sun Jun 20 20:50:06 2010 -0700

    configure.ac: Report which extensions are being built.
    
    I was surprised to see that xinput was not installed. Looking at
    configure.ac, it seems that it is disabled by default. Maybe configure
    should output the status of the different extensions.

commit de3cdad87a341c238c544425f4dd574b19c58ae3
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Fri Jun 11 16:30:47 2010 +0300

    xcb_connect_to_display_with_auth_info: Fix memory leak
    
    protocol and host are allocated in _xcb_parse_display but ownership of
    them is passed to the caller. They have to be freed in
    xcb_connect_to_display_with_auth_info.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 18718d483e0982c779a61c71176fb0e64f850015
Author: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
Date:   Fri Jun 11 16:30:46 2010 +0300

    _xcb_parse_display: Fix error path
    
    xcb_parse_display claims that there is no side effects when failing.
    That requires _xcb_parse_display to free the memory in failure case.
    
    Signed-off-by: Pauli Nieminen <ext-pauli.nieminen@nokia.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 3f79628becbd3b0eff1aef804902eb739fac4403
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 12 19:53:45 2010 -0700

    xcb_open: Improve protocol/host parsing
    
    Support scenarios where host is not set and protocol is.  eg:
    
    DISPLAY=tcp/:0
    
    as well as the "inet" and "inet6" alias for "tcp" for compatability
    with Xlib
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit e4b746ac13e89b99abd80b3d1fa2a16796da3b6d
Author: Marcin Kościelnicki <koriakin@0x04.net>
Date:   Thu May 13 21:05:57 2010 +0000

    Add ~ operator support in code generator
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 5e86cb05666c448de2f61c23ae94e94ef4b38d64
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Apr 30 18:49:18 2010 +0100

    Fix GCC error on undeclared variable when not using abstract socket
    
    This is a regression found by tinderbox in previous commit:
    
    xcb_util.c: In function '_xcb_open':
    xcb_util.c:213: error: 'fd' undeclared (first use in this function)

commit a546d00091de0ab16374dec55e8e2fa87d6bbebf
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Apr 30 14:47:16 2010 +0200

    Get rid of PATH_MAX and MAXPATHLEN
    
    There could be no upper limit on the length of a path according
    to POSIX, therefore these macros may not be defined at all on
    some systems (such as GNU Hurd).
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>
    Reviewed-by: Peter Harris <pharris@opentext.com>

commit d06857217328c2283a8956788d72646fc67216fb
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 23 21:57:26 2010 -0700

    Use limits.h instead of syslimits.h
    
    Regression found by tinderbox in 89b3485dadef47a30264a5bf150b96522183376b
    
    xcb_util.c:31:27: error: sys/syslimits.h: No such file or directory
    xcb_util.c: In function '_xcb_open':
    xcb_util.c:148: error: 'PATH_MAX' undeclared (first use in this function)
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 89b3485dadef47a30264a5bf150b96522183376b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Apr 23 17:29:25 2010 -0700

    Reworked launchd support to work better with _xcb_parse_display
    
    Fixes: http://xquartz.macosforge.org/trac/ticket/390
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2dcf8b025be88a25d4333abdc28d425b88238d96
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Fri Apr 23 00:47:16 2010 +0530

    Replaced read() in read_block and _xcb_in_read() with recv for all
    platforms. MSG_WAITALL is undefined in MinGW so it's been explicitly
    defined in xcb_in.c

commit 56962e42a509dc4d0d9541e46b93689dac61c4fd
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Thu Apr 22 23:23:27 2010 +0530

    Set errno=0 in read_block. On Win32 there is no errno and this makes the
    do..while loop execute only once. Also set the return value to -1 in
    _xcb_open if control reaches the end - if all goes well it shouldn't
    reach there.

commit b0525e242368fffbc77ebb45293f34e80847e65a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Apr 17 17:59:11 2010 -0700

    Always wake up readers after writing.
    
    Since writers must make sure they read as well, threads may have gone to
    sleep waiting for the opportunity to read. The writer must wake up one
    of those readers or the application can hang.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Josh Triplett <josh@freedesktop.org>

commit eff3851ba80c42b5b3ba240f7e9049d7b0fac6f0
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 28 10:31:55 2010 -0700

    Fix strict-aliasing warning when getting generic event length.
    
    xcb_ge_event_t has its length field in the same place that
    xcb_generic_reply_t does, so there's no need to cast the generic reply.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Cc: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Danjou <julien@danjou.info>

commit 6dd8228a137d280ce24cec604a419129d8ed0e8e
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Feb 12 12:25:05 2010 -0800

    Delete a useless level of indirection from _xcb_out_send's parameters.
    
    _xcb_out_send needs _xcb_conn_wait to store back its progress so it can
    be reinvoked to pick up where it left off---but then _xcb_out_send
    guarantees that it leaves either an empty output vector or a shut-down
    connection, so *its* callers never care how much progress was made.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Josh Triplett <josh@freedesktop.org>

commit a63fbc9d6c484e5ad7a5e9d56f81b8e1a2f38a82
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Apr 9 16:57:51 2010 +0200

    Release libxcb 1.6

commit a1d9aa6e07a297f4108b4ad787336f74c86a3312
Author: Rémi Denis-Courmont <remi.denis-courmont@nokia.com>
Date:   Fri Mar 26 23:12:47 2010 +0200

    Fail if fd is too big and poll() is not available
    
    Depending on the process file limit, a file descriptor can be larger
    than the capacity of fd_set. There is no portable way to create a
    large enough fd_set at run-time. So we just fail if the file descriptor
    number is too high and poll() is not available.
    
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 0e0c80e749eccf121e55c1e855c48d03b54f33ef
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Wed Mar 31 22:00:04 2010 +0530

    xcb_in.c #ifndef _WIN32 inside of #if USE_POLL redundant and removed

commit e8009194c9f5a6995c4a9b03a7a49d5bc09e96fc
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Wed Mar 31 09:50:51 2010 +0530

    restablished inclusion of fcntl.h and netinet/tcp.h in xcb_util.c -- without these the code no longer compiled on *ix

commit d302f1e9b158d0a51936c28e5dc66251d90d1d56
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Mon Mar 29 22:37:33 2010 +0530

    changes in xcb_windefs.h - the flag  _XCB_WINDEFS_H replaces WINDEFS_H

commit 36c9a985aaee655c118c9f7b8425d3ac9ce0f840
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Mon Mar 29 22:31:49 2010 +0530

    windefs.h is now called xcb_windefs.h - changed all includes to reflect that.Replaced one instance ofWIN32 with _WIN32 in each xcb_in.c and xcb_conn.c

commit bce72f63d2dfb61661f81e305ad3a7db0334403c
Author: Jeetu Golani <jeetu.golani@gmail.com>
Date:   Fri Mar 26 09:40:09 2010 +0530

    Win32 code for xcb-1.5

commit d18d03d6f37ec220805855d840950716e22354e4
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Fri Mar 12 23:51:32 2010 +0100

    Fix authentication on hpux and Hurd
    
    libxcb's 010e5661 (Fix XDM-AUTHORIZATION-1 (bug #14202)) mistakenly
    inverted a few lines of code, making local socket authentication fail on
    hpux and Hurd: when getpeername fails, sockname needs to be initialized
    by getsockname before its address family can be checked.
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 53a9834e4cdd11aba8c1cc49347f09a958107de8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Feb 13 12:23:51 2010 +0200

    Open the X11 socket with close-on-exec flag
    
    This saves the X11 connection from leaking into children processes.
    On Linux, this is fully thread-safe using SOCK_CLOEXEC. On other
    systems, there is a small race condition.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 367882fa32489ebafcd9afc04fbf732b02ceb33a
Author: Peter Harris <pharris@opentext.com>
Date:   Tue Feb 9 16:27:22 2010 -0500

    Support xcb_discard_reply
    
    This function is useful for dynamic language garbage collectors. Frequently
    a GC cycle may run before you want to block wainting for a reply.
    
    This function is also marginally useful for libxcb apps that issue
    speculative requests (eg. xlsclients).
    
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Tested-by: Eamon Walsh <efw@eamonwalsh.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit be7e528eae62ddee14fa50f2c0e9036bafbc9f81
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 7 18:08:35 2010 +0200

    xcb_connect_to_fd: fix descriptor leak on memory error path
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit c7a57043da1717c18703a38772555fea6aa811bf
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Dec 11 17:24:43 2009 -0800

    configure.ac: Fix a typo on the last commit.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 58c96da9283d3c2f65c818bd952f611ec4e4dad0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Dec 11 17:15:16 2009 -0800

    darwin: xnu doesn't support poll on ttys on the master side.
    
    <rdar://problem/7360546>
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 1e746fd89ae93965183c759b969ff9f4d5dbc9d8
Author: Jim Ingram <ingramj@gmail.com>
Date:   Mon Dec 7 14:41:18 2009 -0600

    Tutorial code fix
    
    Accessed elements of names[] after freeing them in the first example.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a470579ba29c8f39e77668558a08bb173297711f
Author: Rémi Cardona <remi@gentoo.org>
Date:   Fri Dec 4 22:06:20 2009 +0100

    DRI2 extension requires xcb-proto 1.6 or newer
    
    Signed-off-by: Rémi Cardona <remi@gentoo.org>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 6e875a82a8a1a324067970a5f9d7442585ee0eef
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Dec 3 11:34:18 2009 +0100

    build: simplify extension building
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 48217ac986d77eba40f3af4df597a734f4fd3690
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Dec 3 10:08:59 2009 +0100

    Release libxcb 1.5
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 1cf2a87def76f4646fe05e282b45605d572f2513
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 2 14:31:56 2009 -0500

    setsockopt(SO_KEEPALIVE) on TCP display connections.
    
    This matches xtrans behaviour in SocketINETConnect, and makes it so apps
    don't hang forever if their display dies.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit e82c34c2f7ac3fbb23ab14cbee8df2dd9178f5a4
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 15 13:13:47 2009 -0700

    Add DRI2 support. (v2)
    
    v2: Build fix from jcristau.

commit a27c77ccae059fb64e0506648b81677858d3b05b
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Oct 15 13:14:49 2009 -0700

    Fix typo in the tutorial.

commit 17af34b4a438a80d3dcad93bb5254366791a488f
Author: Paulo R. Zanoni <pzanoni@mandriva.com>
Date:   Fri Sep 18 15:05:46 2009 -0300

    Don't build docs if 'dot' is not found Signed-off-by: Paulo R. Zanoni <pzanoni@mandriva.com>

commit 29207e2943ad56fb8b4d2b7f07b1530cb1d7d9be
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Aug 31 17:51:36 2009 +0200

    Fix check dependency
    
    Bugzilla #21992
    
    make -j check fails because the check-local rule gets executed before
    the tests actually ran, so CheckLog*.xml doesn't exist.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit ff2e2e35bcac1d835c9eecf9ac8b3072005989a5
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sat Jun 6 15:52:20 2009 +0100

    Cygwin build fix: Add -no-undefined to libtool flags
    
    -no-undefined is needed to tell libtool a shared library can be built
    on platforms which require all references to be statisfied at link time.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 96ff5fb635bc333e80ebce6cc03008a1b9992ff6
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jul 15 16:15:02 2009 +0100

    Release libxcb 1.4

commit f4c2794bf5990a0b2f6168f2b22b60b15e08ac44
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jul 15 16:03:56 2009 +0100

    Add majorCode, minorCode and resourceID fields to X generic error

commit e06955ed66cb499ada52b8add6709edd38d70054
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Jul 6 13:14:35 2009 -0700

    Fix precedence bug: wrong length for big-requests preceded by sync.
    
    Also replace excessively clever use of bitwise OR with equivalent
    addition.
    
    Reported-by: Geoffrey Li <geoffrey@seitopos.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Josh Triplett <josh@joshtriplett.org>

commit 9e191c722a0be4b5f3d993165055a71f85c21882
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 29 14:41:59 2009 +0200

    Fix libxcb-randr version info
    
    The SONAME shouldn't have been bumped in 1.3, only new symbols were
    added.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f44dc519c5b324335d05f6e7fb31b78062a8c5f5
Author: Julien Danjou <julien@danjou.info>
Date:   Fri May 29 08:26:05 2009 +0200

    Release libxcb 1.3

commit ee89850e68205a7f8961ace0839b5be86040dade
Author: elupus <elupus@ecce.se>
Date:   Tue May 26 16:14:48 2009 +0200

    Disable Nagle on TCP socket
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 62fe187e2d617eb0feb1ca03d8b4a64db9dd952b
Author: Bob Ham <rah@bash.sh>
Date:   Mon May 25 12:20:23 2009 +0200

    Store xcbproto version libxcb was compiled with
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit efbe96ee0ab0c5511035eee99f8fe7b38d5f65fa
Author: Julien Danjou <julien@danjou.info>
Date:   Sat May 9 17:39:34 2009 +0200

    depends on recent xcb-proto and bump version of randr
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 010e566126625c56bdf9989085bacf731520ff87
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Tue Apr 21 08:39:52 2009 +0200

    Fix XDM-AUTHORIZATION-1 (bug #14202)
    
    With this patch, we know use correctly the socket address or peer
    address for authentication purpose.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit ca978a9dae621126075712f9e2c29591208570bc
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Apr 7 14:22:57 2009 +0200

    util: remove useless strlen calls from decnet opening
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit cc191431412d8764c645a51b0f106c0dfe652213
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Apr 7 14:18:40 2009 +0200

    util: merge common code for xcb_connect
    
    Many code was duplicated between xcb_connect_to_display_with_auth_info
    and xcb_connect(). We merge both, since the difference is just about the
    xcb_auth_info_t pointer being supplied, or not.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 8797e053b2b2ee989f47490c7687b9a2fbdb0021
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Apr 7 13:37:40 2009 +0200

    util: open_abstract gets filelen as parameters
    
    That saves us from a couple of strlen() calls.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f0b29819749b769e5a8d313bf1bab80d6513208b
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Apr 7 11:55:30 2009 +0200

    auth: use snprintf() return value
    
    That save us from a strlen().
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 9f24c91f91dd68a52e46191b686283b0df38d2f5
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Apr 7 11:49:13 2009 +0200

    auth: precompute authnameslen
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 2a4f1cf3801080276694f5026d35220b65201038
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Apr 9 05:12:02 2009 -0700

    darwin: Don't use poll() on versions of darwin before darwin10

commit 6e2e87d0bbdff87f127986a0666445160d52e6a5
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Mon Apr 6 03:31:23 2009 +0200

    Local socket connections do not work on hurd-i386
    
    Local socket connections currently do not work on hurd-i386 because
    xcb_auth calls getpeername() on the client socket, but hurd-i386 does
    not implement anything in that case (I actually wonder what reasonable
    value could be returned).  In such case the xcb code does not actually
    need the peer name anyway.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f916062edf0e04cd4e0a78f6975892f59fae3b60
Author: Michael Ost <most@museresearch.com>
Date:   Mon Mar 30 11:09:32 2009 +0200

    use poll() instead of select() when available
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit beccb0be15f5699c942a0af33307d9e4bf797e2a
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Tue Mar 24 16:24:04 2009 -0700

    kludgily hand-merged xid fixes
    
    Signed-off-by: Bart Massey <bart@cs.pdx.edu>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 1e9c0f1012b6d349f92ea7246194b8667d27f849
Author: Julien Danjou <julien@danjou.info>
Date:   Mon Mar 16 10:26:02 2009 +0100

    Fix do_append() arguments
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit fcb433db80315a44154248a9229c9cfcbab63f04
Author: Julien Danjou <julien@danjou.info>
Date:   Sun Mar 15 10:18:50 2009 +0100

    Copy full IPv4 mapping (Bug #20665)
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit eaa71eac02c6a862ab23e8afcce12d9f38590338
Author: Peter Harris <pharris@opentext.com>
Date:   Fri Mar 13 15:24:55 2009 -0400

    Avoid name collisions between xidtype and enum.
    
    These changes are necessary to build with latest xcb/proto.
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit e986d1ee5a126dc38113125075a1e986235ba7c7
Author: Peter Harris <pharris@opentext.com>
Date:   Fri Mar 13 15:25:30 2009 -0400

    Revert "Don't use enums in generated C code"
    
    This commit broke xcb/util.
    
    This reverts commit 9984b72888108a038d6b3f7dee374d17e26ef9e2.
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit 9984b72888108a038d6b3f7dee374d17e26ef9e2
Author: Peter Harris <pharris@opentext.com>
Date:   Wed Feb 25 18:48:50 2009 -0500

    Don't use enums in generated C code - use integer constants instead.
    
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit b08e1535cf0716fc917eaa1f5d5f6d1960bf1e3c
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Feb 17 13:37:29 2009 +0100

    Release libxcb 1.2
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 2e65188f91800d7e6a8d74fa077b46f8f67b6893
Author: Julien Danjou <julien@danjou.info>
Date:   Mon Feb 16 11:44:20 2009 +0100

    Stop providing autogenerated files in tarball
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 37f5ce3ef46c8af38ec0103b9d960615a0a1e058
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Dec 11 11:17:13 2008 +0100

    Release libxcb 1.1.93
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f896ae8c53e99f39b347f9f0ac2b4a8cc12cad6f
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sun Nov 23 17:25:21 2008 -0800

    Shutup compiler warning about unused variable...

commit d79621b25ba6784135b1a3aa51e9561fcf72fe7f
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sun Nov 23 17:23:17 2008 -0800

    Apple: Apple launchd cleanup
    Added --with-launchd option instead of just using __APPLE__
    Fixed opening launchd fd when displayname=NULL

commit 9b79ae49f709707e99b8487b01f9d3f102754bd3
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Nov 8 14:41:23 2008 -0800

    Apple: Enable support for launchd DISPLAY socket

commit 43b612a5e99ccdfb787a11b2b7c3179fc242edf3
Author: Peter Harris <peter.harris@hummingbird.com>
Date:   Wed Nov 12 14:45:04 2008 -0500

    Treat XIDs the same as other cardinal values.
    
    This fixes a bug where c_client.py wasn't generating *_end functions,
    but expected them to exist in order to find the subsequent list's start.
    
    Signed-off-by: Peter Harris <peter.harris@hummingbird.com>

commit 902cade8ec9e7eb5d29f6f6d61cac0470c300aec
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Nov 4 10:19:14 2008 +0100

    Release libxcb 1.1.92
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit fa452cc9b2bb69fa0603dfd97e00e540b6b52840
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Mar 16 23:16:31 2008 -0700

    Support handing off socket write permission to external code.
    
    Libraries like Xlib, some XCB language bindings, and potentially others
    have a common problem: they want to share the X connection with XCB. This
    requires coordination of request sequence numbers.  Previously, XCB had an
    Xlib-specific lock, and allowed Xlib to block XCB from making requests.
    Now we've replaced that lock with a handoff mechanism, xcb_take_socket,
    allowing external code to ask XCB for permission to take over the write
    side of the socket and send raw data with xcb_writev.  The caller of
    xcb_take_socket must supply a callback which XCB can call when it wants
    the write side of the socket back to make a request.  This callback
    synchronizes with the external socket owner, flushes any output queues if
    appropriate, and then returns the sequence number of the last request sent
    over the socket.
    
    Commit by Josh Triplett and Jamey Sharp.
    Handoff mechanism inspired by Keith Packard.

commit baff35a04b0e8d21821850a405a550d86a8aeb6f
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed May 21 14:44:16 2008 -0700

    Track 64-bit sequence numbers internally.
    
    External APIs that used 32-bit sequence numbers continue to do so.
    
    Commit by Josh Triplett and Jamey Sharp.

commit 96e55444b9b9500420f9132a1ace720100a26398
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 14 20:18:52 2008 -0700

    Use sequence number ranges in pending replies
    
    This allows optimizing adjacent pending replies with the same flags, and
    will help support default flags for a range of future requests.
    
    Commit by Josh Triplett and Jamey Sharp.

commit 059ca642c76639fee958dc6054070de85e257e98
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 14 12:08:58 2008 -0700

    Inline _xcb_lock_io, _xcb_unlock_io, and _xcb_wait_io.
    
    These functions are once again a single pthread call, so just make that
    call directly.

commit d989656cde2ee7a4a66b2065209ef389495f3452
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 14 12:08:32 2008 -0700

    Remove libxcb-xlib and xcbxlib.h.

commit dcbef23d730b95ef7dc9ef524a4c3fc0017b63d2
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Oct 14 23:39:07 2008 +0200

    build: fix configure.ac AC_DEFINE
    
    Rather use AC_DEFINE_UNQUOTED and only once.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit cebd482a20fcc2b2dae0683c38e917a3740638a6
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Sep 26 15:26:42 2008 +0200

    allow compile-time setting for XCB queue buffer size
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 625ed596cae6dd8175aeb6cb6f26784928042f22
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed Oct 8 16:04:25 2008 -0700

    Remove duplicate XCB_EXTENSION calls for Composite extension

commit db332dcda989b5b021dc220c102666f695c772cf
Author: Henning Sten <henning.sten@yahoo.com>
Date:   Sat Sep 20 13:08:58 2008 +0200

    fix tiny memory leak in read_packet (leak only happens when malloc returns NULL so it's very rare)
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 9afadd2aef8af89a4f4ab70baeae0b848904c367
Author: Carsten Meier <cm@trexity.de>
Date:   Tue Sep 9 12:11:37 2008 +0200

    Added generation of extern "C" for compatibility with C++
    
    The auto-generated header files now include an extern "C"
    declaration for compatibility with C++.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 25e59ccc0dc8baf344145d6d739229e8120330db
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Sep 9 04:42:36 2008 +0100

    Add support for the abstract socket namespace under Linux
    
    Based on same in Xtrans.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f3f8738436d09f7e590b76e22a7a2cc4b16abd1d
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Sep 9 04:42:35 2008 +0100

    Fix some fd leaks in _xcb_open_*()
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit d6d44e1bf09cca8aefbf4ce9875d7f794bf19fb1
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Wed Sep 3 13:52:58 2008 -0700

    fixed overly aggressive warning about fixed field following variable

commit 7e0674e76186ee4491a089350511fc0d22fb3af3
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sun Aug 31 00:42:23 2008 -0700

    added small fix to support trailing fixed fields; also warning for non-pad fixed fields

commit 2d04a1e6cedcdc832e2db3c65ababc3aff904ec4
Author: Vincent Torri <vtorri at univ-evry dot fr>
Date:   Sun Aug 31 10:33:31 2008 +0200

    factorize m4 macros and add one to set X extensions
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit bcf662c1b433b296060c66ae1656fcb5c6e697ef
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Aug 28 14:35:54 2008 +0200

    Initialize all fields of addrinfo
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit baf31b1bf20b49ec00d0f64bb7cc9c788a28c088
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Aug 28 13:51:38 2008 +0200

    Use ifdef instead of if for defined value
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 38d5de3a5573b2e89e97d04a809a3dd38a0fe8a7
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 27 13:56:28 2008 +0200

    Set namelen unsigned
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 9c9c09b376fe1ddcedd03c52cfc0b06867d998c9
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 27 13:56:26 2008 +0200

    Rename index to idx to avoid shadowing
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit c5b2e53abf0b113d4cc4105127cf848ee450aa98
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 27 13:56:25 2008 +0200

    Use a signed size in read_block()
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 1bbdba52116f127bed3ce812a00240b4009bbf22
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 27 13:56:24 2008 +0200

    Use unsigned to compare and rename sync
    
    - i must be unsigned to be compare in the loop
    - sync shadow global sync() function
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 6438584285de72858f97be891e16a125d13471d8
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 27 13:56:23 2008 +0200

    Fix htonl() arg & convert sizeof() to signed
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 1ead02e88eb9f37757eeb1cc8c762fc48d6d08ee
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 27 13:56:22 2008 +0200

    initialize global_id to 0
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f209d0ef7ad57a395c01ca09ecf48117a648e39c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 17 13:57:41 2008 +0930

    Bump to 1.1.91.

commit cdc347938702dddbacb5af5c24988e9152b5447c
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Jul 16 23:25:04 2008 +0930

    Make EXTHEADERS, EXTSOURCES, EXTENSION_XML unconditional of configure flags.
    
    yay, make distcheck works now even when some extensions are disabled.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a9d15a08451c76a9250642c9f662f296196f60a0
Author: Petr Salinger <Petr.Salinger@seznam.cz>
Date:   Mon Jul 7 17:57:37 2008 +0200

    fix FreeBSD support
    
    The GNU/kFreeBSD (and BSDs in general) have a different
    layout of struct sockaddr, sockaddr_in, sockaddr_un ...
    
    The first member do not have to be "sa_family",
    they also have "sa_len" field.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit ee78071902e93ce22a3170f0937c158fd16894d8
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Wed May 28 17:41:35 2008 +0930

    Bump to 1.1.90.

commit 424ad131b7d97d6196181c31677655e6d52b41df
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed May 28 12:26:13 2008 -0700

    Fix variable declaration formatting

commit 6532c715c3805128b9976ab208f1426f691056a2
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Tue May 15 16:28:19 2007 +0930

    Add xcb_ge_event_t and handling for long events.
    
    GenericEvent can be more than 32 bytes long. Ensure that the required data is
    pulled off the wire and tack it onto the event.
    
    Due to the structure of the xcb_generic_event_t, the data is appended AFTER
    the full_sequence field.

commit b08a5909daf589d5e06c17c55d044f39c1d3479a
Author: Oswald Buddenhagen <ossi@kde.org>
Date:   Thu May 1 16:17:55 2008 -0400

    Fix libxcb/src compile with srcdir != builddir.

commit 4a405feba8cde8490d847a57b7e833176e18b90f
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Wed Apr 23 20:26:28 2008 -0400

    Replace a stray c-client.xsl in the libxcb SOURCES.  Fixes make distcheck.

commit 40566c36d543edc2118cbb358e0303d9e8862892
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Wed Apr 23 20:25:57 2008 -0400

    Use the python install path from xcb-xproto.pc to locate the xcbgen package.

commit b3832bcc46d85110fdb2b553df6249a831cfe0fa
Author: Jeremy Kolb <jkolb@glorfindel.hsd1.ma.comcast.net>
Date:   Sun Apr 20 16:26:51 2008 -0400

    Add mention of PYTHONPATH if xcbgen cannot be found.

commit 5ee915e12a102e86e141981bbce60ed81037dfdc
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Apr 18 16:30:08 2008 -0400

    Add Python parser C language-dependent part.

commit 947a2e26e4217531e612a5110e6f95296c94614f
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Thu Jan 24 16:02:34 2008 -0500

    Add SELinux extension support, disabled by default.

commit 0b5f684eb0f8a8ad1887514568532037bb46020c
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Thu Jan 24 15:57:35 2008 -0500

    Add XInput extension support, disabled by default.

commit c72581c844efbaaa7e632377b57678f6668327fe
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Tue Jan 15 17:06:14 2008 -0500

    Inputs to AC_CONFIG_FILES are automatically distributed.
    Hence, it is not necessary to explicitly add them to EXTRA_DIST.

commit 7a74ba3d0212f9bfe021d6da9070f71cbc53f85b
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Dec 7 16:22:04 2007 -0500

    Generated the configure.ac and Makefile.am's in libxcb with the idea of
    making each extension library individually selectable for build.
    
    Signed-off-by: Eamon Walsh <ewalsh@tycho.nsa.gov>

commit bcd1dcec9b242d7e2185c1ae83d3884844a2647f
Merge: baae582 9bf8329
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Dec 7 16:18:00 2007 -0500

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb/libxcb

commit 9bf8329b50a8edacf00efb074f73c3bb759f7c8d
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Sat Nov 24 14:53:54 2007 -0800

    make IPv6 optional

commit 0593989103c48cc10165066d985c9f2d3355926b
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Nov 16 19:38:40 2007 -0500

    Remove file that wasn't meant to be committed.

commit baae5826a6f51490e842be931c8b9f76086c4d98
Merge: c3136d1 46413cd
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Nov 16 19:36:08 2007 -0500

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb/libxcb

commit 46413cd85ee4f3d51a3a3e1d8ee13bc5fa6c2d5d
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Nov 16 19:34:42 2007 -0500

    Add comment noting the requirement to free replies when finished.

commit c3136d18321df31caa7f582d475132c2e02155de
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Fri Nov 16 19:33:20 2007 -0500

    Add generated comment noting requirement to free replies after use.

commit 3c6c8f127c2bce4f45bface7dd45cc719af9de0d
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 4 17:29:13 2007 -0800

    Release libxcb 1.1

commit af50de26c10c93ccc4cd3bc61e92aff47651b961
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 4 17:26:21 2007 -0800

    Revert "Generate error constants as XCB_BAD_*, similar to Xlib."
    
    Since several extensions named their errors like "BadFoo", this patch
    results in names like XCB_EXT_BAD_BAD_FOO, which is really awful. Those
    extensions are already kind of awful, as they produce structure names
    like xcb_ext_bad_foo_error_t, which is redundant.
    
    A patch that removes "Bad" from the XML extension descriptions, while
    maintaining API and ABI compatibility in XCB, is needed before this
    patch can be released.
    
    This reverts commit 158c9b6ba18b39f424bd524fceb66f3fec0d1616.

commit a29fbc2645fabb96d02c382ffef499b48fb1514a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Oct 28 13:28:18 2007 -0700

    Don't hold the xlib-xcb lock while sleeping: that allows deadlock.
    
    With this patch, `ico -threads 2` runs without deadlock.
    
    Many thanks to Christoph Pfister <christophpfister@gmail.com> for
    pointing out the problem, providing detailed analyses, explaining it to
    me repeatedly until I understood what was going on, and proposing and
    reviewing possible solutions.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Acked-by: Christoph Pfister <christophpfister@gmail.com>

commit f6b75d6090dc40918196d2b902e9616d0199af42
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Oct 28 11:56:08 2007 -0700

    Factor pthread_cond_wait(iolock) to _xcb_wait_io.
    
    This parallels the _xcb_lock_io and _xcb_unlock_io factoring.

commit 4d828c5eba9fc7161c5f18650f2dbe218e1db06f
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Oct 23 11:03:33 2007 -0700

    Don't abort() on locking assertions if LIBXCB_ALLOW_SLOPPY_LOCK is set.
    
    But do still print a full backtrace, on platforms where that's
    supported.
    
    This commit follows the spirit of Novell's libxcb-sloppy-lock.diff.
    
    I strongly opposed proposals like this one for a long time. Originally I
    had a very good reason: libX11, when compiled to use XCB, would crash
    soon after a locking correctness violation, so it was better to have an
    informative assert failure than a mystifying crash soon after.
    
    It took some time for me to realize that I'd changed the libX11
    implementation (for unrelated reasons) so that it could survive most
    invalid locking situations, as long as it wasn't actually being used
    from multiple threads concurrently.
    
    The other thing that has changed is that most of the code with incorrect
    locking has now been fixed. The value of the assert is accordingly
    lower.
    
    However, remaining broken callers do need to be fixed. That's why libXCB
    will still noisily print a stacktrace (if possible) on each assertion
    failure, even when assert isn't actually invoked to abort() the program;
    and that's why aborting is still default. This environment variable is
    provided only for use as a temporary workaround for broken applications.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Acked-by: Josh Triplett <josh@freedesktop.org>

commit 09045eaac34973662aaa820a94ca8ed66d9dcb4e
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu Jul 19 17:00:18 2007 +0200

    Allow unix:<screen> style display names again.
    
    https://bugzilla.novell.com/show_bug.cgi?id=289007
    This notion is used in a lot of scripts.

commit 65ffbc6cfdb97b14689d3baef183cd50fbd31a7f
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed Jun 13 23:46:37 2007 -0700

    Send locking assertion backtraces to stderr.  Improve the heading on the backtrace.

commit 605c778e695a4535c35c5324325f310b5faf80e2
Author: Christoph Pfister <christophpfister@gmail.com>
Date:   Wed Jun 6 17:17:49 2007 +0200

    Print backtraces in case an assert fails inside xlib/xcb.
    
    As you know there are some nasty libs / apps doing locking
    incorrectly. In order to improve the information given to the user
    when he encounters such a situation (people don't run apps in gdb
    normally) I created the patch attached.
    It's very non-intrusive (and affects only xlib/xcb, Josh told me on
    irc that it could be useful for other areas too, personally I don't
    think that it's really needed at other places ...).
    
    Some same outputs and the discussion of them:
    
        lxuser@pdln:/tmp$ ./main
        Got a backtrace:
        #0 /tmp/usr/lib/libxcb-xlib.so.0 [0xb7f9d728]
        #1 /tmp/usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xb7f9d861]
        #2 ./test.so(function_a+0x11) [0xb7f9f3fd]
        #3 ./test.so(function_b+0x11) [0xb7f9f410]
        #4 ./main [0x80484a7]
        #5 /lib/libc.so.6(__libc_start_main+0xdc) [0xb7e60ebc]
        #6 ./main [0x80483f1]
        main: xcb_xlib.c:82: xcb_xlib_unlock: Assertion `c->xlib.lock' failed.
        Aborted
    
    That's kinda the normal situation.
    
        lxuser@pdln:/tmp$ ./main
        Got a backtrace:
        #0 /tmp/usr/lib/libxcb-xlib.so.0 [0xb7f90728]
        #1 /tmp/usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xb7f90861]
        #2 /tmp/test.so [0xb7f923cd]
        #3 /tmp/test.so(function_b+0x11) [0xb7f923e0]
        #4 ./main [0x80484ab]
        #5 /lib/libc.so.6(__libc_start_main+0xdc) [0xb7e53ebc]
        #6 ./main [0x80483f1]
        main: xcb_xlib.c:82: xcb_xlib_unlock: Assertion `c->xlib.lock' failed.
        Aborted
    
    There are two possible reasons that the name doesn't appear in #2:
    a) a hidden symbol or a symbol with statical linkage in a library
    b) a symbol in an app not compiled with -rdynamic.
    But in both cases you still know _where_ the caller is.
    
    Note that in this example test.so was compiled with
    -fomit-frame-pointer; this isn't an issue as _one_ (= the caller)
    stack trace is still valid (as long as you don't have the insane idea
    to compile xcb with -fo-f-p).
    
    Another issue that may appear is "tail call elimination" (some entries
    are mysteriously missing; this is quite ugly, but you still get enough
    information so that you can do something useful with the issue e.g. by
    disassembling the relevant parts with gdb).
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit e20a31d72b8838cdf31b568431b5ad78492c1481
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Jun 2 18:29:37 2007 -0700

    xcb_poll_for_event: Return already-read events before read(2)ing again.

commit 2ec1383a68bf9f4baf7125a7d6544167f38d8d62
Merge: 3abd416 158c9b6
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Apr 18 12:46:08 2007 +0200

    Merge branch 'master' of git://anongit.freedesktop.org/git/xcb/libxcb

commit 158c9b6ba18b39f424bd524fceb66f3fec0d1616
Author: Ian Osgood <iano@quirkster.com>
Date:   Fri Apr 13 15:14:12 2007 -0700

    Generate error constants as XCB_BAD_*, similar to Xlib.
    
    The previous constants remain for compatibility, but should be deprecated.

commit f7279d8c8ae33d6e3029e85b14ed8495d3b00e30
Merge: 0925e47 eaa380e
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Thu Apr 12 15:48:44 2007 +0200

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb/libxcb

commit 0925e470b2abf8837c62e81428660a01bbb990fa
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Thu Apr 12 15:46:05 2007 +0200

    remove the 7th bit of the response_type for the event loops

commit 3abd41625c7d6db6d01f3167d6bac2b7481965cf
Author: Matthias Hopf <mhopf@suse.de>
Date:   Wed Apr 11 17:31:31 2007 +0200

    Update autogen.sh to one that does objdir != srcdir

commit eaa380efefd347abcd11a6c24c008686beaf8257
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Tue Apr 10 11:56:06 2007 -0400

    Modify new attribute from previous patch so that it is necessary only on
    extensions with split names.  Tested with diff and found no difference with
    previous stylesheet header-file output.

commit 91be36f845352dea7838853d0f98ae144fe571a4
Author: Eamon Walsh <ewalsh@tycho.nsa.gov>
Date:   Thu Mar 29 12:28:07 2007 -0700

    Replaces special-casing in c-client stylesheet with support
    for new attribute.  Tested with diff and found no difference with
    previous stylesheet header-file output.

commit 4a60950b7433eb41e08cb0c74dc8ced8f92fd78a
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Tue Feb 27 13:35:02 2007 +0100

    add the first step toward the documentation of the request/reply functions. The arguments of the requests are not found yet. Josh, can you look at it ?

commit bca41cdcdb11e2a610d7b7a3d077cbb77bc81e45
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Wed Feb 7 20:08:27 2007 +0100

    and make the html code valid...

commit acefe83bea9b2b17a956d68f5be504866d34196f
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Wed Feb 7 20:04:10 2007 +0100

    font part

commit 8a8c1fa184939ef23f96421990c171b49d16ee33
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Wed Feb 7 18:57:46 2007 +0100

    no more xid or id fields

commit 6cedaece0e294d39fe090b87e2f60569b40a4554
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Tue Feb 6 09:31:54 2007 +0100

    add the complete cursor example. Make the html code valid

commit ab22a4d61665bbe637b8c1f349fcfaf04e386e88
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Mon Jan 22 11:40:15 2007 +0100

    add doxygen doc for the *_end functions

commit 342e9cefcc7d942714488f6b424fee7a5bdc741f
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sat Jan 13 11:20:55 2007 +0100

    fix all the occurence where a drawable where considered as a union

commit 70a72f65e438888a5530e9911c36aad68833790f
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Dec 10 21:10:06 2006 -0800

    Add autogen.sh to EXTRA_DIST.

commit 867ae5eb5c19091365daad621b923f56ff699415
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Dec 10 21:09:30 2006 -0800

    Add tools/* to EXTRA_DIST.

commit 67af2d24e4c46580479570cf09586a54b84b1b63
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue Nov 28 20:26:54 2006 +0100

    add doc tag for the _next functions. It creates doxygen doc in the header files for these functions

commit 4c8777f87a28ff5bf45cbdddce509163dbcf8137
Merge: e624cca f486075
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue Nov 28 20:15:27 2006 +0100

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb/libxcb

commit e624cca7df4c2c5bc5e44af1e851e5a0d17c88bd
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue Nov 28 20:14:16 2006 +0100

    add some output informations to configure script

commit f486075fa093846c3f32b3e4b9624c039ea26ba4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Nov 24 15:48:08 2006 +0100

    If enable_build_docs is "no", we don't even try to look for doxygen.
    
    Also set BUILD_DOCS in that branch. Now the disable-build-docs works
    as expected.

commit 2e8e6debac39864450c0a69633086ad92459c25e
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Fri Nov 24 15:43:39 2006 +0100

    Fixed evaluation of the disable-build-docs argument.
    
    Now at least enable_build_docs is set correctly.

commit 19dfaf93ac1b5e9d3ce09b1f8e2338e53a5d7324
Author: Ian Osgood <iano@quirkster.com>
Date:   Sun Nov 26 09:26:32 2006 -0800

    Fix unit tests for FreeBSD
    
    putenv() string must contain '='
    environment failure test is invalid if argument is NULL

commit 98e2a5617ef1c9955b3b5553224c34f55c7c5d29
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Nov 25 22:27:33 2006 -0800

    Use substitition variables in xcb-xinerama.pc.in, not instances of their values
    
    xcb-xinerama.pc.in looked more like a generated .pc file; replace specific
    instances of values provided by an invocation of configure with the general
    substitution variables configure replaces.

commit e74cdcd02e6814222a76c0a237efca16c423bb26
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Nov 25 11:00:14 2006 -0800

    Bug #9119: test xcb_popcount

commit 05d23a724d4dde42b11d6e9dec9ccaf5a516e287
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Nov 24 16:22:13 2006 -0800

    libXau didn't have a correct pkg-config file until 0.99.2: fail if an older version is found.

commit 3360d0c79e98cf6b7f30b2d84f117aea0a28595d
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Nov 24 13:24:05 2006 -0800

    NetBSD doesn't have AI_ADDRCONFIG: use it only if it's available.

commit 818811a7ac660e46d0dca1cbf9e53ad0475af330
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Fri Nov 24 12:33:15 2006 +0100

    replace all the _new functions with xcb_generate_id. repalce X11/XCB with xcb. Fix a description of the default background of a window

commit 27f98afc2f7039f8546d6cab5a72f609c72299d6
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Nov 23 07:30:51 2006 -0800

    Release libxcb 1.0

commit 11738b2af0d8bfcf5b2f7c0d3e6ade1a14866b94
Author: Diego 'Flameeyes' Pettenò <flameeyes@gentoo.org>
Date:   Thu Nov 23 15:15:30 2006 +0100

    Avoid race condition when using multiple make jobs
    
    Avoid race condition when symlinking XML files.
    When declaring a rule with many files as target, the rule is called
    when any of them is requested, resulting in multiple for loops happening
    during a make process using more than one job.
    Also, use '$(LN_S) -f' rather than removing and recreating a file,
    that one should be as supported as 'rm -f' and requires one less command.

commit 30c768b322f613d697a61997e081a19aecd0b07f
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Nov 23 02:11:02 2006 -0800

    Rewrite automake's data installation rules, because they suck.
    
    Specifically, they didn't handle installing data from both srcdir and builddir.
    We have the tutorial in the srcdir, and build the manual in the builddir.
    
    Also, stop rebuilding the manual for each make target in the doc directory, and
    every time any of those targets get called.  This change now makes the manual
    never rebuild once built; we plan to fix that later, by rewriting the makefiles
    to avoid recursive make, and then making the manual depend on the source files.
    
    Commit by Jamey Sharp and Josh Triplett.

commit af3a15838fc7dc5b4e52197854deb54da6baeaf1
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Nov 23 00:08:30 2006 -0800

    Rework doxygen build and install to work with srcdir != builddir
    
    The documentation generation with doxygen now works when built out of tree,
    with srcdir != builddir.  xcb.doxygen now gets generated from xcb.doxygen.in,
    so that it can use top_builddir and top_srcdir to find source and to output
    documentation.  Also fill in PROJECT_NUMBER from @VERSION@, now that we have
    it readily available via autoconf.

commit 608058ec80edb041ca012d530b42d97474f80320
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed Nov 22 22:47:15 2006 -0800

    Remove --with-opt and --with-debug options from configure.ac; use CFLAGS instead
    
    configure supports using custom CFLAGS, so remove the --with-opt and
    --with-debug options from configure.ac, and the corresponding usage of
    COPTFLAGS and CDEBUGFLAGS in src/Makefile.am.

commit 1aade6a15f767c49db5c1b69b97a5b1bf8cdce57
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed Nov 22 21:49:52 2006 -0800

    Check for getaddrinfo rather than gethostbyname in configure.ac
    
    Since the addition of IPv6 support, we now use getaddrinfo rather than
    gethostbyname; update configure.ac accordingly.

commit 183c2ba4cca71f4b12f106f801f0bd30c4c527f1
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Nov 22 21:27:41 2006 -0800

    xcb-proto has no libraries or headers, so don't use XCBPROTO_CFLAGS or XCBPROTO_LIBS.

commit e54dfd73a9652bbc103f3f874abc303aed4b5d76
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Nov 22 20:29:04 2006 -0800

    Use pthread-stubs as needed, and list xdmcp in Requires.private when XCB is built to use it.

commit 3de6ab7b786775d9e7df1523c27cdfe3ffd3a25f
Author: Josh Triplett <josh@freedesktop.org>
Date:   Tue Nov 21 20:29:34 2006 -0800

    Replace uses of "long" with uint32_t, and similar; fixes 64-bit bugs

commit 7fbfebaa3fb3a5ca2d2a307a0a5c40c015e18115
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Nov 21 09:04:37 2006 -0800

    Fix IP6 work for FreeBSD/Mac.

commit 684b8271a4539527daa15da82ad0cc302fb44727
Author: Josh Triplett <josh@freedesktop.org>
Date:   Tue Nov 21 00:57:49 2006 -0800

    Support XDM-AUTHORIZATION-1 on IPv6
    
    Commit by Jamey Sharp and Josh Triplett.

commit d6abe93b06c421b78e92d76ceb5ca181e3adff31
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Nov 20 23:25:41 2006 -0800

    Refactor auth code to get display number from xcb_connect
    
    Change xcb_connect to pass the display number to _xcb_get_auth_info, which
    passes it to get_authptr.  This allows get_authptr to stop hacking the display
    number out of the sockaddrs of various address families, such as
    port - X_TCP_PORT, or the number after the last X in the UNIX socket path. This
    also removes a portability bug introduced during the IPv6 changes: relying on
    '\0'-termination of the UNIX socket path in a sockaddr_un.
    
    Commit by Jamey Sharp and Josh Triplett.

commit 4a928de402a6e69886921fe428bbffb909c6405e
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Nov 20 22:26:40 2006 -0800

    Only use AI_NUMERICSERV if defined.

commit 907f8c8c4906cbd2352f3bbddfe144ad81a2cfa8
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Nov 20 22:16:24 2006 -0800

    Support authentication for IPv6 connections
    
    Support AF_INET6 in get_authptr, and refactor to use common code for IPv4 and
    v4-mapped IPv6 addresses.
    
    Commit by Jamey Sharp and Josh Triplett.

commit 48776ce233bf77fbaddbe972d2356bca69094239
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Nov 20 17:53:30 2006 -0800

    Support displays with IPv6 addresses or hosts which resolve to IPv6 addresses
    
    xcb_parse_display already correctly handled IPv6 displays.  Now, _xcb_open_tcp
    uses getaddrinfo, and correctly connects to IPv6 displays.  Displays can use
    bare IPv6 addresses, square-bracketed IPv6 addresses, or hostnames which
    resolve to IPv6 addresses.
    
    Since IPv6 addresses may include colons, including at the end, revise the
    DECnet display parsing code to avoid triggering on IPv6 addresses.
    
    Authorization may not work with IPv6 connections yet.
    
    This commit brought to you by the (display) number ::1:1.1, the letter X,
    the Gobby collaborative editor, Josh Triplett, and Jamey Sharp.

commit 6c3a8db3f69aebf2b5c1330ec6c11b3138f9bdfe
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Nov 20 17:48:49 2006 -0800

    Add new xcb_parse_display test cases, most related to IPv6 addresses

commit 3d9bb02012b35fd51ed3352d0bd974a0f6e439d8
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 19 21:48:27 2006 -0800

    Bug #5958: Also zero out the implicit pad byte in empty requests.

commit 3fa50020d2d9b78e22cf3597f4688c4e22df5121
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 19 18:31:48 2006 -0800

    Remove support for the <localfield> tag: nothing needs it.
    
    Only one use of <localfield> remained, for a list length expression in
    xv.xml. List length parameters that don't actually appear in the
    protocol should be left implicit: if no length expression is given, then
    a localfield will be automatically created by c-client.xsl.

commit 16e7328b4a366b29d54696aafffe62c92e0e0130
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 19 17:56:32 2006 -0800

    Bug #5958: zero out padding bytes in requests.

commit 6eee1707ea7bc303620e39911706d5fb71fa16b0
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 19 00:30:37 2006 -0800

    htmldir was introduced in autoconf 2.59c: set a reasonable value for earlier versions.

commit da4d56ef5a880eb24014a141e6e16668ab51f180
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 12 15:30:10 2006 -0800

    Provide xcb_prefetch_maximum_request_length counterpart to xcb_get_maximum_request_length.

commit aedfa1fe1d91a10ccfe3ee6ac6b7a25885623dc6
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Nov 18 21:30:12 2006 -0800

    Fix Doxygen warnings.
    
    Specifically, fixes these two warnings which were emitted for every
    generated source file:
    
    * Warning: end of file while inside a group
    * Warning: group XCB_BigRequests_API already documented. Skipping documentation.

commit 44a2160c95f6c90d461d66c0278348c62d2d77fa
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Nov 18 19:36:48 2006 -0800

    Make doc installation work and simplify doc/Makefile.am.
    
    Don't override the default htmldir with an unquoted copy.
    
    Don't suppress `make` echoing on Doxygen commands.
    
    Ensure the tutorial is always installed even if Doxygen isn't
    available.
    
    Take better advantage of the automake installation infrastructure.

commit 142fe9a6f2b13d42b0e4baaa25155067f45d065b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Nov 18 16:51:01 2006 -0800

    Turn off Doxygen warnings for undocumented API, for now.
    
    But warn about absent parameter documentation for functions that are
    otherwise documented.

commit 3634299ecc5223e8505d19468cf04770ac08ec14
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Nov 16 17:02:17 2006 -0800

    Switch from the old AM_PATH_CHECK macro to pkg-config.
    
    check 0.9.4 is now required to build XCB's unit tests.
    
    The version that we were requiring was not actually new enough to let
    our unit tests compile, and the AM_PATH_CHECK macro is now considered
    deprecated. We know that versions of check using pkg-config are new
    enough to work, and the check dependency was optional anyway, so we've
    dropped support for older versions.

commit 82762555a1af0b170d01e2042eefe34086e6c132
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sun Nov 5 18:24:30 2006 +0100

    add Makefile.am for building/installing doxygen doc

commit f32c7131cc89c64e09e9a88c5f859824c0dfa54f
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sun Nov 5 18:22:55 2006 +0100

    add xcb.doxygen to EXTRA_DIST

commit e3b7009dc0be6515d23fbda9c744082506df4cb0
Merge: 0262cd6 32cd2d2
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sun Nov 5 18:21:34 2006 +0100

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb/libxcb

commit 0262cd63a2c10e52daa3bd71cb21a6a37017f234
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sun Nov 5 18:20:45 2006 +0100

    add AM_CHECK_DOXYGEN macro

commit 32cd2d20477ab17704f0a2696c2b3bc2ff8f42de
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Nov 2 18:04:16 2006 -0800

    Release libxcb 1.0 RC3 (0.9.93).

commit 9d155160546798052533c277c877879e83f85979
Author: Jeremy Kolb jkolb@brandeis.edu <jkolb@glorfindel.(none)>
Date:   Sun Oct 29 19:31:09 2006 -0500

    Added initial doxygen generation stuff.  This should probably be cleaned up later.
    
    Added support for major/minor-version attributes in the xcb tag.  This is just to give some reference and help people when using *query_version.

commit 8eba8690adac2c4425f4cac490c77f9f3b1da6f7
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Fri Oct 20 07:00:15 2006 +0200

    fix doxy doc

commit a5529a4f2f1a9ed117e3465f0e422b707db21c68
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Oct 18 23:28:27 2006 -0700

    Add doxygen config file.
    
    Thanks to Jeremy Kolb <jkolb@brandeis.edu> for the initial version.

commit 094248405fd9c0957b92f13acb92461ab61b2c3f
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Oct 18 23:23:00 2006 -0700

    Quit treating xproto specially: handle it like all the extensions.

commit 6bc0b37303f26faf6fbdcbbee444c227e83a329c
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Oct 18 23:21:39 2006 -0700

    Ignore generated xinerama files.

commit 5abb10d63ffebbe34054ae17bbdfd142e0b36396
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Oct 16 05:11:57 2006 -0700

    Also test xcb_parse_display with NULL argument and display in $DISPLAY

commit 9d619d14e347b9dd1d544627060023a4bca2452b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Oct 15 12:34:30 2006 -0700

    Match only XCB-namespaced XID generators when converting to xcb_generate_id.
    
    Thanks to Vincent Torri for pointing out that I screwed up. :-)

commit 5ec55dc9c0c51137d89dd870ede05cc3268f75ae
Author: Zephaniah E. Hull <warp@aehallh.com>
Date:   Sat Oct 14 19:52:23 2006 -0700

    Define and use constants for opcode numbers.
    
    Hard coding the opcode numbers in the function just makes it harder to figure
    out what's going on, but much more to the point, not defining the opcodes in
    the header makes it impossible to use the generated headers instead of the
    x11proto headers in the server.
    
    The name I settled on is very simple, for an extension by the name of xconf,
    and a request by the name of list_devices, we get XCB_XCONF_LIST_DEVICES.  If
    this somehow causes problems, we can probably add a _OP somewhere in there,
    but.
    
    Acked-by: Jamey Sharp <jamey@minilop.net>
    Closes: #8641

commit c1504691ec2786594e8ffc33f3962f460f041971
Author: Jeremy Kolb <jkolb@brandeis.edu>
Date:   Thu Oct 12 23:52:59 2006 -0400

    Add library support for xcb-xinerama.
    
    This is version 1.1 of the Xinerama (PanoramiX) extension.

commit 7f74dd6b643f7769701c31587bf3cfa9c5a8e980
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Oct 8 18:16:14 2006 -0700

    Add note to xcbxlib.h that nothing except Xlib/XCB should use it.

commit 431f210bbb20e39a24ac879af5f2a8a7744e6a6c
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 7 19:50:55 2006 -0700

    Release libxcb 1.0 RC2 (0.9.92).

commit e0fac22caaf27b3e461807f8c563d0457938baa6
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 7 18:35:53 2006 -0700

    Bugfix: make Plan 7 'checked' requests work correctly.
    
    The initial implementation of Plan 7 dumped all X errors into the event
    queue, because the record of a pending reply was pruned too early if an
    error occurred in place of the expected reply.

commit 7b84d8b650a611d4d76083340e50cb7ea815014d
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Oct 7 14:09:29 2006 -0700

    Document xcb_generate_id.

commit 9e10819a678970928c9f9a1fffb4ba00f5ac7c57
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Oct 7 13:16:43 2006 -0700

    Move xcb_generate_id from xcbext.h to xcb.h
    
    Since extensions no longer provide type-specific XID-generation functions,
    xcb_generate_id now forms part of the xcb client API, rather than the
    extension API; move it from xcbext.h to xcb.h accordingly.

commit b9e49b2a47e7388e20f8a5c009cdaf0b369e117c
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Oct 7 01:27:26 2006 -0700

    Stop implicitly importing xproto; goes with proto change to explicitly import it

commit dd5ece606587d3e41058df803ab1804654195bbb
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Oct 7 01:27:03 2006 -0700

    Declare "struct foo" or "enum foo" as well as the typedef'd name "foo".

commit 16ec51397e0711526457709605cf6b5ebf00b5e2
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Oct 7 00:14:50 2006 -0700

    Handle "xidunion" instead of "union" for XID unions like DRAWABLE and FONTABLE

commit 7b786bd8f34e67617beda4f952a5a636a370396a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Oct 6 23:32:18 2006 -0700

    api_conv.pl: replace xcb_*_new with calls directly to xcb_generate_id, now that we have no type-safety XID wrappers.

commit c73ff37b907c8af6d03ab69cca27bc837c1cc189
Author: Josh Triplett <josh@freedesktop.org>
Date:   Fri Oct 6 20:11:19 2006 -0700

    Refer to the "xlib lock" rather than the "IOLock" in xcbxlib.h

commit 90eeb461be4975ff35d187ba64fedbb16ff13d15
Author: Josh Triplett <josh@freedesktop.org>
Date:   Fri Oct 6 17:44:53 2006 -0700

    Remove XID wrapper structures and replace them with uint32_t typedefs
    
    After positive feedback from several people, we have decided to remove the XID
    wrapper structures that attempted to provide C type safety, and replace them
    with uint32_t typedefs.  Feedback has indicated that these type-safety hacks
    generated more trouble than help.
    
    We will bump the libxcb soname at the next release.

commit 9bd2c0c58fbe4c994e76619c2d67e46ed8b43030
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Oct 6 16:47:50 2006 -0700

    Remove xcb_get_io_lock from the Xlib-specific API: it is no longer used.

commit 34168ab549fdf7c6c8a6fbe39824116698d01b12
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Oct 6 16:12:04 2006 -0700

    Remove the 'int *error' out-parameter for xcb_poll_for_event.

commit 40589db8124b8c72894deb86a825c6117b0a2cd2
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Oct 4 15:01:00 2006 -0700

    Add xcb_xlib_lock and xcb_xlib_unlock, a special-purpose two-level recursive lock just for libX11.

commit 57b0cd8fea498a32ff2322583c7278d5e86aa4e8
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Oct 4 12:23:45 2006 -0700

    Factor out pthread_mutex_lock and unlock calls for the iolock.

commit e7f473afbd02c87cc6b1fc9c7c240d6c5cc26763
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sat Sep 30 13:06:58 2006 +0200

    fix some indentation, remove args of the main function (not needed), xcb_sync -> xcb_aux_sync. Jamey, it seems that your script transforms XCBGetSetup into a type, instead of a function. Same for XCBSetupVendor. Maybe there are other fuctions that have the same problem.

commit 408e74538676230e289d79c6b0195b464bfc6606
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sat Sep 30 12:45:12 2006 +0200

    update tutorial to the new api. Add some doc about cursors. Add some colors to section 6 (Opening and closing the connection to an X server). Tell me if you want to keep colors or not (colors can be modified in xcb.css)

commit 15993fccd0b0cba870b793345fb5c5ec13ece0c8
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 05:12:07 2006 -0700

    Release libxcb 1.0 RC1 (0.9.91).

commit f7cd80142fa83d531850df2c2a3b4a514129170b
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Sep 25 05:10:37 2006 -0700

    Stop installing the protocol descriptions for extensions to an extensions/
    subdirectory

commit 0d7beff580232d4b7adfc840bcd1cae894b57682
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Sep 25 04:43:04 2006 -0700

    Actually install xcb-xlib.pc, and ship xcb-xlib.pc.in in distribution tarballs

commit d04e7777d3547de2cece0734c0b9be49d3ddb88c
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 04:14:26 2006 -0700

    Ensure api_conv.pl is idempotent on names of constants: XCB_[A-Z0-9_]+.

commit 0bccf7d2eed45ba15a012d090b9b950075e75803
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 04:03:01 2006 -0700

    Move header files to $includedir/xcb (generally $prefix/include/xcb).

commit 9100981d359f6366ab92b456e6069bac89afeb15
Author: Josh Triplett <josh@freedesktop.org>
Date:   Mon Sep 25 02:02:16 2006 -0700

    Split the Xlib compatibility functions into a separate library libxcb-xlib
    
    We don't want to have to change the libxcb soname if we later manage to remove
    the Xlib compatibility functions, and nothing except Xlib should ever use
    them, so split them into a separate library.

commit 810dfb886247dc4484886aff2e2e7d80ea945de4
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 02:10:44 2006 -0700

    Move debian/ directory to new branch "debian".

commit 46b7dbdd9306235ae04da9d0e3431a1b58f89048
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 02:00:23 2006 -0700

    We no longer need xproto: do not list it as a dependency.

commit cf80bab8e6410915ad27a61cef3bb5f456c7d80f
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 01:21:42 2006 -0700

    Lowercase library names to correspond with the new API.

commit a1a7646d5a791c2e918bc1a9f46d64334d5ab575
Author: Ian Osgood <iano@quirkster.com>
Date:   Sun Sep 24 14:10:20 2006 -0700

    Add XCBAllPlanes from xcb-image util library.

commit dfbde9a4e972ed9bbd701fd6f89c3a6e6f641740
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Sep 24 03:15:39 2006 -0700

    Integrate top-level .gitignore into .gitignore for each subdirectory
    
    In preparation for the repository split, move the relevant contents of the
    top-level .gitignore into the .gitignore for each immediate subdirectory.

commit 905379e4474c0137e5dd535798ae0afb07070df6
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sun Sep 24 08:51:20 2006 +0200

    now, I know how to use api_conv.pl :)

commit 16516a5e94205edffddde546abc833106c68068e
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Sep 23 14:44:15 2006 -0700

    Remove the xcb_[extension]_init functions; use xcb_get_extension_data directly

commit 9691890529fddc051c15e191a8a5f06017514c1c
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Sep 23 14:17:52 2006 -0700

    More fixups for incorrect API conversions by api_conv.pl

commit 0a867d72337afa88f4ab453b6d3fbb519368c308
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Sep 23 13:59:40 2006 -0700

    Convert the XCB test suite to the new API

commit 63b38f31974b0a61c923a62a2d224e7024a0fc2b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Sep 23 13:51:10 2006 -0700

    Apply const-names.xsl to the un-renamed XML; replace the XSL with the result.

commit 86a4c0cc284366bbb01898a77df360278d5a8194
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Sep 23 13:33:27 2006 -0700

    We do not conflict with Xmd.h anymore; remove the include hack from xcb_auth.c

commit 4ff12a1a94895837dc85ac9e37fd1a5f40819cf3
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Sep 23 13:31:13 2006 -0700

    Fix some mis-conversions by api_conv.pl, and remove the now-unused Xmd types

commit a3bd6f4760b5b3f5f360a690920839646e2b9d06
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Sep 23 12:22:22 2006 -0700

    The Great XCB Renaming
    
    Rename API to follow a new naming convention:
    * XCB_CONSTANTS_UPPERCASE_WITH_UNDERSCORES
    * xcb_functions_lowercase_with_underscores
    * xcb_types_lowercase_with_underscores_and_suffix_t
    * expand all abbreviations like "req", "rep", and "iter"
    
    Word boundaries for the names in the protocol descriptions fall:
    * Wherever the protocol descriptions already have an underscore
    * Between a lowercase letter and a subsequent uppercase letter
    * Before the last uppercase letter in a string of uppercase letters followed
      by a lowercase letter (such as in LSBFirst between LSB and First)
    * Before and after a string of digits (with exceptions for sized types like
      xcb_char2b_t and xcb_glx_float32_t to match the stdint.h convention)
    
    Also fix up some particular naming issues:
    * Rename shape_op and shape_kind to drop the "shape_" prefix, since otherwise
      these types end up as xcb_shape_shape_{op,kind}_t.
    * Remove leading underscores from enums in the GLX protocol description,
      previously needed to ensure a word separator, but now redundant.
    
    This renaming breaks code written for the previous API naming convention.  The
    scripts in XCB's tools directory will convert code written for the old API to
    use the new API; they work well enough that we used them to convert the
    non-program-generated code in XCB, and when run on the old program-generated
    code, they almost exactly reproduce the new program-generated code (modulo
    whitespace and bugs in the old code generator).
    
    Authors: Vincent Torri, Thomas Hunger, Josh Triplett

commit ca72e777740f917753f3c180fdfdb55df91c09c4
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Sep 23 01:33:45 2006 -0700

    Special cases to agree with the conventions Josh and I have hashed out.

commit 4168ddc13dff7bf2479c2229f42b114d75098112
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 22 22:53:17 2006 -0700

    Handle remaining incorrect API translations in api_conv.pl.
    
    The big change is treating numbers as separate "words" in the
    translation, which leads to funny-looking names like xcb_char_2_b_t, but
    makes more sense than the alternative in other situations and was
    suggested on the mailing list.
    
    This version still disagrees with Vincent's last proposed XSL, but I
    think my output is now preferable. Hopefully Josh has been thinking
    along the same lines.

commit 91568d7070e2c2400dfdbdff515f51da74ca3701
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 22 15:37:49 2006 -0700

    Make xcb_conn.c agree that XCBSetupReq is now XCBSetupRequest.

commit 2538acd8c89d73e8c074849c63857cb899a29bbb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Sep 22 11:53:21 2006 -0700

    List xproto.xml path explicitly instead of relying on GNU Make $< expansion
    
    (Some non-gnu makes, such as Solaris make, only recognize $< in implicit
     suffix rules, not explicit ones like this.)

commit 2c8b5994b3fbba343199ef555594a32e29d8bcee
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 15 01:51:05 2006 -0700

    Shut down the connection in all "fatal" error cases.

commit 79e3227022ae3d66f9f3806d231fdeec2a06cc6b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 15 01:57:53 2006 -0700

    Add a private connection shutdown method for error cases.

commit 7f71bf9c0f30536e85907b2c991cb7001861e1d3
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 15 01:09:27 2006 -0700

    Make all public functions do nothing on an error connection.

commit 0aa96bfc7abe18889cd85bfaa05b05d53e572bb1
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 15 00:39:51 2006 -0700

    Convert connection functions to return error objects.

commit ac17ae62fe1a3a29991e36e35eeee838ac4acb00
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Sep 15 00:29:39 2006 -0700

    Provide a "has error" property for XCBConnection.

commit df7fb77d6e22be76ca73f111c586db99a60178ae
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Sep 21 12:13:37 2006 -0700

    Refactor XCBPollForEvent with a shorter critical section.
    
    This simplifies the patch for bug #8208 later.

commit b08ca2b4b451a94ece20207766cd5262fd55179b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 18 16:52:00 2006 -0700

    XCB*Id is a variable, not a type: adjust API conventions accordingly.

commit 3cc0ddf0e6b72ba553ebfc2b9126d62ef4013bd3
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Sep 13 12:30:11 2006 -0700

    Fix bug #7261: events do not signal the end of replies for that sequence number.

commit c912187f15c560c46768acb88aae30e67b0f78ce
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 18 00:25:26 2006 -0700

    Handle names of constants during API conversion.
    
    Use an XSLT stylesheet to get a list of all the constant names.

commit 06fba014435cfbdd1ff284d6d513d114503d02c2
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Sep 17 23:38:57 2006 -0700

    Complete rewrite of api_conv.pl.
    
    Now handles all API changes except constant names, which are treated like type names.

commit bf41af718d6a83532d1c2f63ac16e6484e8e8b68
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Sep 14 00:04:47 2006 -0700

    Simplify the API conversion tool without functionality changes.

commit cdffbdd7ef9dee58b3c36ca46bb88aa187b46526
Author: Thomas Coppi <thisnukes4u@gmail.com>
Date:   Wed Sep 13 23:50:23 2006 -0700

    Prototype API conversion tool for upcoming lowercased XCB API.

commit a92716f1da2741fca850b3c37299e80032726276
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Sep 13 12:15:23 2006 -0700

    Finish removing deprecated functions. Fixes build failure (oops).

commit 476ccc1ba3d20f3a545b84089b6fbd40576e7bf5
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Sep 12 13:43:17 2006 -0700

    Ignore xproto.xml that now gets copied in while building.

commit 0d7fb3afdd308d714a97144125a69a5f4976916a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Sep 12 13:25:49 2006 -0700

    Remove deprecated public API functions in preparation for 1.0 release. Xlib-specific deprecation remains.

commit d4e768fc32ff9ce79a4259d252f4a4a4b11d5db8
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Tue Sep 12 00:42:11 2006 -0700

    Cleaned up previous fix for GNU Make stuff.
    Got "make distcheck" to work (whatever that does).

commit 0c3e528563f8e8db45c340e7d050a1b42e65cb73
Author: Bart Massey <bart@bartfan.localdomain>
Date:   Mon Sep 11 23:29:10 2006 -0700

    Removed GNU make dependency.
    Made extensions directory persist.

commit 81d6fd64c09255e90104b3c6e37c9023bd0aa6ec
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Sep 9 15:52:37 2006 -0700

    Handle XC-MISC request failure when allocating new XIDs. (fixes #7001)

commit f6d4fc007fc0f4bdf8f06ab0798aadce87d468d1
Author: Thomas Hunger <hto@arcor.de>
Date:   Mon Aug 14 06:59:46 2006 -0700

    Tutorial corrections.

commit dbd2d9689305ce5bf24aebd894551bb6b590f6e4
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Jul 30 22:02:37 2006 -0700

    Implement error handling plan 7.
    
    Needs improvement: should not duplicate the code of every request function.

commit 65ed274f05ba670eb02a55b098aed141fa9611ec
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Jul 30 20:28:16 2006 -0700

    Parameterize context in cookie-type and request-matching template.

commit f74487e34fd61d11a501c07030f8fd7ed8caeb1c
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Jul 30 14:55:14 2006 -0700

    Fix Keith's 32-bit wrap fix.
    
    Issue 0, 1, or 2 syncs as needed and do not handle 16-bit wrap until
    absolutely necessary.

commit 13896d8f658b917e891aa18e0ac4906d630881bb
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Jul 30 15:09:03 2006 -0700

    Fix typo: s/request/sequence/

commit 685d8c76c25fd9f236fa1a74bae61699eaa78579
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Jul 30 14:41:19 2006 -0700

    Add XCBRequestCheck function needed for Plan 7.

commit b3a2f83f1e4d3567fcd4494e7bae31e99645ef85
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Fri Jul 28 15:29:05 2006 -0700

    Restore netinet/in.h include that was removed in the DECnet commit.

commit b7c96681b2bfc968b198058122c93050feb7927e
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Tue Jul 25 09:13:59 2006 -0700

    Replace HAVE_* tests with just checking for (__solaris__)
    
    The installed headers can't be relying on the presence of the internal
    config.h defines, and it was breaking the xcb build for me as well due to
    config.h not being included early enough.

commit 14faffc326b9ab1f738edb3ec7febdbe0f5bc079
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue Jul 25 08:24:59 2006 +0200

    fix closing <b> tag

commit 8ba93ebb757706ae8dcf5af57c6e3812f72de80e
Author: Ian Osgood <iano@quirkster.com>
Date:   Fri Jul 7 07:18:41 2006 -0700

    Fix build on Solaris (use inttypes.h)

commit e0574a617b9133cd728be8ea3618ef1312eeebbf
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Jul 1 00:55:08 2006 -0700

    Finally remove X.h from xcb.h, fix broken image tests.

commit db2504130bc450bd328830060cb3a243dd06b52f
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Sat Jul 1 00:16:07 2006 -0700

    Switch sequence comparisons to handle 32-bit sequence number wrap.
    
    Create a macro, XCB_SEQUENCE_COMPARE, that accepts two sequence numbers and
    a comparison operator and correctly handles 32-bit wrap around.
    Rewrite all ordered sequence number comparisons to use this macro.
    Also, caught one error where a sequence was stored in a signed int variable.
    Push out a GetInputFocus request when the sequence number does wrap at 32
    bits so that applications cannot see sequence 0 (as that is an error
    indicator).

commit 75fead5b868a0dfdc9e6fd5ef0dd37eb71761312
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Jun 15 03:03:13 2006 -0700

    Remove arbitrary division between xcb_types and xproto by merging
    xcb_types.xml into xproto.xml.

commit 62749d54fd79b12123607599d58add126ce5de6e
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Thu Jun 8 06:59:47 2006 +0200

    fix compilation with c++ compilers. Remove some trailing spaces

commit 829188cdd6274b5b5271dff5612b30c978a61a38
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue May 30 11:54:25 2006 -0700

    Deprecate XCBSync, move to XCBAuxSync.

commit 936077cbc87addc914d33ab79a7d066f0f51d3ad
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun May 14 22:49:18 2006 -0700

    Use correct word offset when testing for GetFBConfigsSGIX VendorPrivate.

commit 442730a9a25644e6d09065cdde2f1595ea65caf3
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun May 14 22:37:55 2006 -0700

    In the GLX workaround, use !strcmp to check for equality with "GLX", not strcmp.

commit 2e49f58e4cd670e6bd6a0006833277cfb1da60e6
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed May 10 14:22:27 2006 -0700

    Stop overwriting CFLAGS in xcb/src/Makefile.am.

commit 92456577dbbe3874d6e40a1ef26b63dd405c160c
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Sun May 7 15:44:37 2006 -0700

    Fix dependencies on libXCB.la to not walk down from $(top_builddir); this fixes parallel builds.

commit 4a891c6f4e49a04866b2cac7bf8bb679a256d3b4
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 17:02:43 2006 -0700

    Work around the unsetting of CFLAGS in src/Makefile.am, by passing CFLAGS to make via DEB_MAKE_INVOKE in debian/rules.

commit 140c30e522c664f0675b63301bea22e4062cd155
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 16:28:01 2006 -0700

    Remove unnecessary dirs files.

commit 105c6d67e6fa3d636068a2a4407bfa6adfafe0cc
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 16:09:06 2006 -0700

    Stop setting DEB_CONFIGURE_EXTRA_FLAGS = --with-opt in debian/rules; cdbs does the right thing on its own, and correctly handles DEB_BUILD_OPTS.

commit 911ae3fbdd12bcfa39e6bbd85a7327ddd1cb9287
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 15:57:28 2006 -0700

    Set DEB_MAKE_CHECK_TARGET=check in debian/rules.

commit 3b7cf7ecf8ae614d7cb833ac4ef9fbcde3df05ae
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 15:34:11 2006 -0700

    Add a Section field for the source package in debian/control.

commit 4e26eefcd9a035c4f7ee1d5f267095edc7df7c89
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 11:15:47 2006 -0700

    Drop library version from source package name.

commit eb3521283f91a84ce149fcc416720289ca37e29f
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 10:58:23 2006 -0700

    Set distribution to experimental.

commit 2a18842f0f93516ff726a2dfa44348410bb55626
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 29 10:56:56 2006 -0700

    Remove Bugs field in debian/control, so bugs go to the Debian BTS.

commit e6132aff2fdcd0ab1ef5d7ac84a3c597dc07d370
Author: Ian Osgood <iano@quirkster.com>
Date:   Fri Apr 28 15:27:09 2006 -0700

    Move the remainder of the constants in X.h into XML enumerations.
    Fix xcb_auth to use one of the new enumerations.

commit 162c7593adf1577ca8aecfcd53fd5644b6182609
Author: Josh Triplett <josh@freedesktop.org>
Date:   Fri Apr 28 00:51:53 2006 -0700

    Change libxcbxvmc0-dev Depends to libxcbxv0-dev, not libxv0-dev.

commit 4f9b6556e2b68d1f05ed4df9d2cc82edb9868872
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 23:40:55 2006 -0700

    Update debian packaging to create library, -dev, and -dbg packages for each new extension library.

commit b7d77a8de79493919281c4f742b1a65c1328b1c4
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 17:32:20 2006 -0700

    Fix the year in COPYING.

commit 5c35ea63db8dcc30bd84eb1ae8f12f0969bb8a63
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 17:20:52 2006 -0700

    Add an explanation of libtool -version-info to src/Makefile.am, and add an explicit -version-info 0:0:0 for all libraries.

commit 08f5cc389275a71821a62c1674622ca85792b3fe
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 16:24:35 2006 -0700

    Fix tutorial to use XCBSetup rather than the previous deprecated name XCBConnSetupSuccessRep.

commit 34016bcdab9b8373b4a8f9520b01d3179d35a315
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 16:15:50 2006 -0700

    Remove execute bit on tutorial.

commit 135cda6e9dafeef36efc8c4be49ae99b417034f2
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 13:47:21 2006 -0700

    Fix a comment for the renaming of XCBConnSetupSuccessRep to XCBSetup, and fix another comment which had a copy-paste error.

commit 17c3448f58c1aaf1d89b706dfa00e697061115c7
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 12:33:41 2006 -0700

    Rename xcb-xfree86dri.pc.in to xcb-xf86dri.pc.in to match libXCBxf86dri, change its Libs line to use -lXCBxf86dri, and change configure.ac and Makefile.am accordingly.

commit ef18582d83fac146b1a689bd60d580819dba0ffd
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 12:04:52 2006 -0700

    Fix typo and rephrase checking message.

commit 3e213a1becd3081e905e3711ff3fe3e4865cd7dd
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Apr 27 10:34:22 2006 -0700

    Declare arguments const in the various structure accessors, so XCBGetSetup is not so painful to use.

commit dd932e025b2de0fa33b65971288c63679238e08a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Apr 26 23:19:16 2006 -0700

    Rename ConnSetup* to Setup*, Setup*Rep to Setup*, and SetupSuccess* to Setup*. Provide deprecated backwards-compatability functions and typedefs for the old names, to be removed before 1.0.

commit b825f3385becccfcde34626f872721301e82f960
Author: Josh Triplett <josh@freedesktop.org>
Date:   Wed Apr 26 11:23:32 2006 -0700

    Add .pc.in files for all the new extension libraries.  Generate .pc files from the new .pc.in files in configure.ac.  Install the new .pc files in Makefile.am, and add the new .pc.in files to EXTRA_DIST.
    
    Based on a patch by Vincent Torri.  Changes from that patch: add Requires to the .pc.in files based on the <import>s in the extensions, add a .pc.in file for libXCBxtest, change Name and Description fields to match extension names.

commit 1476dcecfd3e817236ae996314c10482aae8e3e9
Author: Ian Osgood <iano@quirkster.com>
Date:   Wed Apr 26 10:50:31 2006 -0700

    Changes to makefile to build libXCBxtest

commit bb8cf58015bae083dd77f8679f9a8299603c58a6
Author: Patrick Caulfield <patrick@tykepenguin.com>
Date:   Mon Apr 24 08:29:18 2006 -0700

    Add support for DECnet. Still needs configure-script options to enable.

commit 771761ccaad31d029d470dde84279e94494310b6
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Apr 20 11:51:01 2006 -0700

    Minor performance improvement: do not call _xcb_in_expect_reply unless it is needed. It is not often needed.

commit 8953a14f2b1518042ed0745574e22fa2adfb6cac
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Apr 19 22:48:10 2006 -0700

    Add <sys/select.h> to xcb_in.c to fix bug #6122.

commit 05a66af895442b9fceb96c9130e77694927eabaf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 19 21:51:33 2006 -0700

    Bugfix: xcb_conn.c included <sys/fcntl.h> instead of the POSIX-standard <fcntl.h>.

commit f705456744fe4beb193d27eb64fa9157102db753
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 19 21:40:42 2006 -0700

    Only set CWARNFLAGS to gnu flags if $GCC is set. Otherwise check for Sun compiler and use its enhanced warning flag.

commit 6f369fde3c676e2b1a67bd71923b61942991d726
Merge: 922cb61 f090da9
Author: Ian Osgood <iano@quirkster.com>
Date:   Wed Apr 19 20:45:31 2006 -0700

    Merge branch 'master' of git+ssh://iano@git.freedesktop.org/git/xcb

commit f090da98f367ed869fd9277d2fef22555be0f91d
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Apr 19 20:31:20 2006 -0700

    Remove the last goto in XCB: XCBWaitForReply now permits multiple threads to force the same cookie.

commit d5347485a55e58381781d803e19bfdd982a4685b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Apr 19 20:23:37 2006 -0700

    Restructure XCBWaitForReply to eliminate two gotos.

commit d5ab03b4b71648bf0a06e42e3c288a68c46ba497
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Apr 19 20:15:15 2006 -0700

    Fixed poll_for_reply, added comments, and refactored XCBWaitForReply to call poll_for_reply.

commit 7667adbc631119ec39f3ef5a316aec42dbf5f393
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Apr 19 16:49:32 2006 -0700

    Add XCBPollForReply and deprecate XCBGetRequestRead and XCBGetQueuedRequestRead.

commit 53971ea183d9d1dcfbaec18b135e49c9c118fabb
Merge: 71de16f 8275ac3
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Apr 16 11:23:52 2006 -0700

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb

commit 71de16fac2a145d5ef8069d2d28d7c32cea603cf
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Apr 16 11:05:50 2006 -0700

    Improve package descriptions.

commit e92bde6e5152c6d0c4efa9240604e75178c1a3db
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Apr 16 09:59:13 2006 -0700

    Change Depends on x-dev to x11proto-core-dev.

commit eca61f6b5e9df7321222499a1f660f6eb7e6112e
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Apr 16 09:25:36 2006 -0700

    Add Build-Depends on libxdmcp-dev.

commit a0057d7a48b90b8f11fc9d5c82b5b8d800c34db5
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Apr 16 09:24:01 2006 -0700

      * Debian X11R7 transition:
        * Change Build-Depends on x-dev to x11proto-core-dev.
        * Install headers to /usr/include/X11, not /usr/X11R6/include/X11.
        * Pre-Depends: x11-common (>= 1:1.09).

commit 11c62f7d9d65c10c796c2199c73c8f167e53f234
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 22:50:33 2006 -0700

    Stop installing the libtool .la files.

commit 057ae541a3a73cffd58533029292c1c721fa3162
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 20:44:11 2006 -0700

    Update -dbg package handling to work with debhelper compat level 5.
    Increase minimum version on debhelper Build-Depends to 5.0.0.

commit 8eedb4a487dcede0e52849e36c4da13bdf0c8b51
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 20:22:05 2006 -0700

    Stop running autoreconf in debian/rules, and remove Build-Depends for
    autoconf, automake, and libtool.

commit cc075990f4fc2ed09c708036569049ddd24605ac
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 20:21:22 2006 -0700

    Add xcbint.h to noinst_HEADERS, so it gets distributed.

commit cb6e1849b66c17f96d79598adb740ed16325a9c1
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 14:17:52 2006 -0700

    Use screensaver.xml

commit 91aeea2a3e72af16733ddcba037541440c0c4739
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 12:52:05 2006 -0700

    Put EXTHEADERS and EXTSOURCES in order.

commit ff38c17c48c271847d12c81cbf80142c6918dc78
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Apr 15 12:26:03 2006 -0700

    Split all non-essential extensions into their own separate libraries, named
    libXCBextname.  To use extension extname, include extname.h and link with
    -lXCBextname.  This allows extensions to change without bumping the main
    libXCB version.
    
    bigreq and xc_misc remain in libXCB, because XCB uses them internally to make
    big requests and to allocate XIDs, respectively.

commit 8275ac3a4a23220b5c3b4f191a45befe2d34d6bd
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Sun Apr 9 19:51:10 2006 -0700

    Retry a select() if it returns with EINTR.  Fixes IO errors in Xephyr, which is
    often interrupted by timers.

commit 66a88ed0e556ca869ddc9df5a35e3d6446d12b02
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Sun Apr 9 19:19:12 2006 -0700

    Remove unnecessary include.  Noticed by jamey.

commit 922cb6137a12982ecd9e1c73ecefdcbc9e193eae
Author: Ian Osgood <iano@quirkster.com>
Date:   Wed Mar 22 17:57:57 2006 -0800

    Work on the tutorial, and update xproto.xml to match:
    * Fixed grammar
    * Answered some TODO's and added some more
    * Updated X.h constants to those in xproto.h
    * Added enumerations used in tutorial to xproto.xml
    * Prefered XCBFlush to XCBSync
    * Corrected and refactored the "events" example
    
    I extracted the examples to test them. Where should I put them?

commit fc577b81bfeb79bb78ee529278ed52d59d489f89
Author: Josh Triplett <josh@freedesktop.org>
Date:   Tue Mar 21 14:22:21 2006 -0800

    Remove outdated fd.o-* entries from */debian/.gitignore (obsolete since before they came from .cvsignore).

commit df5d8adc1f18776e4417a03b465dae9273511fb1
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Mar 16 11:27:06 2006 -0800

    The typedefs replacing Xmd.h conflict with Xmd.h. Here is a hacky workaround: FIXME!

commit 5ccf7216d266f22755e40a8b9858ebd60fd48f40
Author: Ian Osgood <iano@quirkster.com>
Date:   Wed Mar 15 22:41:08 2006 -0800

    Change <bit> syntax to <bit>n</bit> as Jamey and Josh suggested
     and add more button, key, and graphics enumerations.

commit 35ecaf45be75cb78fe18dd4ea9d564b03f6cea67
Author: Ian Osgood <iano@quirkster.com>
Date:   Wed Mar 15 10:09:47 2006 -0800

    Remove proto/X11 dependencies from xcb-demo.

commit 4142e34695310c20a8a30af64e0b40842bfb5dbe
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Mar 14 18:23:37 2006 -0800

    Remove xcb-util dependency on proto/X11
    by moving many defs from X.h to <enum>s in xproto.xml

commit f5c4956a81ed5aee3ea46e91785ec14f82e205d5
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Mar 14 11:53:01 2006 -0800

    Fix XCBGetSetup to match prototype.

commit 9472c251ae426bb496a3112d0ae390f1f1c35515
Merge: 71ddf29 0d648ac
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Mar 14 11:44:43 2006 -0800

    Merge branch 'master' of git+ssh://iano@git.freedesktop.org/git/xcb

commit 71ddf29d00ad8ff2323faf2cc6c354cbf3eca16c
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Mar 14 10:18:22 2006 -0800

    Add an expression construct <bit bit="n"/>
    for mask enumerations such as CW flags.
    Replaces the C-specific use of 1<<n in xproto.xml

commit 0d648ac0ab3a2d457284644e677fd2ed612f3e7c
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Tue Mar 14 07:40:39 2006 +0100

    doxygen documentation of the API

commit a810d1ffe4825b9359f13ebb395f5f681961fc89
Author: Ian Osgood <iano@quirkster.com>
Date:   Mon Mar 13 17:49:17 2006 -0800

    Remove dependencies on Xmd.h and X.h
    (Still including X.h until defs are moved to xproto.xml
     and xcb-util and xcb-demo are fixed to use them.)

commit be1302b6efb33967bce5356af58e3e0ae3b19363
Author: Ian Osgood <iano@quirkster.com>
Date:   Mon Mar 13 10:36:13 2006 -0800

    Remove last deprecation warning.

commit d8de2c7c2a9b8bf59c8f1fcece5faed0b6cbf6f4
Merge: 5e0cfa8 e757673
Author: Ian Osgood <iano@quirkster.com>
Date:   Sun Mar 12 23:03:24 2006 -0800

    Merge branch 'master' of git+ssh://iano@git.freedesktop.org/git/xcb

commit e7576738c33e73fb4f29c1426c2ec49257564129
Author: Ian Osgood <iano@quirkster.com>
Date:   Sun Mar 12 23:02:45 2006 -0800

    Restructure to remove most deprecation warnings.

commit 5e0cfa84bec3e04f3a1991baaa29da09c7c4a02c
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 12 17:15:50 2006 -0800

    Use libXdmcp, if available with XdmcpWrap, for XDM-AUTHORIZATION-1. Closes bug #6106.

commit d69c403cba9bdebd1bd41b62ae7e28f5852248d4
Merge: b83f18a 5cdc02e
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 12 13:36:33 2006 -0800

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb

commit b83f18a4cc2303dfda59807d56e16bbc5c18b09d
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 12 13:20:29 2006 -0800

    Only _xcb_conn_wait calls _xcb_out_write now, so move it to xcb_conn.c and make it static.

commit fb61c94d685a254ef0702a2e2093b8cdda02d514
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Mar 12 12:40:34 2006 -0800

    Remove c->out.vec. Pass iovecs directly down the call tree. Add _xcb_out_flush_to, refactor other functions, make write_block static.

commit 5cdc02e3441dc623e91ebc5d7f735565b83f8435
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Mar 11 20:32:04 2006 -0800

    Portability fixes. Should help DragonFly and Solaris, and should not hurt anything else. Tested only on linux so far though.

commit 83e652f566671f96ffc53a3c0099a84a1606c695
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Mar 9 00:02:42 2006 -0800

    Move c->out.vec refs out of _xcb_conn_wait up to _xcb_out_flush.

commit 5b0ae3421dd373a8575b7a0d60989edfc056cf71
Merge: fd1f9cb 1261a41
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Mar 8 22:50:48 2006 -0800

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xcb

commit fd1f9cb13f9ab9a6bb6aa0c894d4891809bece8a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Mar 8 22:49:59 2006 -0800

    Unify autofoo .gitignore bits into one top-level file, and remove resulting redundancies.

commit 1261a4150c8bd39a6fb6887df52abbbb446f7ffb
